2025-07-24  Christian Lohmaier  <lohmaier+LibreOffice@googlemail.com>  [e07fd4bf3f9179404ce5b71099f19e144ec605e0]

        Version 25.8.0.2, tag libreoffice-25.8.0.2
        
        Change-Id: Id6d4d34e413095889487c34358562d5c4ceeb4f2

2025-07-24  Christian Lohmaier  <lohmaier+LibreOffice@googlemail.com>  [ae790b6b1e157d3a65c4e7f32c6673994943a627]

        Branch libreoffice-25-8-0
        
        This is 'libreoffice-25-8-0' - the stable branch for the 25.8.0 release.
        Only very safe changes, reviewed by three people are allowed.
        
        If you want to commit more complicated fix for the next 25.8.x release,
        please use the 'libreoffice-25-8' branch.
        
        If you want to build something cool, unstable, and risky, use master.
        
        Change-Id: I6f3a134d10d515ca8327393e360b6d18ffbf5206

2025-07-07  Xisco Fauli  <xiscofauli@libreoffice.org>  [91336549281133e6847f610101b6afe87d954652]

        Upgrade Mongolian dictionary to 2025.07.04
        
        https: //github.com/bataak/dict-mn/archive/refs/tags/2025.07.04.zip
        Change-Id: I7446decb5b84639ef8505c69ba298afb8af4c450
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/187484
        Tested-by: Xisco Fauli <xiscofauli@libreoffice.org>
        Reviewed-by: Xisco Fauli <xiscofauli@libreoffice.org>
        (cherry picked from commit 537912c9b3b8f1e79a3fe8750777023218c3df2c)
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/187485

2025-06-09  Christian Lohmaier  <lohmaier+LibreOffice@googlemail.com>  [448dd5a41b17559e17a8082f66639a06cf4e630b]

        Branch libreoffice-25-8
        
        This is 'libreoffice-25-8' - the stable branch for the 25.8.x releases.
        The commit rules are different according to the development phase:
        
        A. 25.8.0 beta phase:
        
           A. any bug fixes are allowed without review
           B. late features need approval by 3 people with different affiliation
        
        B. 25.8.0 rc phase and later:
        
           A. fixes need approval by one reviewer
           B. late features need approval by 3 more people with different affiliation
        
        IMPORTANT: Every developer is responsible for pushing the fixes into all
                  appropriate branches. Note that we do not plan any merge
                  from this branch to master or vice versa.
        
        Please, help use to make stable and usable release. If you want to build
        something cool, unstable, and risky, use master.
        
        Change-Id: I41b8ddc049b83ca3e53e00c5798a02dd0004ce7d

2025-05-17  Shantanu Oak  <shantanu.oak@gmail.com>  [0852a97a30c0bd66d57bde88a77a84c65a5c9fff]

        add integration files for Marathi
        
        Change-Id: Icb7d2258b17dd7b877fbd43bbd91ca3816c12cf1
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/185165
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2025-05-17  Andras Timar  <andras.timar@collabora.com>  [cebbc797e0fc01bd5f8063a8d7222fd60544c718]

        Oriya (or Odia): add missing integration files
        
        Without these files the dictionary would not appear in LibreOffice
        and would not be used.
        Without modifying Module_dictionaries.mk the dictionary would not be
        even built.
        
        Change-Id: I8e88870b3e46ad401fcfe4651a23a1503a75088a
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/185130
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2025-05-17  Andras Timar  <andras.timar@collabora.com>  [6649d797520d19bd3d902b86e38ae0dae2978414]

        Assamese: add missing integration files
        
        Without these files the dictionary would not appear in LibreOffice
        and would not be used.
        Without modifying Module_dictionaries.mk the dictionary would not be
        even built.
        
        Change-Id: If9b6e057a6c452feb6c1c002a58e62e02968f251
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/185129
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2025-05-17  Andras Timar  <andras.timar@collabora.com>  [5be65995995e1bc7a0379d13d20404d093d1d24f]

        Kannada: add missing integration files
        
        Without these files the dictionary would not appear in LibreOffice
        and would not be used.
        Without modifying Module_dictionaries.mk the dictionary would not be
        even built.
        
        Change-Id: Ib704f26a8baeba2290f07ef311d6b648a76e99f6
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/185128
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2025-05-17  Andras Timar  <andras.timar@collabora.com>  [390b7976f0877245c68ba6d85bcec9320c2590e0]

        Tamil: add missing integration files
        
        Without these files the dictionary would not appear in LibreOffice
        and would not be used.
        Without modifying Module_dictionaries.mk the dictionary would not be
        even built.
        
        Change-Id: I1d6a266b1e57895c974b68405b9b39764d5fd7f8
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/185127
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2025-05-17  Andras Timar  <andras.timar@collabora.com>  [1d83225df00bdae6e6ea49c19cc1fb7e08528fa0]

        Bengali: bn_IN.* files are unused
        
        bn_IN.dic and bn_IN.aff were identical to bn_BD.dic and bn_BD.aff
        In dictionaries.xcu it has been already defined that bn_BD.dic and
        bn_BD.aff should be used for both bn_BD and bn_IN locales.
        
        Change-Id: Ic7134f59df598fd2da250735a56720af9cc42d20
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/185126
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2025-05-09  Christian Lohmaier  <lohmaier+LibreOffice@googlemail.com>  [ff34fc43e747b73b0068153d799d35d49d8a7c79]

        Revert "Add licenses for Assamese, Kannada, Oriya, Punjabi and Sanskrit"
        
        This reverts commit 0d46e01e7f084e76b67fecd1e175726551b979f6.
        
        Reason for revert: the copying file contradicts the copyright statements of the individual files, easier to revert the whole commit than to retroactively fix stuff.
        
        also since spell check and hyphenation can have different licenses, having corresponding headers in the files would be more suitable.
        The text of a license by itself without a reference what it refers to is not all that helpful.
        
        Change-Id: I84ce0d1fe8a051cbab7136339d7c400cf3f6959d
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/185056
        Tested-by: Christian Lohmaier <lohmaier+LibreOffice@googlemail.com>
        Reviewed-by: Andras Timar <andras.timar@collabora.com>

2025-05-09  Xisco Fauli  <xiscofauli@libreoffice.org>  [5a5c9c705b258d3452b721d24ab7afbb1278ad19]

        Update Danish dictionaries to v2.9.001
        
        Downloaded from https://www.stavekontrolden.dk/?dictionaries=1
        
        Change-Id: I48572f4c46d5d1ea1cd0e6d5671a33dccf3b9142
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/185081
        Tested-by: Xisco Fauli <xiscofauli@libreoffice.org>
        Reviewed-by: Xisco Fauli <xiscofauli@libreoffice.org>

2025-05-07  Shantanu Oak  <shantanu.oak@gmail.com>  [0d46e01e7f084e76b67fecd1e175726551b979f6]

        Add licenses for Assamese, Kannada, Oriya, Punjabi and Sanskrit
        
        Change-Id: I703418ab8bfeefdfbb75d993652f14215f98abf1
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/184957
        Tested-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>
        Reviewed-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>

2025-05-07  Shantanu Oak  <shantanu.oak@gmail.com>  [23e01606ab40d8440a97bece8d7d515b302c224a]

        Add license for Tamil
        
        Change-Id: Ic753eafc8e9ec69757a95f2e35f8df81b018f936
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/184956
        Tested-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>
        Reviewed-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>

2025-04-25  Xisco Fauli  <xiscofauli@libreoffice.org>  [504b17e7d0909231782a9ad7a882a151118f8ab5]

        upgrade Ukrainian dictionaries to 6.6.1
        
        Downloaded from https://github.com/brown-uk/dict_uk/releases/download/v6.6.1/dict-uk_UA-6.6.1.oxt
        
        Change-Id: I81b3ca1efa2ea666257c97af5f1f09a555e7f868
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/184619
        Tested-by: Xisco Fauli <xiscofauli@libreoffice.org>
        Reviewed-by: Xisco Fauli <xiscofauli@libreoffice.org>

2025-04-07  Xisco Fauli  <xiscofauli@libreoffice.org>  [850c928eb0745dbe8c8886ab96cb99b80e760ce2]

        Upgrade Mongolian dictionary to 2025.04.04
        
        Downloaded from https://github.com/bataak/dict-mn/archive/refs/tags/2025.04.04.zip
        
        Change-Id: I9e34c8f42ab12bb80aea26c1a0731228294a8d4b
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/183807
        Reviewed-by: Xisco Fauli <xiscofauli@libreoffice.org>
        Tested-by: Xisco Fauli <xiscofauli@libreoffice.org>

2025-04-05  Julien Nabet  <serval2412@yahoo.fr>  [80829a174e316e34be479840640208f6f22c4b38]

        Fix path of logo for Spanish dictionary
        
        Regression from 762abe74008b94b2ff06db6f4024b59a8254c467
        "Updating RLA-ES Spanish spellcheker to v2.9."
            
        There's no "images" subdir in "dictionaries/es"
        
        Change-Id: I0aef269375f01fc0d869474059693ebf7ffc9a5a
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/183711
        Tested-by: Julien Nabet <serval2412@yahoo.fr>
        Reviewed-by: Julien Nabet <serval2412@yahoo.fr>

2025-03-31  Marco A.G.Pinto  <marcoagpinto@sapo.pt>  [e7f163feb2beaf526135132d8716e68e19d2716e]

        Updated the English dictionaries: GB+ZA + Extension icon
        
        Change-Id: I5a0d1adee2996ca0c9444469cfb9450f0c7bd71b
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/183513
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2025-03-17  Theppitak Karoonboonyanan  <theppitak@gmail.com>  [1b8d1d5d48dbccbdccbf2f57d68f1dce51e645c2]

        tdf#164715 Improve spelling suggestion for Thai
        
        * th_TH/typos-common.txt, th_TH/typos-translit.txt,
          th_TH/test-spelldict.sh:
          - Add test cases and test script.
        * th_TH/th_TH.aff:
          - Add REP entries to cover more common mistakes in typos.
        * th_TH/th_TH.dic:
          - Try to make hunspell suggest proper spellings for typos
            listed in typos-common.txt and typos-translit.txt:
            + Add ph: fields to existing entries
            + Remove/fix more typos found
            + Add entries as necessary
        
        Change-Id: Ia263e392de1e9a8a01a30587f7436c748291e0a4
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/180311
        Reviewed-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>
        Tested-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>

2025-03-17  Shantanu Oak  <shantanu.oak@gmail.com>  [c79a8bfddc5af52101dbc3dcfc4f146efe13cb3b]

        rename hypn to hyph
        
        Change-Id: I41794edb61b430d99293338a9a3befd0aecf9724
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/180679
        Reviewed-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>
        Tested-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>

2025-03-17  Xisco Fauli  <xiscofauli@libreoffice.org>  [5cc566302a96a97ccd3c96ceec141d8b6d5c2104]

        Upgrade Mongolian dictionary to 2025.03.15
        
        Downloaded from https://github.com/bataak/dict-mn/archive/refs/tags/2025.03.15.zip
        
        Change-Id: I6ae0d727c229e06f6ffed65295cc64c61a95c1ee
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/183028
        Reviewed-by: Xisco Fauli <xiscofauli@libreoffice.org>
        Tested-by: Xisco Fauli <xiscofauli@libreoffice.org>

2025-02-13  Ismael Olea  <ismael@olea.org>  [762abe74008b94b2ff06db6f4024b59a8254c467]

        Updating RLA-ES Spanish spellcheker to v2.9.
        
        Change-Id: I68e6c54a9dab27ade9015fe5084d8b2b1b1e1191
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/181076
        Tested-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>
        Reviewed-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>

2025-01-13  Martin Srebotnjak  <miles@filmsi.net>  [a245529de520531329531184d0513cc5a73c8c70]

        Updated Slovenian thesaurus
        
        Change-Id: Idd56555762bd591ff719cbdf52d3212cea80ff85
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/180208
        Tested-by: Andras Timar <andras.timar@collabora.com>
        Reviewed-by: Andras Timar <andras.timar@collabora.com>

2025-01-11  Shantanu Oak  <shantanu.oak@gmail.com>  [d12cf2e15fafeaaaa56330ca8812f15b1c060b08]

        Add Punjabi & Oriya
        
        Change-Id: I2d25d1bd617e4628a1b376c837b8cd40efa1cb00
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/180106
        Tested-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>
        Reviewed-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>

2025-01-10  Shantanu Oak  <shantanu.oak@gmail.com>  [5b8116e5e8a1ce761f929f8dad1a91ff6ceb5ccc]

        Add Sanskrit
        
        Change-Id: Iffca4fe252cc06c79e75189ef267f6307dc63867
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/180046
        Tested-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>
        Reviewed-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>

2025-01-10  Shantanu Oak  <shantanu.oak@gmail.com>  [5e4bb811f8d7cbea58a3085291b43edf2f76d8be]

        Add Kannada
        
        Change-Id: I3eac267803aef6fc21722ca8226f844fb7016260
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/180045
        Tested-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>
        Reviewed-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>

2025-01-09  Shantanu Oak  <shantanu.oak@gmail.com>  [7951da9434fc16d2d69e2cc0653236619eb03bd8]

        Add Assamese
        
        Change-Id: I6f222c3b90acd1aba1e3c7669e00d879dd875981
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/179983
        Tested-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>
        Reviewed-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>

2025-01-09  Shantanu Oak  <shantanu.oak@gmail.com>  [73267e0018dceb7d4001dd35f0ed46c9f9ea245e]

        Add Tamil
        
        Change-Id: I409eb7a7af6e9440bf3412702931c9cf7d188b5d
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/179982
        Reviewed-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>
        Tested-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>

2025-01-09  Xisco Fauli  <xiscofauli@libreoffice.org>  [7eec558f0737384d5aa357ee32e9a8a6a74ac4de]

        Upgrade Mongolian dictionary to 2025.01.05
        
        Downloaded from https://github.com/bataak/dict-mn/archive/refs/tags/2025.01.05.zip
        
        Change-Id: Ica44af35f96c8adf1d17987c7a3ad1d3b16e1e28
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/180021
        Reviewed-by: Xisco Fauli <xiscofauli@libreoffice.org>
        Tested-by: Xisco Fauli <xiscofauli@libreoffice.org>

2025-01-08  Shantanu Oak  <shantanu.oak@gmail.com>  [259e906688a224e25ce12c48efb5ca7037a84760]

        added Marathi hyphenation and thesaurus
        
        Change-Id: Ic6e08de69edf376612d5d4fd275baa04e68a0a5d
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/179872
        Reviewed-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>
        Tested-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>
        Reviewed-by: Marco Pinto <marcoagpinto@sapo.pt>

2025-01-07  Shantanu Oak  <shantanu.oak@gmail.com>  [e7b61087d7d42eba51425eae74643ea5623c574a]

        Add Marathi & Bengali
        
        Change-Id: I18bfa668abba41b9ac494584dbca7a40920e2e6b
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/179851
        Reviewed-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>
        Tested-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>

2025-01-05  Shantanu Oak  <shantanu.oak@gmail.com>  [2bb5f4cd04b2a0a3cba85ce9879c99ace1b10221]

        update hindi
        
        Change-Id: I8abbeeca2e3dab5b4f75e5c0ec0c44b87e2fd678
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/179779
        Tested-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>
        Reviewed-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>

2025-01-02  Xisco Fauli  <xiscofauli@libreoffice.org>  [f9cf1b6cda2e125715d435f52bb1d7f076280db6]

        upgrade Ukrainian dictionaries to 6.5.4
        
        Downloaded from https://github.com/brown-uk/dict_uk/releases/download/v6.5.4/hunspell-uk_UA_6.5.4.zip
        
        Change-Id: I3d73f79750e7ab194f5811f194cd9f523098d931
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/179607
        Reviewed-by: Xisco Fauli <xiscofauli@libreoffice.org>
        Tested-by: Xisco Fauli <xiscofauli@libreoffice.org>

2024-12-26  Xisco Fauli  <xiscofauli@libreoffice.org>  [9e21ef7309e336a0f8f623c54a4dda49f9d043b6]

        Upgrade Mongolian dictionary to 2024.12.26
        
        Downloaded from https://codeload.github.com/bataak/dict-mn/zip/refs/tags/2024.12.26
        
        Change-Id: I336665091832e67a7c27fe602f8cc9fd98e87e7c
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/179426
        Tested-by: Xisco Fauli <xiscofauli@libreoffice.org>
        Reviewed-by: Xisco Fauli <xiscofauli@libreoffice.org>

2024-12-24  Theppitak Karoonboonyanan  <theppitak@gmail.com>  [614d35e5e05a8ac908446111d1cc71620248c288]

        tdf#163657 Remove/fix typos in Thai spelling dict
        
        Yet another set of removals/fixings of misspellings, non-standard
        variations, and irrelevant phrases randomly found in Thai spelling
        dictionary.
        
        With this, ph: fields are also selectively added for some entries
        based on the removed misspellings.
        
        Change-Id: I40cf85552693a0454c5769300d0ea874f9633240
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/179109
        Reviewed-by: Vernon, Stuart Foote <vsfoote@libreoffice.org>
        Reviewed-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>
        Tested-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>

2024-12-18  Robert Muir  <rmuir@apache.org>  [c3ff53711dcac4bdec24f23a2c1f9712a0833b67]

        tdf#164366: fix wrong REP count in mongolian .aff file
        
        Commit d169602 broke parsing of this file by the lucene hunspell
        support, because now a `REP 3619` is followed by 3621 REP rules.
        
        Fix the count to be correct.
        
        Change-Id: I2c971dec7c44793e3d5b7a4030940014ddbebbb4
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/178710
        Reviewed-by: Xisco Fauli <xiscofauli@libreoffice.org>
        Tested-by: Xisco Fauli <xiscofauli@libreoffice.org>

2024-12-09  Samuel Mehrbrodt  <samuel.mehrbrodt@allotropia.de>  [31bc2a1104a1cd175f900902f994c76dea35c763]

        Add new word "Ratenvereinbarung"
        
        And put "Rattenvereinbarung" on the blacklist
        
        Change-Id: Ie4d7b8fd93c5758316b5a60539c2a42152725537
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/178143
        Reviewed-by: Samuel Mehrbrodt <samuel.mehrbrodt@allotropia.de>
        Tested-by: Samuel Mehrbrodt <samuel.mehrbrodt@allotropia.de>

2024-11-29  Marco A.G.Pinto  <marcoagpinto@sapo.pt>  [0fdcd7916f2e59da20419d408cad8bcb909c5ae5]

        Updated the English dictionaries: GB+ZA
        
        Change-Id: Ifea0bef5714162def9b5adc7dd20c1d6d69d05e0
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/175966
        Reviewed-by: Aron Budea <aron.budea@collabora.com>
        Tested-by: Aron Budea <aron.budea@collabora.com>

2024-11-10  Xisco Fauli  <xiscofauli@libreoffice.org>  [1ca6cb9f31503623a5efdab58dc17cf788989ecd]

        Update Danish dictionaries to v2.8.140
        
        Change-Id: I3e3260a3e6080949a7e09f00441a062d58206306
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/176344
        Tested-by: Xisco Fauli <xiscofauli@libreoffice.org>
        Reviewed-by: Xisco Fauli <xiscofauli@libreoffice.org>

2024-11-08  Xisco Fauli  <xiscofauli@libreoffice.org>  [d1696029d8923ae697cb2d6d4d7d69791b1943f2]

        Upgrade Mongolian dictionary to 2024.11.08
        
        Downloaded from https://github.com/bataak/dict-mn/archive/refs/tags/2024.11.08.zip
        
        Change-Id: I5f3159f2162690cfd5c7f48cf3793fdbd4e2a6e6
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/176291
        Reviewed-by: Xisco Fauli <xiscofauli@libreoffice.org>
        Tested-by: Xisco Fauli <xiscofauli@libreoffice.org>

2024-11-08  Batmunkh Dorjgotov  <bataak@gmail.com>  [e9052a7afc28c3f8ef24dcc8a29f59da6c3ac5e5]

        Add license statement and update hyphenation rules
        
        Change-Id: Ie5fb948541f618a7ec3fc8bba1afdaa85bb2d707
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/164311
        Tested-by: Xisco Fauli <xiscofauli@libreoffice.org>
        Reviewed-by: Xisco Fauli <xiscofauli@libreoffice.org>

2024-11-08  Batmunkh Dorjgotov  <bataak@gmail.com>  [40d2ad1687d5a8450eba9dc2f24ec8822d8af37c]

        Update Mongolian dictionary
        
        Change-Id: Ide7f5149abacc1c9c043a551c0a4771b03c9cec8
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/161705
        Reviewed-by: Xisco Fauli <xiscofauli@libreoffice.org>
        Tested-by: Xisco Fauli <xiscofauli@libreoffice.org>

2024-10-29  Theppitak Karoonboonyanan  <theppitak@gmail.com>  [d375e51d98ce78857dc71f5a26b75058592d833d]

        tdf#163657 Adjust Thai spell check dictionary
        
        LibThai word list, a source of the Thai spell check dictionary,
        includes some common misspelled words for its word segmentation
        function to still work with documents in real life. But such
        entries should not be included in the spell check dictionary.
        
        * th_TH/th_TH.dic:
          - Remove entries from LibThai's tdict-spell.txt
          - Fix spellings of some related entries (ซิลิกอนเวเฟอร์ -> ซิลิคอนเวเฟอร์,
            ปรากฎการณ์ธรรมชาติ -> ปรากฏการณ์ธรรมชาติ)
          - Add the updated spelling for "ทุกกฏ". Still accept the old spelling
            "ทุกฏ".
        
        Change-Id: I792bd67a4a2cea85554442e30c952889898bbbac
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/175732
        Reviewed-by: Vernon, Stuart Foote <vsfoote@libreoffice.org>
        Reviewed-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>
        Tested-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>

2024-10-20  DaeHyun Sung  <sungdh86+git@gmail.com>  [d0c939181ac181ce6479ae8604ef647055ccf44d]

        Update the Korean Dictionaries: ko-KR
        
        Update Korean dictionary file (ko_KR.dic) by DaeHyun Sung (2024.08.21)
        Also, update readme description
        
        Change-Id: I232b9eefba111f2d4969bc8e3add33984cff7381
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/172166
        Reviewed-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>
        Tested-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>

2024-10-08  Julien Nabet  <serval2412@yahoo.fr>  [b871dff9e73eefc187b2c979803c619ceccaed3a]

        tdf#163231: fix Italian spellchecking
        
        Change-Id: Ibffcdb66fd062425f1432d948a16a38143186911
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/174672
        Tested-by: Julien Nabet <serval2412@yahoo.fr>
        Reviewed-by: Julien Nabet <serval2412@yahoo.fr>

2024-10-08  Xisco Fauli  <xiscofauli@libreoffice.org>  [73ca477c42d6a67cfd6bbe819016f4b1b9f4c3ce]

        upgrade Ukrainian dictionaries to 6.5.3
        
        Downloaded from https://github.com/brown-uk/dict_uk/releases/download/v6.5.3/hunspell-uk_UA_6.5.3.zip
        
        Change-Id: I1ff9b5ca99fc855407b4982b202ceb840f8bab23
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/174690
        Tested-by: Xisco Fauli <xiscofauli@libreoffice.org>
        Reviewed-by: Xisco Fauli <xiscofauli@libreoffice.org>

2024-09-13  Xisco Fauli  <xiscofauli@libreoffice.org>  [75f5dff8c972fff4a32e4ea8434722c277f02a3f]

        Updated Slovak dictionaries to v2.4.8
        
        Downloaded from https://github.com/sk-spell/hunspell-sk/archive/refs/tags/v2.4.8.zip
        
        Change-Id: I369a4703c7accc635572a0f711c5c0304429e4e9
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/172738
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Xisco Fauli <xiscofauli@libreoffice.org>

2024-08-25  László Németh  <nemeth@numbertext.org>  [2ae8fab6fe32bbd3d9817d41a823dc3a9dc6a07f]

        Fix Hungarian hyphenation
        
        ké=rüg=ma, and not kér=üg=ma,
        reported by Gellért Gyuris.
        
        Change-Id: I2e34d93ab456c6180f80b94c136d32767717bf8e
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/172369
        Reviewed-by: László Németh <nemeth@numbertext.org>
        Tested-by: László Németh <nemeth@numbertext.org>

2024-08-13  Olivier Hallot  <olivier.hallot@libreoffice.org>  [0fbb94c57efcb6b30b88a6e181de54651e395e7c]

        Remove "por cada" cacophony in pt-BR grammar check
        
        ref: https://community.documentfoundation.org/t/sugestao-de-gramatica-da-expressao-por-cada/12257
        Change-Id: I3dcd554c29d13e9454ea9556fe469284ff8722a0
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/171802
        Tested-by: Olivier Hallot <olivier.hallot@libreoffice.org>
        Reviewed-by: Olivier Hallot <olivier.hallot@libreoffice.org>

2024-07-28  Ilmari Lauhakangas  <ilmari.lauhakangas@libreoffice.org>  [eff9495b70722d8e590e97b1710cfc7c00f6ce72]

        Lightproof: undo some import order changes advised by Ruff linter
        
        Change-Id: Iec2b9a1ed9bf2f9a41dc098fcf6ee8026917e3a3
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/171140
        Tested-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>
        Reviewed-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>

2024-07-27  Ilmari Lauhakangas  <ilmari.lauhakangas@libreoffice.org>  [54a753654845ecd253d7af7693bbcfbc9d952716]

        Fix issues found by Ruff linter
        
        Change-Id: I0517a69b52e9f5b3da2648e82e63bc35a48e3e99
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/171091
        Tested-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>
        Reviewed-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>

2024-07-22  Julien Nabet  <serval2412@yahoo.fr>  [95ad46565d8b72a66bff7201b14040f031e8c615]

        Python: use is None/is not None instead of == None/!= None
        
        Change-Id: Id5d2fdd780ad703deb893df567e716e913efdf64
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/170361
        Reviewed-by: Julien Nabet <serval2412@yahoo.fr>
        Tested-by: Olivier Hallot <olivier.hallot@libreoffice.org>
        Reviewed-by: Olivier Hallot <olivier.hallot@libreoffice.org>

2024-06-24  Theppitak Karoonboonyanan  <theppitak@gmail.com>  [fc2dc383a40e56c0118866c9110954bebc6ea41d]

        tdf#150433 Add Thai thesaurus
        
        Change-Id: I0d833c01a76a5c6957487b6cfcd1d4bc0279a5f3
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/149147
        Reviewed-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>
        Tested-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>

2024-06-06  Andras Timar  <andras.timar@collabora.com>  [a2bf59878dd76685803ec260e15d875746ad6e25]

        Make Italian dictionary usable e.g. for Italian (Switzerland)
        
        Change-Id: I16bd7e8735e96009bf7138519c1db962d11b98d2
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/168489
        Reviewed-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>
        Tested-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>

2024-05-19  Marco A.G.Pinto  <marcoagpinto@sapo.pt>  [7272a82714ca91947b4573c09bce4938861a9877]

        Updated the English dictionaries: GB+ZA (2024.05.01)
        
        Change-Id: Ie9586a0ff5a823893e059c0190f9239548448173
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/167028
        Reviewed-by: Aron Budea <aron.budea@collabora.com>
        Tested-by: Aron Budea <aron.budea@collabora.com>

2024-05-03  Xisco Fauli  <xiscofauli@libreoffice.org>  [0ca7301c3c00d6e7936fd912ba775d0008f7fee4]

        upgrade Ukrainian dictionaries to 6.4.4
        
        Change-Id: Idf246940bdf58844212420975ab52c19b08327ec
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/166872
        Tested-by: Xisco Fauli <xiscofauli@libreoffice.org>
        Reviewed-by: Xisco Fauli <xiscofauli@libreoffice.org>
        Reviewed-by: Andriy Rysin <arysin@gmail.com>

2024-04-18  Stéphane Guillou  <stephane.guillou@member.fsf.org>  [8c5b63124f5cedf97ed4799560fdd1202f039511]

        tdf#157716 rename 'Language Settings' to 'Languages and Locales'
        
        ... for bundled dictionary dialogs. The string still exists in
        various README files but prefer not to touch because some refer
        to OpenOffice dialogs, others could be fixed upstream (e.g.
        lv_LV), and some are explicitly legacy (it_IT).
        
        Also remove pt_BR hardcoded translations.
        
        Change-Id: I9dce059fc5e6fa6553c2acc16d2b6285bced72e3
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/166137
        Reviewed-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>
        Tested-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>

2024-03-28  László Németh  <nemeth@numbertext.org>  [c5b2a36bde02841590b8ccc490ca88bfdb69f153]

        Hungarian dictionary v1.8.1
        
        Added new words, fixes, and decomposition data of ~6500 compound words
        for better hyphenation. See tdf#158885 for COMPOUNDLEFTHYPHENMIN
        implementation in LibreOffice, where Hunspell filters out compound word
        boundaries from libhyphen-based hyphenation breaks, restricting hyphenation
        near the compound boundary according to spelling and typography rules.
        
        Change-Id: I22a7b70513d0a59d7a31462fcb46efd53cfe8ad7
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/165439
        Tested-by: László Németh <nemeth@numbertext.org>
        Reviewed-by: László Németh <nemeth@numbertext.org>

2024-03-22  László Németh  <nemeth@numbertext.org>  [491736b0e775f7d4a0bfd9ed9ce94ec296e3e988]

        Updated Hungarian hyphenation dictionary to version v20240321
        
        source: https://sourceforge.net/projects/magyarispell/files/OOo%20Huhyphn/v20240321-0.1/
        Change-Id: If470f5854511cac6f0a355e4d006abf9e3976f90
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/165166
        Tested-by: László Németh <nemeth@numbertext.org>
        Reviewed-by: László Németh <nemeth@numbertext.org>

2024-03-03  Stanislav Horacek  <stanislav.horacek@gmail.com>  [5da9e11ea767529d55630a96fb11d58a3e2b0694]

        use general label for Turkish dictionary
        
        to be consistent with labels for other dictionaries
        
        Change-Id: If01f9a9292fc15f3ff06f608b87273bc4e300e2f
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/162946
        Reviewed-by: Kevin Suo <suokunlong@126.com>
        Tested-by: Kevin Suo <suokunlong@126.com>

2024-02-13  Kris van der Merwe  <kris@vandermerwe.co.nz>  [892f0f402cf8347aa3273f774365c094c310cf1b]

        Updated Afrikaans dictionary
        
        Change-Id: Ief9cb53fdcbf794d1c54f4f5008f80b9975453d8
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/163265
        Tested-by: Andras Timar <andras.timar@collabora.com>
        Reviewed-by: Andras Timar <andras.timar@collabora.com>

2024-02-01  Marco A.G.Pinto  <marcoagpinto@sapo.pt>  [208a9fd80b2a182fe20f224cd615119c6323ae2e]

        tdf#159164 Update the English dictionaries: GB+ZA+AU+CA+US
        
        Change-Id: I1ad3cb7a283f85cd8260d2d12f3abd78dfcf6206
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/162881
        Tested-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>
        Reviewed-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>

2024-01-07  alisafaya  <alisafaya@gmail.com>  [a71f3c381379cffaddb0f4fed4ae8a6be3ff0566]

        update hunspell dictionaries for Turkish language
        
        This dictionary is more accurate and efficient than the current dictionary. It was benchmarked and compared to existing hunspell Turkish dictionaries. Please see: https://github.com/tdd-ai/hunspell-tr
        
        Edit: Updated the dictionary to include proper names.
        
        Change-Id: Ie23273274bc60ce6ac53a12ff92ad529bd0339a7
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/118649
        Reviewed-by: Muhammet Kara <kara@libreoffice.org>
        Tested-by: Muhammet Kara <kara@libreoffice.org>

2024-01-04  Martin Srebotnjak  <miles@filmsi.net>  [ef5ed1ca0e43519a2013d50d9ac67529b78f612c]

        Updated Slovenian thesaurus
        
        Change-Id: Ib3c9a0b4a36398b25def93bbbc62a9bcc8e3fa2c
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/161614
        Tested-by: Andras Timar <andras.timar@collabora.com>
        Reviewed-by: Andras Timar <andras.timar@collabora.com>

2024-01-02  Olivier Hallot  <olivier.hallot@libreoffice.org>  [7fa8d80ec50630f2c63eb1aa568a373bd3eecd3e]

        tdf#156723 False positives in pt-BR lightproof
        
        Salário mínimo
        
        Change-Id: I5d060d90b7915b91d44b8dd2cb9bd4cf79115012
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/161572
        Tested-by: Olivier Hallot <olivier.hallot@libreoffice.org>
        Reviewed-by: Olivier Hallot <olivier.hallot@libreoffice.org>

2023-12-21  Aleś Bułojčyk  <alex73mail@gmail.com>  [6cec1129014f23e9bc2c407ea82d2ae2a6c7fb83]

        Belarusian hunspell dictionary update
        
        Change-Id: I3d2a0f62fe59f46f201a4c7d596a22fd04efe017
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/159516
        Tested-by: Vasily Melenchuk <vasily.melenchuk@cib.de>
        Reviewed-by: Vasily Melenchuk <vasily.melenchuk@cib.de>
        Reviewed-by: Thorsten Behrens <thorsten.behrens@allotropia.de>

2023-11-30  DaeHyun Sung  <sungdh86+git@gmail.com>  [fa49c03d49f52ea0efc9adf589ff707433878d53]

        Update the Korean Dictionaries: ko-KR
        
        Update Korean dictionary file (ko_KR.dic) by DaeHyun Sung (2023.05.14)
        Also, update readme description
        
        Change-Id: Iebaad8c33d8a94bfa4e7427c0a3d218ea4d7c109
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/151732
        Reviewed-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>
        Tested-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>

2023-11-05  Marco A.G.Pinto  <marcoagpinto@sapo.pt>  [d154315b75b46b8bf26d4d2b3465064da273b18a]

        Updated the English dictionaries: GB
        
        Change-Id: I9950273688ccb0d9743d168b1a928e91942c38a3
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/158833
        Tested-by: Aron Budea <aron.budea@collabora.com>
        Reviewed-by: Aron Budea <aron.budea@collabora.com>

2023-11-01  Andras Timar  <andras.timar@collabora.com>  [bdd5aa2d5e7d0bdbf68d01705e7eb63cdaaf1737]

        Update Danish dictionaries (v2.8.001)
        
        Change-Id: I5345295565467b204a22a6b9d7b91d60dd00b149
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/157448
        Tested-by: Andras Timar <andras.timar@collabora.com>
        Reviewed-by: Andras Timar <andras.timar@collabora.com>

2023-10-20  Julien Nabet  <serval2412@yahoo.fr>  [3978d026b57097ede0be8ac6e4ffd1164ada7474]

        Fix path of logo for Spanish dictionary
        
        Regression from c1ddcf602ba97f8e99383f34e8027074d8193f61
        "Updating RLA-ES Spanish spellcheker to v2.8."
        
        There's no "images" subdir in "dictionaries/es"
        
        Change-Id: Ia18110dbe04feec6553fb80501450546a0ac79a2
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/158169
        Reviewed-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>
        Tested-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>

2023-09-10  Joan Montané  <joan@montane.cat>  [272686e247e81719b86c71d7d1672bc775d91031]

        Fixes issue #156669: Updates Catalan dictionaries (spelling, hyphenation, and thesaurus) with latest releases.
        
        Change-Id: Iac7161011d3fc2e684b22f4588be1f812f6d8da1
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/155469
        Tested-by: Thorsten Behrens <thorsten.behrens@allotropia.de>
        Reviewed-by: Thorsten Behrens <thorsten.behrens@allotropia.de>

2023-09-09  Aron Budea  <aron.budea@collabora.com>  [1a0dc6e5aee05f2a07a632adf6e121082fbd1bf5]

        Add Indonesian hyphenation library to dictionary package
        
        Change-Id: I807f295947ef9ab053f990c9220a78dad8485629
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/145372
        Tested-by: Thorsten Behrens <thorsten.behrens@allotropia.de>
        Reviewed-by: Thorsten Behrens <thorsten.behrens@allotropia.de>

2023-08-30  Ismael Olea  <ismael@olea.org>  [c1ddcf602ba97f8e99383f34e8027074d8193f61]

        Updating RLA-ES Spanish spellcheker to v2.8.
        
        Change-Id: I749268a6e38e65e86633f39ea14710893cb6b468
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/156268
        Reviewed-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>
        Reviewed-by: Thorsten Behrens <thorsten.behrens@allotropia.de>
        Tested-by: Thorsten Behrens <thorsten.behrens@allotropia.de>

2023-08-29  Andras Timar  <andras.timar@collabora.com>  [14689ec8caaecc2e58281e1876beb2800285be14]

        Updated Slovak dictionaries (v2.4.7 2023-08-29)
        
        Change-Id: Id35b971fdb7a0391cc75623b176d8bb47fd6d3d4
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/156265
        Tested-by: Andras Timar <andras.timar@collabora.com>
        Reviewed-by: Andras Timar <andras.timar@collabora.com>

2023-08-24  Quentin PAGÈS  <quentinantonin@free.fr>  [37935d20de99a065b8660d334a53d7b969446714]

        Update of Occitan spellchecker (more words and up-to-date licence
        
        Change-Id: Icf0cb0e4e00460116db7ac68d91c587e5715f85c
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/151730
        Reviewed-by: Thorsten Behrens <thorsten.behrens@allotropia.de>
        Tested-by: Thorsten Behrens <thorsten.behrens@allotropia.de>

2023-08-14  Olivier Hallot  <olivier.hallot@libreoffice.org>  [e32c98b7aa5dc8b451f3ca1ba2f447f4534e77fc]

        tdf#156723 Remove false pleonasms for pt-BR
        
        + Removed "prefeito municipal"
        + Removed "Pessoa humana"
        + not removed "salário-mínimo" (rule does not exist)
        
        Change-Id: Ic5a9487cf49f764ff3bc5587b54bca7f40d7264f
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/155570
        Tested-by: Olivier Hallot <olivier.hallot@libreoffice.org>
        Reviewed-by: Olivier Hallot <olivier.hallot@libreoffice.org>

2023-07-02  Caolán McNamara  <caolan.mcnamara@collabora.com>  [3fdd5e2b1d652e4ee7212c934d916971fc74a203]

        tdf#156101 add en-IL alongside the other English locales
        
        Change-Id: Iae8812e6bd0f10c2ecbf2f985d465e8fd1c4993e
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/153852
        Tested-by: Caolán McNamara <caolan.mcnamara@collabora.com>
        Reviewed-by: Caolán McNamara <caolan.mcnamara@collabora.com>

2023-05-24  Andras Timar  <andras.timar@collabora.com>  [2404521a6c320ae5e307c6c0fed31d81de751a88]

        On Linux dictionaries are packaged separately
        
        Change-Id: I604a0f12bdbedc0f35a27ead0f995e9dd3a27d8b
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/152191
        Reviewed-by: Gabor Kelemen <kelemeng@ubuntu.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>
        Reviewed-by: Andras Timar <andras.timar@collabora.com>

2023-05-23  László Németh  <nemeth@numbertext.org>  [e868c6a2b11784ff728588ef15f310737dce2747]

        Update Hungarian dictionary
        
        Change-Id: I6627735ffefd6547deec31ece44faa57d3f4b3c4
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/152089
        Tested-by: László Németh <nemeth@numbertext.org>
        Reviewed-by: László Németh <nemeth@numbertext.org>

2023-05-02  Marco A.G.Pinto  <marcoagpinto@sapo.pt>  [03a891f1b00d9b1a14c6a72fb33cb682b549053a]

        Updated the English dictionaries: GB+ZA
        
        Change-Id: I82eb3829ab615d1b395effc8f149d1f0e5ccf12d
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/151227
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2023-04-04  Ilmari Lauhakangas  <ilmari.lauhakangas@libreoffice.org>  [ff606081bb42acb96611ff232f5606dd76f411bf]

        tdf#154459 Improve grammar for hlp_ellipsis
        
        Change-Id: Ia488470069a9a4818dd3152250cc053842d161a2
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/150006
        Tested-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>
        Reviewed-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>

2023-02-13  Michael Weghorn  <m.weghorn@posteo.de>  [bcf7f049315dee2001cc2f7c7eabfbcb0b8ef21a]

        Add .gitreview used by git-review tool
        
        Change-Id: I9b4415acbf0ec6de90280a259a1af7e33529f2c4
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/138340
        Tested-by: Michael Weghorn <m.weghorn@posteo.de>
        Reviewed-by: Michael Weghorn <m.weghorn@posteo.de>

2023-01-12  Shulhan  <ms@kilabit.info>  [40580c5dbb5b06fbf402b5864e736527b05cd2f5]

        id: sync dictionaries to version v2.3.0 (2022.09.21)
        
        In the dictionary file we add 15773 new root words, sort them out to
        simplify search and update in the future.
        
        In the affix file we fix some format for Lucene.
        
        The README updated to match with upstream [1].
        
        [1] https://github.com/shuLhan/hunspell-id
        
        Change-Id: Ie96776aba2399b90cfbc113782c720a157458bc3
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/140263
        Tested-by: Aron Budea <aron.budea@collabora.com>
        Reviewed-by: Aron Budea <aron.budea@collabora.com>

2023-01-04  Martin Srebotnjak  <miles@filmsi.net>  [f191df059976deba5f60983bb4a87ab184835fd4]

        Updated Slovenian thesaurus
        
        Change-Id: Id3b452928405a90e9a9fb9b3759030c7d3122a72
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/145032
        Tested-by: Andras Timar <andras.timar@collabora.com>
        Reviewed-by: Andras Timar <andras.timar@collabora.com>

2022-11-25  Theppitak Karoonboonyanan  <theppitak@gmail.com>  [2b234ba64f43d16b9393fb0cfdc794814065e838]

        tdf#148876 Adding Thai hyphenation patterns
        
        Change-Id: Ib9e6fe6350c6b8a4e9644315717fd744714a271a
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/141961
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2022-11-11  Emanuele Goldoni  <emanuele.goldoni@gmail.com>  [43a746e2dcbdea7b89172024a14e6c6f1738c95c]

        Update Italian hyphenation and dictionary
        
        Change-Id: Iad6cf43961c19c9aa9971abddf7f609b57b511d2
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/135435
        Tested-by: Aron Budea <aron.budea@collabora.com>
        Reviewed-by: Aron Budea <aron.budea@collabora.com>

2022-11-11  Batmunkh Dorjgotov  <bataak@gmail.com>  [25477fbcf311ca3a6383a0ebcc99e0e4ada25b85]

        Update Mongolian dictionary
        
        Change-Id: Id3c5ec7bef29cf50d5381525960fdce392251391
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/137567
        Tested-by: Aron Budea <aron.budea@collabora.com>
        Reviewed-by: Aron Budea <aron.budea@collabora.com>

2022-11-07  Emanuele Goldoni  <emanuele.goldoni@gmail.com>  [2ee18117fc1d481e7cc58ebf0d498d761357be82]

        Fix typos in Thesaurus
        
        Change-Id: Id54a4f32468d525e96b66b9d5cd8de9313cb64c7
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/136876
        Tested-by: Aron Budea <aron.budea@collabora.com>
        Reviewed-by: Aron Budea <aron.budea@collabora.com>

2022-11-02  Marco A.G.Pinto  <marcoagpinto@sapo.pt>  [81c820ae2e0f447d3bd71855c3bc7e8912740d11]

        Updated the English dictionaries: GB+ZA
        
        Change-Id: I0926be0ea79af8d4f4a592f694792c3d7733693c
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/142008
        Reviewed-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>
        Tested-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>

2022-10-16  Christian Lohmaier  <lohmaier+LibreOffice@googlemail.com>  [e808afadc2ead6b98b40026f6eec15ae669de37c]

        pot file generation only looks for strings with en-US language
        
        so change lang="en" to lang="en-US" to extract the string
        
        Change-Id: I94defd0696be5df576b59030472c43261a359080
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/141366
        Reviewed-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>
        Tested-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>

2022-10-05  Gabor Kelemen  <kelemeng@gnome.hu>  [0416c229fe3a2a6bc9d661a077e77264cd9d6929]

        Extend --enable-mpl-subset options effect to some dictionaries
        
        Change-Id: I09919a3dde90f986998d211fb84380497553a322
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/140936
        Tested-by: Gabor Kelemen <kelemeng@ubuntu.com>
        Reviewed-by: Gabor Kelemen <kelemeng@ubuntu.com>

2022-09-23  Aron Fischer  <gerrit@aron.guru>  [9e27d044d98e65f89af8c86df722a77be827bdc8]

        Recognise umlauts typed as -e on non DE keyboard
        
        This change helps the spellchecker to find correct words if the misspelling consists of replacement of Umlauts with their vowel+e variants.
        
        The file already contains entries such as "REP ae ä" on line 519 or "REP ss ß" on line 507. This tells the checker to try first replacing ae as ä and see if that works or to try replacing ss with ß and see if that works. This will only succeed if there is a single instance in the word that needs to be replaced.
        
        The word "greetings" typed as "Gruesse" was causing me trouble as it contains both ue and ss next to each other and the REP commands do not catch this.
        
        The MAP command seems to play a somewhat similar role as REP but whereas REP deals typically with "one character mistakes", MAP just defines character sequences that are related in a language specific setting and works with multiple replacements within a single word.
        See here for details: https://www.systutorials.com/docs/linux/man/4-hunspell/
        
        In any event, I doubt it can cause harm because the character sequences that I am relating in the MAP commands are actually related in the German language, and furthermore I am not changing any spelling rules, I am just aiding in the search for correct spelling suggestions.
        
        Change-Id: I4683db860467ff6a68e96301c0ed187df1089b3c
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/136067
        Reviewed-by: Michael Weghorn <m.weghorn@posteo.de>
        Reviewed-by: Thorsten Behrens <thorsten.behrens@allotropia.de>
        Tested-by: Thorsten Behrens <thorsten.behrens@allotropia.de>

2022-09-16  Julien Nabet  <serval2412@yahoo.fr>  [ac6502c9f80eb897384e0bfb8f0879b668b6cf87]

        Add missing ref to Mongolian dictionary icon in Dictionary_mn.mk
        
        Change-Id: I1a50615c6e5c7e6502bc62e66b8bc228376be356
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/139981
        Tested-by: Julien Nabet <serval2412@yahoo.fr>
        Reviewed-by: Julien Nabet <serval2412@yahoo.fr>

2022-08-28  Aron Budea  <aron.budea@collabora.com>  [97a0bfd2eda30586e70a090a8ffc1c83f49e1295]

        tdf#149980 updated Ukrainian dictionaries to 5.8.0
        
        Change-Id: I7f71818a3055dd46f5d2cb572f940455fe21b586
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/138914
        Tested-by: Aron Budea <aron.budea@collabora.com>
        Reviewed-by: Aron Budea <aron.budea@collabora.com>

2022-08-27  Aron Budea  <aron.budea@collabora.com>  [1bee012fc52a625fe0e0abec071ed1b002fac918]

        Add Persian (fa-IR) dictionary
        
        Change-Id: I906c924dfe346898f7f5c69d2c1a3e6ae9424651
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/138891
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2022-08-27  Aron Budea  <aron.budea@collabora.com>  [d201d1180ce044fe49e167d0d5b6d182a0f2850d]

        tdf#142152 replace keywords in Spanish dictionary description
        
        Change-Id: I806c1d8acdacd450454dde13fc507d15edd19e58
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/138915
        Tested-by: Aron Budea <aron.budea@collabora.com>
        Reviewed-by: Aron Budea <aron.budea@collabora.com>

2022-08-04  Martin Srebotnjak  <miles@filmsi.net>  [b0fa8fc6b50cb4d528d08ad462b294d2b69e2278]

        Updated Slovenian thesaurus
        
        Change-Id: I7209dd3153e83674b473e95797fff7b0b01a7b2e
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/137772
        Tested-by: Andras Timar <andras.timar@collabora.com>
        Reviewed-by: Andras Timar <andras.timar@collabora.com>

2022-06-09  Andras Timar  <andras.timar@collabora.com>  [68b272ec160ded8157c13117e350fc4dfc3037fb]

        Updated Danish spellchecker
        
        Change-Id: I7c8ff2e7fac358706a580f2b24842ade0a1baa55
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/135531
        Tested-by: Andras Timar <andras.timar@collabora.com>
        Reviewed-by: Andras Timar <andras.timar@collabora.com>

2022-06-06  Eike Rathke  <erack@redhat.com>  [15c340d66842e3f99729e20686ffec28d36c2784]

        Related: tdf#147390 Add oc-FR-lengadoc to oc_FR/dictionaries.xcu
        
        And remove trailing whitespace and convert to unix line ends..
        
        Change-Id: I1fba3ef0c1b7e279f299a4adfd3fdffb7a9a60d4
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/135459
        Reviewed-by: Eike Rathke <erack@redhat.com>
        Tested-by: Eike Rathke <erack@redhat.com>

2022-05-17  Marco A.G.Pinto  <marcoagpinto@sapo.pt>  [3cfa1a08999c0bfa7ef8f79db324b565fd87e8c6]

        Updated the English dictionaries: GB
        
        Change-Id: I3f96eeba1fdd449aed1b6922bf156f82fca925ed
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/133470
        Tested-by: Aron Budea <aron.budea@collabora.com>
        Reviewed-by: Aron Budea <aron.budea@collabora.com>

2022-05-10  Christian Lohmaier  <lohmaier+LibreOffice@googlemail.com>  [d4165a5a9b83216339c731c42250f1417dfd9d26]

        rdm#3572 update github-repo lockdown
        
        Change-Id: Ifafd3a7367e142539140670b01c1184554395890

2022-04-18  Batmunkh Dorjgotov  <bataak@gmail.com>  [e0a820ca5c6a4a7e5175a4191f21a2ec3108ee86]

        Update Mongolian dictionary
        
        Change-Id: Iefd26d95473785a73e77f8a3f459a50d1da03d27
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/131063
        Tested-by: Aron Budea <aron.budea@collabora.com>
        Reviewed-by: Aron Budea <aron.budea@collabora.com>

2022-02-15  Eike Rathke  <erack@redhat.com>  [5314824424e7efbba66df57cafafa7ae246b5b31]

        There is no EO country, eo-EO is a bad language tag
        
        Change-Id: Ia96d31b61d3eab009609f3d8cd8d78228449ccc4
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/129973
        Reviewed-by: Eike Rathke <erack@redhat.com>
        Tested-by: Eike Rathke <erack@redhat.com>

2022-02-15  Olivier Hallot  <olivier.hallot@libreoffice.org>  [86f503136b933cc40c65508cc3026949a2251c69]

        pt-BR thesaurus: remove idx file from source.
        
        idx fles are created in build.
        
        Change-Id: I32cef18b22aad876d3caf4f3d00e776c5aa1e195
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/129963
        Reviewed-by: Rafael Lima <rafael.palma.lima@gmail.com>
        Reviewed-by: Olivier Hallot <olivier.hallot@libreoffice.org>
        Tested-by: Olivier Hallot <olivier.hallot@libreoffice.org>

2022-02-14  Rafael Lima  <rafael.palma.lima@gmail.com>  [96ecbe7fb1c54ffec16a13b052dcee884f2ecb5a]

        Corrections to pt-BR thesaurus
        
        This patch fixes many entries with spelling mistakes. For each patchset there is a message with the list of words fixed.
        
        Change-Id: I3b123c89afe4826318b00800646f682412cce119
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/128540
        Tested-by: Olivier Hallot <olivier.hallot@libreoffice.org>
        Reviewed-by: Olivier Hallot <olivier.hallot@libreoffice.org>

2022-02-14  jwtiyar nariman  <jwtiyar@gmail.com>  [86b4933bf508370ae9668a0906359a86d1f35395]

        Adding Central Kurdish(ckb) Spell Checker & Dictionary
        
        Part I: Dictionary components
        
        Change-Id: I1feac655796024e22fc1993edb4e2e8675c45b9b
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/122939
        Reviewed-by: Eike Rathke <erack@redhat.com>
        Tested-by: Eike Rathke <erack@redhat.com>

2022-02-03  Andras Timar  <andras.timar@collabora.com>  [8fecc831337825ee6a5a471ec72f79bad5b3dda5]

        resolve committed conflicts in this file
        
        Change-Id: I98376d34feb682794bb92c4463a3854a8b8498ee

2022-01-19  rafaelhlima  <rafael.palma.lima@gmail.com>  [d37591fce4d79d229ccb4543eee9815935b3f34f]

        Fixes to pt-BR thesaurus
        
        Change-Id: I723bc49bc942c90e28db8cf9a5d25b45954601c6
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/128640
        Tested-by: Olivier Hallot <olivier.hallot@libreoffice.org>
        Reviewed-by: Olivier Hallot <olivier.hallot@libreoffice.org>

2022-01-03  Olivier R  <olivier.dev@grammalecte.net>  [3fc3d99f071693dd40a78ba1f729ef47dc189692]

        Update French hyphenation rules
        
        Change-Id: Iece44334bc101a97f6297d13b24b2fc764ffc7f5
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/127910
        Tested-by: Andras Timar <andras.timar@collabora.com>
        Reviewed-by: Andras Timar <andras.timar@collabora.com>

2021-12-02  Olivier Hallot  <olivier.hallot@libreoffice.org>  [a5785431526070d60f2391d3248a01d81079ac0d]

        More pt-BR thesaurus cleanup
        
        + typos fixed (more to fix)
        
        Change-Id: I23c7b5d47fdca3e03c302332576917f8004e937c
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/126223
        Tested-by: Olivier Hallot <olivier.hallot@libreoffice.org>
        Reviewed-by: Olivier Hallot <olivier.hallot@libreoffice.org>

2021-12-02  Olivier Hallot  <olivier.hallot@libreoffice.org>  [27015f7cdd33f759bcd29f27ceb8077322da353f]

        Cleanup of pt-BR thesaurus (part)
        
        - Removal of words with 0 synonyms
        - fix some typos (many more to fix)
        
        Change-Id: Id3b7d73aab421274c745e7695748bed8396ae7be
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/126221
        Tested-by: Olivier Hallot <olivier.hallot@libreoffice.org>
        Reviewed-by: Olivier Hallot <olivier.hallot@libreoffice.org>

2021-11-24  Marco A.G.Pinto  <marcoagpinto@sapo.pt>  [96310b850fb350cde8611429292a03ae9167cfa8]

        Updated the British dictionary, based on the wordlist of Oxford Professors and checked one by one
        
        Change-Id: I17306b06107e0ef5aa3fd9562b833f28fdb9b57d
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/124317
        Reviewed-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>
        Reviewed-by: Aron Budea <aron.budea@collabora.com>
        Tested-by: Aron Budea <aron.budea@collabora.com>

2021-11-12  Olivier Hallot  <olivier.hallot@libreoffice.org>  [5cf23af85b47be6e398add826da1a02175be4238]

        Add "exrtudir" to spell check for pt-BR
        
        Refactor by PTG tool
        
        Change-Id: I78d0caffbbe04d1d0b75ae1dab95470452692550
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/125106
        Tested-by: Olivier Hallot <olivier.hallot@libreoffice.org>
        Reviewed-by: Olivier Hallot <olivier.hallot@libreoffice.org>

2021-11-05  Olivier Hallot  <olivier.hallot@libreoffice.org>  [12c4f7058e7b2d2861ed870ca4c7b46fe3e1f63a]

        Add pt-BR thesaurus collateral information
        
        Change-Id: I85d008af2a584ce10459407ce9e99fe01f354276
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/124768
        Tested-by: Olivier Hallot <olivier.hallot@libreoffice.org>
        Reviewed-by: Olivier Hallot <olivier.hallot@libreoffice.org>

2021-11-05  Olivier Hallot  <olivier.hallot@libreoffice.org>  [60f4a1dd6b3e8ea15f65488b02487ea95fd1f8e6]

        Cleanup pt-BR thesaurus (part)
        
        Current thesaurus has many typos and truncated words but cleanup
        is a long process and will be carried in chunks.
        
        Change-Id: Idb4da711b3829fefa81bc744ca1a772471edc0a5
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/124756
        Tested-by: Olivier Hallot <olivier.hallot@libreoffice.org>
        Reviewed-by: Olivier Hallot <olivier.hallot@libreoffice.org>

2021-11-04  Olivier Hallot  <olivier.hallot@libreoffice.org>  [c3133e367000907747960c73ed372ecba249e3b1]

        Add thesaurus to pt-BR
        
        https: //pt-br.libreoffice.org/projetos/vero
        Change-Id: I8a5349b8cbabfc305c11368f1aac64fd08322820
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/124710
        Tested-by: Olivier Hallot <olivier.hallot@libreoffice.org>
        Reviewed-by: Olivier Hallot <olivier.hallot@libreoffice.org>

2021-10-04  Andras Timar  <andras.timar@collabora.com>  [6c9f1f6c2546d192d1a3b25d5f48d8081170e8be]

        Avoid duplicated pt_BR_pt_BR.properties in packaging's filelist
        
        Change-Id: I5ebb15f0a9f391fdf686ea7ebc7fba98c373b2a6
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/123048
        Tested-by: Andras Timar <andras.timar@collabora.com>
        Reviewed-by: Andras Timar <andras.timar@collabora.com>

2021-10-01  Andras Timar  <andras.timar@collabora.com>  [6176d3f2ce67c3f897f1507fe52680ad9d9fe7fc]

        add translations of pt_BR grammar checker dialog
        
        Change-Id: Ie091c2de7365ef4d980a06b017e8771e97feca82
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/122966
        Tested-by: Andras Timar <andras.timar@collabora.com>
        Reviewed-by: Andras Timar <andras.timar@collabora.com>

2021-09-27  Aleś Bułojčyk  <alex73mail@gmail.com>  [bc821271e3bf99a4228a29f25f066fd3bac307fb]

        Belarusian hunspell dictionary update
        
        It's really new dictionary, which is based on the new Belarusian grammar
        database. This database contains ~265ths paradigm and ~4.5mln wordforms.
        It's most complete list of words of Belarusian language for today.
        Dictionary for LibreOffice doesn't include all words, of course, but
        only words from official academic dictionaries. This database will be
        officially released at the beginning of October, 2021 under the label
        of the Institute of Linguistics of the National Academy of Sciences
        of Belarus at https://github.com/Belarus/GrammarDB.
        Old dictionary doesn't contain so complete list of wordforms (there are
        many missed words) and was based on old lists of words from different sources.
        
        "Official" means official orthography. There is also widely-used
        "Classical Orthography" or "Taraškievica"
        (https://en.wikipedia.org/wiki/Tara%C5%A1kievica).
        Rules for official orthography were revised in 2008. This dictionary
        fully correspond with new (2008) rules and academic dictionaries.
        Old LibreOffice dictionary contained words by 1957 rules.
        Differences between 1957 and 2008 rules are not so big, but they exist.
        
        Change-Id: Ie55bc3a946364a13793e3b55522612c69345b57d
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/121746
        Tested-by: Andras Timar <andras.timar@collabora.com>
        Reviewed-by: Andras Timar <andras.timar@collabora.com>

2021-09-26  Julien Nabet  <serval2412@yahoo.fr>  [5d9d7d50c9000119abd7b89fe0f48a41cc6a2502]

        tdf#144730: Replace CONVERT_ADD to CONVERT to fix metric/non metric conversions
        
        Regression from
        https://cgit.freedesktop.org/libreoffice/core/commit/?id=ced79363cc30f225e766195ace4f892754fc85a0
        author	Eike Rathke <erack@redhat.com>	2016-08-03 18:56:01 +0200
        committer	Eike Rathke <erack@redhat.com>	2016-08-03 18:57:37 +0200
        commit	ced79363cc30f225e766195ace4f892754fc85a0 (patch)
        tree	94b2554faecda3744b05dcf61b99ebc2b25be5ab
        parent	fa2fdb6607a7b961affadb6ca633b8feed828467 (diff)
        Resolves: tdf#69539 UI rename CONVERT to CONVERT_OOO, CONVERT_ADD to CONVERT
        ... with same syntax but different semantics that was even more confusing.
        
        Change-Id: I8d0badb231e58c9208f58fcbe013bbad4309ce74

2021-08-01  Olivier Hallot  <olivier.hallot@libreoffice.org>  [e9915d1db36ed686095e9f1c095423455b5bd151]

        More refactoring of dict_pt-BR lightproof
        
        1) revert soft-hyphen to \xad
        2) concatenate strings that were previously escaped (accented chars)
        
        Change-Id: If11072e994d0b6287e786cf87454bdbb1637b581
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/119764
        Tested-by: Olivier Hallot <olivier.hallot@libreoffice.org>
        Reviewed-by: Olivier Hallot <olivier.hallot@libreoffice.org>

2021-07-31  Julien Nabet  <serval2412@yahoo.fr>  [9a771d3d10ef796086d8c2d618dd2528ce4245b1]

        Fix Flags not at the start of the expression in ru-RU
        
        Thank you Mike for the suggestion!
        
        Change-Id: Id8850677458b602a1823d96f0f8af93a0c86146f
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/119761
        Tested-by: Mike Kaganski <mike.kaganski@collabora.com>
        Reviewed-by: Mike Kaganski <mike.kaganski@collabora.com>

2021-07-31  Olivier Hallot  <olivier.hallot@libreoffice.org>  [70533d899bad9163a528279a5f078ffaf5af72f0]

        Refactor lighproof_pt-BR impl script
        
        1) convert escaped char to true UTF-8
        2) concatenate strings
        
        Change-Id: I3e04989b578ec4221929e8afed81b21ab441c16f
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/119743
        Tested-by: Olivier Hallot <olivier.hallot@libreoffice.org>
        Reviewed-by: Olivier Hallot <olivier.hallot@libreoffice.org>

2021-07-31  Mike Kaganski  <mike.kaganski@collabora.com>  [f206a4b5a330778ff3eb41deb13fbc3397e5701e]

        "троеточие" is vernacular
        
        Change-Id: I1fe88cd8bda8368a91c466af99fecc1fc53f9d0f
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/119624
        Tested-by: Mike Kaganski <mike.kaganski@collabora.com>
        Reviewed-by: Mike Kaganski <mike.kaganski@collabora.com>

2021-07-31  Olivier Hallot  <olivier.hallot@libreoffice.org>  [f8f892099e37a3e2d5d0196cec4786746e5901d2]

        Add regex checker for pt-BR LightProof
        
        Many thanks to Mauricio Baesa "El Mau"
        
        Change-Id: I9e65247a9edd47611d43debfa83a025c2c23bc98
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/119742
        Tested-by: Olivier Hallot <olivier.hallot@libreoffice.org>
        Reviewed-by: Olivier Hallot <olivier.hallot@libreoffice.org>

2021-07-31  Julien Nabet  <serval2412@yahoo.fr>  [8167fb5ecbd98d8e2ae63b612fcdb7ca009a3120]

        Reformat lightproof_ru_RU.py to have 1 expression per line
        
        Change-Id: I1eef05082fee8207d157ef72cb99f2c47be6efd1
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/119702
        Reviewed-by: Mike Kaganski <mike.kaganski@collabora.com>
        Tested-by: Mike Kaganski <mike.kaganski@collabora.com>

2021-07-31  Olivier Hallot  <olivier.hallot@libreoffice.org>  [d280ecd7d75a5be4f2a2238570238a3bb5e4e214]

        Refactor and fix pt-BR Lightproof rules
        
        1) convert to UTF-8
           escaped characters replaced by UTF-8 equivalent
           except some typographic quotes
           remove u' and u" prefixing UTF-8 strings
        2) fixed broken rules (unbalanced parenthesis)
        
        Improves readability of the rules
        Many thanks to Mauricio Baesa "El Mau" for the support on Python
        
        Change-Id: If62464633725401ed510dfcfcc907c8c7ad32d1d
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/119741
        Tested-by: Olivier Hallot <olivier.hallot@libreoffice.org>
        Reviewed-by: Olivier Hallot <olivier.hallot@libreoffice.org>

2021-07-30  Julien Nabet  <serval2412@yahoo.fr>  [8cd20580b995fc6d93fbb1cdabd329a26c6ec85c]

        tdf#139523: LightProof makes Python complain on FutureWarnings for pt-BR
        
        Deal also with deprecated + fix some regexps
        
        Change-Id: Ifd5bfed9a1f256bd357d29bac46ea51515b522f0
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/119693
        Tested-by: Olivier Hallot <olivier.hallot@libreoffice.org>
        Reviewed-by: Olivier Hallot <olivier.hallot@libreoffice.org>
        Reviewed-by: Julien Nabet <serval2412@yahoo.fr>

2021-07-29  Olivier Hallot  <olivier.hallot@libreoffice.org>  [67fc52d45b9c5e965f176eb917428c724c076ba0]

        Fix typo
        
        Change-Id: Ic16067f805346e2a019855c1b1fff4905cc52d57
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/119683
        Tested-by: Olivier Hallot <olivier.hallot@libreoffice.org>
        Reviewed-by: Olivier Hallot <olivier.hallot@libreoffice.org>

2021-07-29  Julien Nabet  <serval2412@yahoo.fr>  [1787948f9a80e7f39c0d67869ff56d22223df584]

        Portuguese Brasil lightproof: fix "Flags not at the start of the expression"
        
        Change-Id: If1888a167f2efe6ee54e72e4adf6ee9ab851b590
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/119569
        Tested-by: Olivier Hallot <olivier.hallot@libreoffice.org>
        Reviewed-by: Olivier Hallot <olivier.hallot@libreoffice.org>

2021-07-29  Olivier Hallot  <olivier.hallot@libreoffice.org>  [60ac0c9c796fd0c09b0482baa7878399a9c2e75a]

        Fix typo in "Expressão arcaica"
        
        Change-Id: I513054881a967c0b3c3e5451f1f8134506156d66
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/119646
        Tested-by: Olivier Hallot <olivier.hallot@libreoffice.org>
        Reviewed-by: Olivier Hallot <olivier.hallot@libreoffice.org>

2021-07-28  Stanislav Horacek  <stanislav.horacek@gmail.com>  [b3a1c0be50d1ad0b404070124463fb4af90bbe39]

        Czech Hunspell: add several word forms
        
        Change-Id: I227d4fe75539691c75323ffcc822545081ced9ae
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/119637
        Tested-by: Stanislav Horáček <stanislav.horacek@gmail.com>
        Reviewed-by: Stanislav Horáček <stanislav.horacek@gmail.com>

2021-07-27  Olivier Hallot  <olivier.hallot@libreoffice.org>  [748ec6b4e01e0bc17f05b3171abb02d61401c096]

        Bump pt-BR dict version to 3.2.15
        
        Fix typo in pt_BR_en_US.properties
        
        Change-Id: Iaaf3c5c3eab220c1a9d41b7fbf73540fbdde07fd
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/119445
        Tested-by: Julien Nabet <serval2412@yahoo.fr>
        Reviewed-by: Julien Nabet <serval2412@yahoo.fr>

2021-07-27  Julien Nabet  <serval2412@yahoo.fr>  [7b0daded304d2d56c0f8035602a8480eec86d40d]

        Portuguese Brasil lightproof: numsep=>gerund since it concerns gerundismo
        
        Change-Id: I339f284e03004fe4fec2397844c9f53f3b3c2e10
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/119567
        Tested-by: Julien Nabet <serval2412@yahoo.fr>
        Reviewed-by: Julien Nabet <serval2412@yahoo.fr>

2021-07-27  Julien Nabet  <serval2412@yahoo.fr>  [6770a120c62386af493aacd4f16600d8cfaff1b0]

        tdf#143559: save the changes in options of Portuguese spellcheck
        
        The keyid is "malmau" not "mmalmau"
        
        Change-Id: I9ba651abe0a4c062f811ee61da1b9f45621a5f02
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/119556
        Tested-by: Julien Nabet <serval2412@yahoo.fr>
        Reviewed-by: Julien Nabet <serval2412@yahoo.fr>

2021-07-27  Julien Nabet  <serval2412@yahoo.fr>  [66dd2540ba4e4a6442de40edf6b27895f94d9958]

        tdf#143507: localize Grammar Checking (Portuguese) settings page
        
        Thank you Olivier Hallot for the translation!
        
        Change-Id: Iadd88379db040cf0743248b8169625102a4ebdec
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/119540
        Tested-by: Julien Nabet <serval2412@yahoo.fr>
        Reviewed-by: Julien Nabet <serval2412@yahoo.fr>

2021-07-27  Julien Nabet  <serval2412@yahoo.fr>  [30dd499a102c930b6386d9b0b44ed13e9d4cf8d2]

        Related tdf#138369: Remove spurious CR (ctrl-M) in ru_RU.dic
        
        Change-Id: Ia67007ad29497024b3186c1b466ccc987c08c60b
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/119488
        Tested-by: Julien Nabet <serval2412@yahoo.fr>
        Reviewed-by: Julien Nabet <serval2412@yahoo.fr>

2021-07-26  Xisco Fauli  <xiscofauli@libreoffice.org>  [c292071ca8f8dece2bf5655038cdfd4899a09fa3]

        tdf#143489: Update Galician dictionaries to version 20.08
        
        Change-Id: I95b0064894a10a47e638568f85ddf5eb97ac345e
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/119372
        Reviewed-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2021-07-01  Stanislav Horacek  <stanislav.horacek@gmail.com>  [01bb1d2c47c2c132adf6c6bef77cf7ec39d84535]

        Czech Hunspell: fix declination of some nouns ending with "-ec"
        
        changes in all three recent commits made by Miroslav Pošta
        
        Change-Id: I29ff4b6147cf8ae000c95fd1072e472bb89edec5
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/118245
        Tested-by: Stanislav Horáček <stanislav.horacek@gmail.com>
        Reviewed-by: Stanislav Horáček <stanislav.horacek@gmail.com>

2021-07-01  Stanislav Horacek  <stanislav.horacek@gmail.com>  [c608cc40ecc81cdd6ac9000dc890e3f788f2c094]

        Czech Hunspell: fix several verbs of pattern "tisknout"
        
        Change-Id: I6d31f9658e2797ff678e36b887f1e2f03689f1c4
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/118239
        Tested-by: Stanislav Horáček <stanislav.horacek@gmail.com>
        Reviewed-by: Stanislav Horáček <stanislav.horacek@gmail.com>

2021-07-01  Stanislav Horacek  <stanislav.horacek@gmail.com>  [bcf9aa0b95ca7770c5bb74801289477214213fb4]

        Czech Hunspell: fix several nouns and adjectives
        
        Change-Id: Ifda579bcc6aec9786355837b42a74ea9b2edc1c4
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/118235
        Tested-by: Stanislav Horáček <stanislav.horacek@gmail.com>
        Reviewed-by: Stanislav Horáček <stanislav.horacek@gmail.com>

2021-06-27  Andras Timar  <andras.timar@collabora.com>  [bba36281a0d7af91fe65eda9140f811e28d09012]

        Fix Guarani thesaurus
        
        - dos2unix th_gug_PY.dat
        - Add missing count to 'kopia'
        - Fix makefile
        - Remove .idx, which is generated by the build now
        
        Change-Id: I8ca168d0b2710ea31c8641a5d7dd837761674ea5
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/117944
        Tested-by: Andras Timar <andras.timar@collabora.com>
        Reviewed-by: Andras Timar <andras.timar@collabora.com>

2021-06-27  Julien Nabet  <serval2412@yahoo.fr>  [79331fd0ce1c55174534987752df49e3f0f63cc0]

        Remove .idx file, they are generated by the build
        
        Change-Id: I108bbd2149d9f0d1024ed329229bb00bae0af5e6
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/117943
        Tested-by: Andras Timar <andras.timar@collabora.com>
        Reviewed-by: Andras Timar <andras.timar@collabora.com>

2021-06-27  Julien Nabet  <serval2412@yahoo.fr>  [297baa306963dac8706e7e7c25923e18d65b58c7]

        Spanish dictionary: Package missing icon
        
        Change-Id: I7de98cda4094a7a2b219f34744e82260b32c7001
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/117942
        Tested-by: Andras Timar <andras.timar@collabora.com>
        Reviewed-by: Andras Timar <andras.timar@collabora.com>

2021-06-27  Julien Nabet  <serval2412@yahoo.fr>  [16eb021d2bb008fdef06f69f52df3b5d38c0d028]

        Esperanto dictionary: Package extension's description
        
        Change-Id: Ib080d1ad1ac4f5af6b736fd161a07871f4b1d861
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/117941
        Tested-by: Andras Timar <andras.timar@collabora.com>
        Reviewed-by: Andras Timar <andras.timar@collabora.com>

2021-06-16  Stanislav Horacek  <stanislav.horacek@gmail.com>  [8cd38fb5138f2e456506aaa889ec2b7042a7439e]

        Czech Hunspell: fix word "třídička"
        
        Change-Id: I36236d34249e9a8c5e8bfa48b30a26cf595d309b
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/117343
        Tested-by: Stanislav Horáček <stanislav.horacek@gmail.com>
        Reviewed-by: Stanislav Horáček <stanislav.horacek@gmail.com>

2021-06-02  Stanislav Horacek  <stanislav.horacek@gmail.com>  [29eb2930309a484a6090c474353f99a2c01d1703]

        Czech Hunspell: remove confusing surname
        
        Change-Id: I5ac78be61cacdf05dd804240355ea828de722f24
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/116626
        Tested-by: Stanislav Horáček <stanislav.horacek@gmail.com>
        Reviewed-by: Stanislav Horáček <stanislav.horacek@gmail.com>

2021-06-02  Stanislav Horacek  <stanislav.horacek@gmail.com>  [412f5dd223df85956dc38f429733e7972d496391]

        Czech Hunspell: remove rule based on circumfix and make other updates
        
        the rule does not produce correctly capitalized results
        minor updates of word list
        all changes suggested by Miroslav Pošta
        
        Change-Id: I1ecfd7ea6daaf155228bd2405708fb097fa07997
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/116281
        Tested-by: Stanislav Horáček <stanislav.horacek@gmail.com>
        Reviewed-by: Stanislav Horáček <stanislav.horacek@gmail.com>

2021-06-02  Stanislav Horacek  <stanislav.horacek@gmail.com>  [5ae65ee9e7f1dac860be57901c62d97d887a9564]

        Czech Hunspell: use KEY and update TRY in .aff file
        
        for TRY character frequencies were employed
        
        Change-Id: I46a1680c10dd49af2f15984bafe686ff69757071
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/116280
        Tested-by: Stanislav Horáček <stanislav.horacek@gmail.com>
        Reviewed-by: Stanislav Horáček <stanislav.horacek@gmail.com>

2021-06-02  Stanislav Horacek  <stanislav.horacek@gmail.com>  [27e7425c295cb84a18e4d0d2711ef4f96ee7551f]

        Czech Hunspell: remove duplicates
        
        Change-Id: I90ca35378ad60768d6636193462fa307e9ac91a4
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/116279
        Tested-by: Stanislav Horáček <stanislav.horacek@gmail.com>
        Reviewed-by: Stanislav Horáček <stanislav.horacek@gmail.com>

2021-06-02  Stanislav Horacek  <stanislav.horacek@gmail.com>  [ab4b942707da889d30cea157838ba90fb114e5f5]

        more updates of Czech Hunspell
        
        done also by Miroslav Pošta
        
        Change-Id: Ie08fb39f7252d1473bd27c55f90c1d765d1abf8e
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/116278
        Tested-by: Stanislav Horáček <stanislav.horacek@gmail.com>
        Reviewed-by: Stanislav Horáček <stanislav.horacek@gmail.com>

2021-06-02  Stanislav Horacek  <stanislav.horacek@gmail.com>  [cd451382d714a202638fcb9f0687d6d1b52a212d]

        update Czech Hunspell files
        
        both word list and affixes improved significantly by Miroslav Pošta
        details added to readme
        this version corresponds with the version published
        at translatoblog.cz
        
        Change-Id: Ie9c137c3c652a29648177ed0d88a918acb2bbad8
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/116277
        Tested-by: Stanislav Horáček <stanislav.horacek@gmail.com>
        Reviewed-by: Stanislav Horáček <stanislav.horacek@gmail.com>

2021-05-31  Stanislav Horacek  <stanislav.horacek@gmail.com>  [19a842695c9bca652718e6ea3808a8f995164ef4]

        Czech Hunspell: sort words in .dic file
        
        Change-Id: I1e3fef34b64bd358d16880795acab6d9b71ad7dc
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/116276
        Tested-by: Stanislav Horáček <stanislav.horacek@gmail.com>
        Reviewed-by: Stanislav Horáček <stanislav.horacek@gmail.com>

2021-05-31  Stanislav Horacek  <stanislav.horacek@gmail.com>  [48a66dd55f3e76556f73779ab121feefcd07d3fe]

        Czech Hunspell: use UTF8 encoding
        
        Change-Id: I97e274fe4611cf1a2669e6c73950faed8f1f5bfd
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/116275
        Tested-by: Stanislav Horáček <stanislav.horacek@gmail.com>
        Reviewed-by: Stanislav Horáček <stanislav.horacek@gmail.com>

2021-05-31  Stanislav Horacek  <stanislav.horacek@gmail.com>  [e7a4c67cdc491548388b43175741ee6e933fdde3]

        restore more advanced Czech Hunspell dictionary
        
        which used to be in LibreOffice till commit
        b31244205066114f5721beef118be7f9e518cd22
        
        Change-Id: Idd856ff4caedb1d8e7b4f0c42231014bd956da7f
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/116274
        Tested-by: Stanislav Horáček <stanislav.horacek@gmail.com>
        Reviewed-by: Stanislav Horáček <stanislav.horacek@gmail.com>

2021-05-12  Marco Pinto  <marcoagpinto@sapo.pt>  [4fa94195b8136364dd40bf2b0366a0fe32058899]

        Updated the English dictionaries: GB+US+CA+AU+ZA
        
        Change-Id: I0bc59f1c11ef10ff597ab2d7c18fcdbc648a472a
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/114824
        Tested-by: Aron Budea <aron.budea@collabora.com>
        Reviewed-by: Aron Budea <aron.budea@collabora.com>

2021-05-11  Robert Campbell  <robert.rcampbell@gmail.com>  [4d00eb0e60d4d1e89c1f50cd97b44e44abe26517]

        Update lo_LA.dic with new data
        
        Change-Id: Id3975f55c62b256b85ecee78a679a51c22f6e5c9
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/114928
        Tested-by: Andras Timar <andras.timar@collabora.com>
        Reviewed-by: Andras Timar <andras.timar@collabora.com>

2021-04-27  Batmunkh Dorjgotov  <bataak@gmail.com>  [cb1b834e00bc31f668b086e547032341a0162131]

        Add Mongolian dictionary
        
        Change-Id: I5ee4dd6824d485872bcdfc2d34a33f3c84484780
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/112797
        Tested-by: Andras Timar <andras.timar@collabora.com>
        Reviewed-by: Andras Timar <andras.timar@collabora.com>

2021-04-20  Andras Timar  <andras.timar@collabora.com>  [cbda6f487f9b760acb906b8e1280fe009b0a3461]

        fix Ukrainian thesaurus
        
        Change-Id: Ic3383991e9374fc5743b41ca1fb6df11a701e983

2021-04-19  Andras Timar  <andras.timar@collabora.com>  [06a28cf2efe2e3fa887912989650dcaaf05f0958]

        tdf#141408 updated Ukraininan dictionaries
        
        Change-Id: I56aea01cbff18871bee91118f3f0701284caf87e
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/114308
        Tested-by: Andras Timar <andras.timar@collabora.com>
        Reviewed-by: Andras Timar <andras.timar@collabora.com>

2021-04-11  Carmen Bianca Bakker  <carmen@carmenbianca.eu>  [96ecb3d82f441c8ba38e7f773c5941e502acaf1c]

        Add Esperanto dictionary
        
        Signed-off-by: Carmen Bianca Bakker <carmen@carmenbianca.eu>
        Change-Id: I1852b0eedc9b397c43f213dab60ff08e44b01678
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/110415
        Tested-by: Andras Timar <andras.timar@collabora.com>
        Reviewed-by: Andras Timar <andras.timar@collabora.com>

2021-01-27  Christian Lohmaier  <lohmaier+LibreOffice@googlemail.com>  [a968e48f9b2fcef76282a0d0281cf38e1b108e29]

        add .github/lockdown.yml to auto-close issues/pull-requests
        
        Change-Id: I5b4430a9462cfb694d608cf49669b8f9e979442b

2021-01-25  Andras Timar  <andras.timar@collabora.com>  [cb4ec680e582197c2fac3aa94798c4df9bb86ca2]

        update Danish dictionary
        
        Change-Id: I367128d4d4bd5080f6a39c0bfad085027ef9bea6
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/109894
        Tested-by: Andras Timar <andras.timar@collabora.com>
        Reviewed-by: Andras Timar <andras.timar@collabora.com>

2021-01-20  Rene Engelhard  <rene@rene-engelhard.de>  [87ca82e1a22bfc40c6fef0ddaa210053cf79f25f]

        deb#979439 tdf#139193 recode it_IT/it_IT.dic to UTF-8
        
        since that is what .aff is anyway/.aff specifies.
        Otherwise it doesn't work.
        
        Change-Id: I89fac7d4eeb7f0d4f8df316978c27c3a8677e2f5
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/109321
        Reviewed-by: Julien Nabet <serval2412@yahoo.fr>
        Reviewed-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>
        Tested-by: René Engelhard <rene@debian.org>

2021-01-09  Andras Timar  <andras.timar@collabora.com>  [a706f520e612d1148c6d259b595ba4815be99f50]

        Updated Slovenian thesaurus
        
        Change-Id: I189ae0f22fe2fa73d04fd149b8defdd1d7bb1f15
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/109040
        Tested-by: Andras Timar <andras.timar@collabora.com>
        Reviewed-by: Andras Timar <andras.timar@collabora.com>

2021-01-08  Isah Bllaca  <isah.bllaca@gmail.com>  [07fd313755d396466771b814ab9166bf8ca09213]

        Albanian Hyphenation file && encoding change of Hunspell files to UTF-8
        
        Change-Id: I8b9bdcd7daf3d3d8be3f35910632cf15c58e970a
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/108652
        Tested-by: Andras Timar <andras.timar@collabora.com>
        Reviewed-by: Andras Timar <andras.timar@collabora.com>

2021-01-06  Quentin PAGÈS  <quentinantonin@free.fr>  [f4efcfcdb88a3c9208eb2b47e5be19047bb34768]

        Update for Occitan dictionary
        
        Change-Id: Ieaa782496a85449833c7117c3c975cbeb00adb21
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/108899
        Tested-by: Andras Timar <andras.timar@collabora.com>
        Reviewed-by: Andras Timar <andras.timar@collabora.com>

2020-12-22  Olivier R  <olivier.dev@grammalecte.net>  [c86e9c20e0bed193853cd4df7a9ec921acd9f07e]

        French dictionary update (v7.0)
        
        Change-Id: I1461d5bba34612eab2e9110cc8908950417df0aa
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/107652
        Tested-by: Olivier Hallot <olivier.hallot@libreoffice.org>
        Reviewed-by: Olivier Hallot <olivier.hallot@libreoffice.org>
        Reviewed-by: Arnaud Versini <arnaud.versini@libreoffice.org>

2020-12-17  László Németh  <nemeth@numbertext.org>  [57698337d61f1b0bdfd0e36136f7d864095337cb]

        Updated Hungarian hyphenation dictionary to version v20201216
        
        source: https://sourceforge.net/projects/magyarispell/files/OOo%20Huhyphn/v20201216-0.1/
        
        Change-Id: I43c3052a3446506d6cce15c4dbecd5a54e5b6f75
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/107857
        Tested-by: László Németh <nemeth@numbertext.org>
        Reviewed-by: László Németh <nemeth@numbertext.org>

2020-12-17  Olivier Hallot  <olivier.hallot@libreoffice.org>  [0e9c0ca4395fa3001dd08b224a67d2414be2e7fb]

        Fix en -> en-US in description.xml
        
        Change-Id: Ia1a2eb501e240ac845916609ab8297efcdbb6a1e
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/107831
        Tested-by: Olivier Hallot <olivier.hallot@libreoffice.org>
        Reviewed-by: Olivier Hallot <olivier.hallot@libreoffice.org>

2020-12-17  Olivier Hallot  <olivier.hallot@libreoffice.org>  [5cc749024e02dcb2a6d798091aeb6b75b588a386]

        Fix en->en-US in  descrition.xml of es spell dict
        
        Change-Id: I7c7ff93bd7dca2e76962f12bba59751de9b56198
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/107832
        Tested-by: Olivier Hallot <olivier.hallot@libreoffice.org>
        Reviewed-by: Olivier Hallot <olivier.hallot@libreoffice.org>

2020-11-24  Olivier Hallot  <olivier.hallot@libreoffice.org>  [2bfbaa38e1acd6984a3745c1668ad78096c3fa00]

        tdf#138368 bump pt_BR dict version to 3.2.14
        
        * version increased to hold changes on file conversions to UTF-8
        * convert hyphenation to UTF-8
        * cleaned README file
        
        Change-Id: I72f20f495d7b93445145ba804d27f10492465fcb
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/106508
        Tested-by: Olivier Hallot <olivier.hallot@libreoffice.org>
        Reviewed-by: Olivier Hallot <olivier.hallot@libreoffice.org>

2020-11-24  Olivier Hallot  <olivier.hallot@libreoffice.org>  [a470d37edcd50733fcfcfdf85c72e7bcdf1ecb81]

        tdf#138368 Cleanup pt_BR spelling dict
        
        1) Delete entry at line 66278 of the .dic which has a non-extended ascii char
           and change first line of the .dic from 312368 to 312367 for new line count
        2) convert CRLF to LF
        3) iconv -f ISO-8859-1 -t UTF-8 pt_BR/pt_BR.dic > pt_BR/pt_BR.dic.new
           mv pt_BR/pt_BR.dic.new pt_BR/pt_BR.dic
        4) iconv -f ISO-8859-1 -t UTF-8 pt_BR/pt_BR.aff > pt_BR/pt_BR.aff.new
           mv pt_BR/pt_BR.aff.new pt_BR/pt_BR.aff
        5) add FLAG UTF-8 to .aff to indicate flags are no longer single bytes
        
        Change-Id: Ib1e9b29d0ecdcf060b3e11207670d26b0f307464
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/106402
        Tested-by: Olivier Hallot <olivier.hallot@libreoffice.org>
        Reviewed-by: Olivier Hallot <olivier.hallot@libreoffice.org>

2020-11-18  U-LAPTOP-LENOVO-H\marco  <marcoagpinto@sapo.pt>  [9e60a41935436ba15f3bcdf1c830ccc46f07b898]

        Updated the English dictionaries: GB
        
        Change-Id: Ic9ae52d71485dbc9118fd45982b2eaed3f3ae51f
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/105047
        Tested-by: Aron Budea <aron.budea@collabora.com>
        Reviewed-by: Aron Budea <aron.budea@collabora.com>

2020-11-11  Olivier Hallot  <olivier.hallot@libreoffice.org>  [d6160c5e006089c711f3fec6eb4e2ade60a4150c]

        Fix paths for pt_PT dict
        
        Change-Id: I388ec82040aec9ad6a6454e9cc770ba0dc1be011
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/105597
        Reviewed-by: Julien Nabet <serval2412@yahoo.fr>
        Tested-by: Caolán McNamara <caolanm@redhat.com>

2020-10-29  Olivier Hallot  <olivier.hallot@libreoffice.org>  [79fa1eebb4d852b0e933eef52e2d69da3bc850de]

        Update pt-PT dictionaries.
        
        source:
        https: //natura.di.uminho.pt/download/sources/Dictionaries/openoffice/Pos-AO/
        Change-Id: I5692fc6f8e1120a17cc25055d3b212e6623f28c2
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/104998
        Tested-by: Olivier Hallot <olivier.hallot@libreoffice.org>
        Reviewed-by: Olivier Hallot <olivier.hallot@libreoffice.org>

2020-10-28  Caolán McNamara  <caolanm@redhat.com>  [c3d2d1d3d338904eb442fddf0c52ac763ea0b5e9]

        fix es_TT (to es-TT) Locale patterns
        
        and add es.aff es.dic referenced in xcu to makefile
        
        Change-Id: Ice69a75ca47889b9eaa95cf28c472068428dcc3c
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/104934
        Tested-by: Caolán McNamara <caolanm@redhat.com>
        Reviewed-by: Caolán McNamara <caolanm@redhat.com>

2020-10-28  Thorsten Behrens  <Thorsten.Behrens@CIB.de>  [885370c2fe87ad45605cf7bcb949554c48dbb919]

        Fixup Spanish dictionary update
        
        This manifest.xml is now required since
        c918f1d4242d9fd9a8de284e6b32b8c00e59debe
        
        Change-Id: I094bf2342d04dd752c7fdc7227b8c5654b3e768a
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/104930
        Tested-by: Caolán McNamara <caolanm@redhat.com>
        Reviewed-by: Caolán McNamara <caolanm@redhat.com>

2020-10-28  Ilkyu Ju  <me@ilkyu.kr>  [975046e0970d4300bb229fb0cbe3d5d0afec8c8f]

        tdf#135405 Add Korean(ko_KR) spellcheck dictionary
        
        add Korean spellcheck dictionary
        
        Change-Id: I1ca5c60fd77f9cfe52feacbfbf021a2d37332ea6
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/100395
        Reviewed-by: DaeHyun Sung <sungdh86+git@gmail.com>
        Reviewed-by: Thorsten Behrens <Thorsten.Behrens@CIB.de>
        Tested-by: Thorsten Behrens <Thorsten.Behrens@CIB.de>

2020-10-28  Ismael Olea  <ismael@olea.org>  [2b9183e45954cfd9d1638f838b461de1ce68b296]

        Update all Spanish dictionaries to RLA v2.6
        
        For first time we publish here all the different localized dicts for
        every Spanish variation CLDR registered, as complete as possible and
        including a reasonable set of related toponyms.
        
        Change-Id: I4fa780659d837552699f4ced0b7aeed5ef599e5b
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/102979
        Tested-by: Thorsten Behrens <Thorsten.Behrens@CIB.de>
        Reviewed-by: Thorsten Behrens <Thorsten.Behrens@CIB.de>

2020-10-28  Marina Latini  <marina.latini@libreoffice.org>  [b75fdcfc8695ba95d624d348fa580ccbc2eff9ce]

        Italian Writing Aids extension forked by LibreItalia.
        
        See CHANGELOG.txt for more details.
        
        Change-Id: Id033e666ba8ef80efd72a22cc68772e1c1e67141
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/104701
        Tested-by: Thorsten Behrens <Thorsten.Behrens@CIB.de>
        Reviewed-by: Thorsten Behrens <Thorsten.Behrens@CIB.de>

2020-07-22  Joan Montané  <joan@montane.cat>  [8cd579e3a67ab36040501138d17c647db24547a0]

        tdf#133766 Updated Catalan dictionary to version 3.0.5
        
        Change-Id: I2feda8cfb5fc2f68db2f9a582d4765e35a242f1a
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/95853
        Tested-by: Andras Timar <andras.timar@collabora.com>
        Reviewed-by: Andras Timar <andras.timar@collabora.com>

2020-07-20  Stephan Bergmann  <sbergman@redhat.com>  [bdedc84127530fcf71c096ad572bd4306a40b26f]

        Fix "invalid escape sequence \w" Python exceptions
        
        (Like
        
        > Python exception: <class 'SyntaxError'>: invalid escape sequence \w (lightproof_impl_en.py, line 126), traceback follows
        >   File "instdir/program/pythonloader.py", line 133, in activate
        >     mod = self.getModuleFromUrl( locationUrl )
        >   File "instdir/program/pythonloader.py", line 101, in getModuleFromUrl
        >     exec(codeobject, mod.__dict__)
        >   File "instdir/share/extensions/dict-en/Lightproof.py", line 6, in <module>
        >     from lightproof_impl_en import locales
        >   File "instdir/program/uno.py", line 345, in _uno_import
        >     return _builtin_import(name, *optargs, **kwargs)
        
        I noticed e.g. during UITest_writer_tests3.)  Appears those suspicious escapes
        were present ever since 2214a3731aaffc4a51d1c712dbee553a0ba35af0 "Hungarian
        sentence checking", 95445a70a29c6a1166a19f483566f2c9cfc7563b "English sentence
        checking", and c9cdf3fb4752e8b0c641a3aff15d554135beb0e7 "Add Russian grammar
        checking + update English and Hungarian".
        
        Change-Id: Ia2af7e0adb00b4737b22d460dd75fa47a4ae70d5
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/99047
        Tested-by: László Németh <nemeth@numbertext.org>
        Reviewed-by: László Németh <nemeth@numbertext.org>

2020-06-17  yakovru  <yakovr_st@mail.ru>  [d4a80b15edc905f6e1213fa8d95300b8299fffec]

        Add be-BY hyphenation
        
        Change-Id: Iaf6d42b393b1a35c3f7d48fbe3a0b0508fcb2981
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/96431
        Tested-by: Andras Timar <andras.timar@collabora.com>
        Reviewed-by: Andras Timar <andras.timar@collabora.com>

2020-06-17  yakovru  <yakovr_st@mail.ru>  [887cac8ec1a143d299347e034814c0f9c2595412]

        fix dict name
        
        Change-Id: Ie30c442fe704504502c11418c491af2c938d261e
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/96430
        Tested-by: Andras Timar <andras.timar@collabora.com>
        Reviewed-by: Andras Timar <andras.timar@collabora.com>

2020-06-17  yakovru  <yakovr_st@mail.ru>  [bf3ada34b722c1ade8b1f08aba79b04dda0791a8]

        Update be_BY dictionary to 0.58
        
        Change-Id: I6541c93b6b23cfdc85bf887905c0c9f07d43a32b
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/96409
        Tested-by: Andras Timar <andras.timar@collabora.com>
        Reviewed-by: Andras Timar <andras.timar@collabora.com>

2020-06-15  Andras Timar  <andras.timar@collabora.com>  [951bb429a4d846699b02e7adb4fc6fca128c6bae]

        remove extra '>' from ar/dictionaries.xcu
        
        Change-Id: I1bf92f06e8631aa56de7c4cf4da013bc8fd5ecac
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/96396
        Tested-by: Andras Timar <andras.timar@collabora.com>
        Reviewed-by: Andras Timar <andras.timar@collabora.com>

2020-06-15  Yakov Reztsov  <yr@myooo.ru>  [871970b369c07ca3ec5182d94fdf0a01802fae67]

        Add merged Russian thesaurus
        
        from https://github.com/yakovru/MergedRuThesaurus
        
        Change-Id: I14047196dbe5aef4191d5a2e5aeaa4af240db610
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/96219
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Reviewed-by: Mike Kaganski <mike.kaganski@collabora.com>
        Tested-by: Mike Kaganski <mike.kaganski@collabora.com>

2020-06-10  zdposter  <zdposter@gmail.com>  [de00c9bd1dd88e8361b606996b0773d30bee772c]

        upgrade Slovak spellchecking
        
        Change-Id: Id3bc65f957187d2c2ba98ba76a1ed4e9fab72c97
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/95999
        Tested-by: Andras Timar <andras.timar@collabora.com>
        Reviewed-by: Andras Timar <andras.timar@collabora.com>

2020-06-04  Ilia Sheshukov  <sheshukov.ilya@gmail.com>  [12e591abdbc5565e5018ed9b8fbe6d635ade87d7]

        Converted Russian dictionaries from KOI8-R to UTF-8
        
        Change-Id: Id2ecf90b5bb0adb5c620916aec3527c4ef851237
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/95515
        Tested-by: Andras Timar <andras.timar@collabora.com>
        Reviewed-by: Andras Timar <andras.timar@collabora.com>

2020-05-24  Andras Timar  <andras.timar@collabora.com>  [b6fee5e2945dda9ab9830bc8cbaefab1fa8ebd39]

        Updated Latvian dictionary to version 1.4.0
        
        Change-Id: I11ad053bca1e8e95148a064249162311ce8f16ce
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/94735
        Tested-by: Andras Timar <andras.timar@collabora.com>
        Reviewed-by: Andras Timar <andras.timar@collabora.com>

2020-05-02  U-LAPTOP-LENOVO-H\marco  <marcoagpinto@sapo.pt>  [c51a343b3c4c19e57ef3d9b7ceca94d3d4146dfb]

        ﻿Updated the English dictionaries: GB
        
        Change-Id: I7f5a6732dd4f8a8105fbf628e849ce7ec4c93955
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/92929
        Tested-by: Andras Timar <andras.timar@collabora.com>
        Reviewed-by: Andras Timar <andras.timar@collabora.com>

2020-03-17  Andras Timar  <andras.timar@collabora.com>  [74d8e826359dbf38224fac1b9c02254b7fe0186a]

        tdf#130999 fix registration of Greek dictionary
        
        Change-Id: I7b85d588c67c9b05f3856d92544fb0a0348594ea
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/90405
        Tested-by: Andras Timar <andras.timar@collabora.com>
        Reviewed-by: Andras Timar <andras.timar@collabora.com>

2020-02-16  Kris van der Merwe  <kris@vandermerwe.co.nz>  [6e60b3ca21fb031486fd35572156232dc6da4c0c]

        Updated Afrikaans dictionary
        
        Change-Id: I778714df63b70d9beacc2e48dc538afe88fd1c5f
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/88773
        Tested-by: Andras Timar <andras.timar@collabora.com>
        Reviewed-by: Andras Timar <andras.timar@collabora.com>

2020-01-12  Andras Timar  <andras.timar@collabora.com>  [3097066a2e5ef164d98527406c0b94d1dd4b98fa]

        corrected Slovenian readme and package description
        
        Change-Id: Iaeece79f64ed03a63191afe9a5f55cbd298a5ed5
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/86643
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2020-01-04  Andrea Gelmini  <andrea.gelmini@gelma.net>  [612bdcc5364508e3fb7795c9b95559ca6e328570]

        Fix typo Languange->Language
        
        Change-Id: I5f961c9a1751145b26a5f69eded6302926560074
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/86203
        Reviewed-by: Julien Nabet <serval2412@yahoo.fr>
        Tested-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>

2020-01-02  Andras Timar  <andras.timar@collabora.com>  [c4775e2e605efdbea46456ac20102ed1ef0b5353]

        Updated Slovenian thesaurus
        
        Change-Id: I492d1f3e7100495c4567a1f629a1083cd8946096
        Reviewed-on: https://gerrit.libreoffice.org/c/dictionaries/+/86070
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2019-11-13  Marco A.G.Pinto  <marcoagpinto@sapo.pt>  [4fb010374f3390e3b75a2e1f1fd491da2cf58c23]

        Updated the English dictionaries: GB+US+CA+AU
        
        Change-Id: Ie29be912c500f00e680398770a0b56dbbcbeb193
        Reviewed-on: https://gerrit.libreoffice.org/81663
        Reviewed-by: Aron Budea <aron.budea@collabora.com>
        Tested-by: Aron Budea <aron.budea@collabora.com>

2019-10-24  Mattia Rizzolo  <mattia@mapreri.org>  [41c5fc0693d6ca4a0934d859ebb39659339e968d]

        tdf#128341 use python3
        
        Change-Id: Ic8deb039da037bd270c39da03f8697a9ab034ff0
        Signed-off-by: Mattia Rizzolo <mattia@mapreri.org>
        Reviewed-on: https://gerrit.libreoffice.org/81410
        Reviewed-by: Michael Stahl <michael.stahl@cib.de>
        Tested-by: Michael Stahl <michael.stahl@cib.de>

2019-10-24  Mattia Rizzolo  <mattia@mapreri.org>  [c15c2a88896b1baab8d180607d66e1ba8befa70b]

        flake8 fixes to the dictionary-to-thesaurus script
        
        tested to work with both python3 and 2.7.
        
        Change-Id: I52fe00e1f33e605010cd99885c1a41396440e49d
        Signed-off-by: Mattia Rizzolo <mattia@mapreri.org>
        Reviewed-on: https://gerrit.libreoffice.org/81411
        Reviewed-by: Thorsten Behrens <Thorsten.Behrens@CIB.de>
        Reviewed-by: Michael Stahl <michael.stahl@cib.de>
        Tested-by: Michael Stahl <michael.stahl@cib.de>

2019-10-22  Ricardo Palomares  <rpmdisguise-java@yahoo.es>  [f46d0decbf5aec3f7eaa1d4017ed332cb421371d]

        Bring shipped Spanish dictionary up to version 2.5
        
        Change-Id: I4cd5921b88f61611ba2220d2db4aa3adee7d2d17
        Reviewed-on: https://gerrit.libreoffice.org/81349
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2019-09-16  Stanislav Horacek  <stanislav.horacek@gmail.com>  [e2f020e6e2f18991c42d15d9496dd6d5b7c844d6]

        remove incorrect Czech word
        
        Change-Id: Ice9bf2b15284034ad9a21ef9123a761a7982ac9e
        Reviewed-on: https://gerrit.libreoffice.org/78856
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2019-08-03  Andras Timar  <andras.timar@collabora.com>  [358cce8e6243ce539b3a2e2b5505c9b7271389c4]

        Updated Slovenian thesaurus
        
        Change-Id: I92b7d40652ce056b627fdac251a36976a2a9301c
        Reviewed-on: https://gerrit.libreoffice.org/76708
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2019-07-14  Andras Timar  <andras.timar@collabora.com>  [86b4b5bfbff91c2eb223806825e5fa5fec9654d2]

        tdf#118570 update the da_DK dictionary
        
        Change-Id: Ie0a666ee4d78543762163e7290286a817c99104f
        Reviewed-on: https://gerrit.libreoffice.org/75467
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2019-06-04  wishawa  <wisha.wa@yandex.com>  [e122922802e82eef43a6e17762b2e80b66ce6f1c]

        Remove abbreviations from Thai hunspell dictionary.
        
        Reasons:
        1. They are not present in other spellcheck dictionaries (such as en).
        2. To add all abreviations would not be much different from adding all
        possible combinations of 2-3 Thai consonants. This would make misspelled
        abbreviations come as correct to the spellcheck anyway.
        3. Adding only the most common ones can cause confusion to those using
        less common ones, as the spellchecker will suggest the more common
        abbreviation. It is also nearly impossible to determine if an abbreviation
        is common that it should be added or not.
        Change-Id: I8b7bce70f552ab3b356e1ab2c101e9e31a8ec271
        Reviewed-on: https://gerrit.libreoffice.org/73216
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2019-05-06  Marco A.G.Pinto  <marcoagpinto@sapo.pt>  [547d7a6839fa289ca52c2a241f9923e0359aee2f]

        Updated the English dictionaries: GB
        
        Change-Id: I7d1f80c516b34d6ff7548869bec95e13f40735f9
        Reviewed-on: https://gerrit.libreoffice.org/71621
        Reviewed-by: Aron Budea <aron.budea@collabora.com>
        Tested-by: Aron Budea <aron.budea@collabora.com>

2019-05-05  Julien Nabet  <serval2412@yahoo.fr>  [23120b6ade924b892055e26148c18f44896821c6]

        Fix logo management for "ca"
        
        Thread 1 "soffice.bin" hit Breakpoint 1, (anonymous namespace)::GraphicProvider::queryGraphic
        (this=0x55555b446140, rMediaProperties=uno::Sequence of length 1 = {...})
            at /home/julien/lo/libreoffice/vcl/source/graphic/UnoGraphicProvider.cxx:430
        430	                SAL_WARN("svtools", "Could not create graphic: " << error);
        (gdb) p rMediaProperties
        $2 = uno::Sequence of length 1 = {{Name = "URL", Handle = 0, Value =
        uno::Any("string": "file:///home/julien/lo/libreoffice/instdir/program/../share/extensions/dict-ca/images/SC-logo.png"),
            State = com::sun::star::beans::PropertyState::PropertyState_DIRECT_VALUE}}
        (gdb) c
        Continuing.
        warn:svtools:21636:21636:vcl/source/graphic/UnoGraphicProvider.cxx:430:
        Could not create graphic: 0x8201(Error Area:Vcl Class:General Code:1)
        
        Change-Id: I4b160ccd6777988ddb0107b663006efdaa48e366

2019-04-30  wishawa  <wisha.wa@yandex.com>  [661e18650eb4f810b566fe4cbae64755a7ecf804]

        Update Thai dictionary: corrections, UTF-8, and over ten thousand more words.
        
        Change-Id: Iea084036516e727af2f70729bd7484fb9cbdad90
        Reviewed-on: https://gerrit.libreoffice.org/71523
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2019-04-20  Milutin Smiljanic  <msmiljanic.gm@gmail.com>  [5fe575dbcfeb789e2ab2d9731b88ac0dacc4f453]

        No-rule based Serbian dictionary replaced with rule based dictionary
        
        Change-Id: I1d4ed6ac883e1fb47eb50dbd057f4cf8602e4a9a
        Reviewed-on: https://gerrit.libreoffice.org/70969
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2019-03-07  Lior Kaplan  <kaplanlior@gmail.com>  [10e0418ad6a7e1c519cbcf6b9329f0940bd07c9f]

        tdf#117389 Make sure all comments also ends with #
        
        Change-Id: I68f513c0ad8b63b416608f8e221450622ef10c2d

2019-03-07  Lior Kaplan  <kaplanlior@gmail.com>  [3db9bd9d2bc5f5321fad7f02f07423f420c382d5]

        tdf#117389 Remove empty line, update total number
        
        Change-Id: I4f492ab621d5a41466f55e79e86eeda5c7da1e52

2019-03-07  Kris van der Merwe  <kris@vandermerwe.co.nz>  [9ca0a9fcb2c163514646994abf0c3d4bdd3756aa]

        substantive rework of af_ZA hunspell
        
        Change-Id: I873d6135e65089e5905b5c650428b4d9ad7fa4c6

2019-03-07  Lior Kaplan  <kaplanlior@gmail.com>  [a9c644453756b5b3d2eaba8c715fcbc775626565]

        Replace : with # in comments lines
        
        Change-Id: I1bcd51d4dab501a051dd6bebe98380299390fc3b
        Reviewed-on: https://gerrit.libreoffice.org/67282
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2019-03-07  Lior Kaplan  <kaplanlior@gmail.com>  [c5a06ed0bf1d10fcbc160e590d01ebc22271ba23]

        tdf#117389 Remove RLM/LRM from Arabic dictionary
        
        Change-Id: I002d7be2de961b7a20d48eed628ae35df0b600df
        Reviewed-on: https://gerrit.libreoffice.org/67281
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2019-01-20  Ricardo Palomares  <rpmdisguise-java@yahoo.es>  [6811c96b9df098a917d728c9231a1d6268c6435f]

        Bring shipped Spanish dictionary up to version 2.4
        
        Change-Id: Ie814270a83d7459d402e8e92dab4959f2f0793e5
        Reviewed-on: https://gerrit.libreoffice.org/66654
        Reviewed-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>
        Tested-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>

2019-01-02  Martin Srebotnjak  <miles@filmsi.net>  [f2b8065791be3aa764e03afd0bfa18f4678ac492]

        Updated Slovenian thesaurus
        
        Change-Id: Ib08d9bb64020ec10215d812338cfcfc7a23028a7
        Reviewed-on: https://gerrit.libreoffice.org/65807
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2019-01-01  Denis Arnaud  <denisarnuad@yahoo.fr>  [aff69d55780b6a49d0497d07352da0490399a19a]

        Updated Breton spelling dictionary to version 0.16
        
        Change-Id: Id63e2340c97f7071480ab73ebd46611ba9a8929c
        Reviewed-on: https://gerrit.libreoffice.org/65790
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2018-12-28  Adolfo Jayme Barrientos  <fitojb@ubuntu.com>  [fea4ea689cd27d4c0bd981fdc01225d3bfacfc2d]

        tdf#99826 Update Galician dictionaries to version 18.07
        
        Change-Id: If3a2f77855159c1a2a50880b0eb37a824c926f6c
        Reviewed-on: https://gerrit.libreoffice.org/64370
        Reviewed-by: Aron Budea <aron.budea@collabora.com>
        Tested-by: Aron Budea <aron.budea@collabora.com>

2018-12-16  sabri unal  <yakushabb@gmail.com>  [37f536403a1746d2e1422ad06a941e67d01577f6]

        Related: tdf#121610 Do dictionary option titles Title Case
        
        Change-Id: I3ab12669bec1265ad06288a122661c5b77733e1b
        Reviewed-on: https://gerrit.libreoffice.org/64916
        Reviewed-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>
        Tested-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>

2018-11-04  Stanislav Horacek  <stanislav.horacek@gmail.com>  [86921a78c42f4fd499d86a226e34ab97e8b85ed5]

        update readme for Czech dictionaries
        
        Change-Id: Iccc08a8535761418d5b8e01b642d5a18a5b7bedf
        Reviewed-on: https://gerrit.libreoffice.org/62809
        Reviewed-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>
        Tested-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>

2018-10-31  Andras Timar  <andras.timar@collabora.com>  [12a05722b1bdda6764da7aeb0f87800de4c06153]

        typo: Typographica -> Typographical
        
        Change-Id: I9e9dc28dcb27ec466a5beecb1141f82489c803b1

2018-10-25  Marco A.G.Pinto  <marcoagpinto@sapo.pt>  [605e1d1441a8e0a67709b4869ecf4c651e81dfd5]

        Updated the English dictionaries: GB+AU+CA+US+Extension logo
        
        Change-Id: I4223020f9ead26d3497908a3160395fa7b75d9f9
        Reviewed-on: https://gerrit.libreoffice.org/62340
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2018-09-05  Andras Timar  <andras.timar@collabora.com>  [5b81821a17bf104942b364ad7e13ab4cd8f5ec50]

        bump Norwegian linguistic components to ver 2.2
        
        Change-Id: Iad2df5b511a45c9fe86bbf79915887fb2786aaa0

2018-08-27  Muhammet Kara  <muhammet.kara@pardus.org.tr>  [9ec31e4d1441acd78aee1d880de377e4ee645d19]

        Migrate the Turkish dictionary to hunspell-tr
        
        It had been permitted to be re-licensed under MPL v2.0,
        by the original author of the extension.
        
        It has fewer words, but a lot less false-positives,
        and false negatives.
        
        The original author offered to update the dictionary,
        if we provide him with a word list.
        
        Change-Id: Ideb27da220dcf10dabc924996362b549a5373352
        Reviewed-on: https://gerrit.libreoffice.org/59258
        Reviewed-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>
        Reviewed-by: Aron Budea <aron.budea@collabora.com>
        Tested-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>

2018-08-24  Olivier R  <olivier.dev@grammalecte.net>  [f72d665c06042c6736adf652b096265684701f46]

        French dictionary update (v6.3)
        
        Change-Id: I98c98d1484810b7403c3de4ed9a02e8689542552
        Reviewed-on: https://gerrit.libreoffice.org/59561
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2018-07-28  Muhammet Kara  <muhammet.kara@pardus.org.tr>  [00a2316c6499821fee61aaa14e718d5b7398e983]

        Add Turkish (tr_TR) hunspell dictionary
        
        From https://addons.mozilla.org/en-US/firefox/addon/turkce-yazim-denetimi/
        
        Change-Id: Idd122cc8fe48940e9286a49006b3f97546cf5a79
        Reviewed-on: https://gerrit.libreoffice.org/58129
        Reviewed-by: Olivier Hallot <olivier.hallot@libreoffice.org>
        Tested-by: Muhammet Kara <muhammet.kara@pardus.org.tr>

2018-07-03  Ali Ahmadi  <idnux09@gmail.com>  [43f9b34b3bf68f252a68827adf59a7f9a4b4d935]

        add hyphenation metadata to id/description.xml and id/dictionaries.xcu
        
        Change-Id: I81d9dcec76a28e35d650b8f19094bd47e9bc88cd
        Reviewed-on: https://gerrit.libreoffice.org/56804
        Reviewed-by: Christian Lohmaier <lohmaier+LibreOffice@googlemail.com>
        Tested-by: Christian Lohmaier <lohmaier+LibreOffice@googlemail.com>

2018-06-30  Ali Ahmadi  <idnux09@gmail.com>  [2180c26eabeda8ed3315bc04acd0dd4fc3246736]

        add Indonesian hyphenation library function
        
        Change-Id: I34fff23b2990f5373b38a14f72e113dc5a0b1a10
        Reviewed-on: https://gerrit.libreoffice.org/56432
        Reviewed-by: László Németh <nemeth@numbertext.org>
        Reviewed-by: Thorsten Behrens <Thorsten.Behrens@CIB.de>
        Tested-by: Thorsten Behrens <Thorsten.Behrens@CIB.de>

2018-06-29  Tomáš Chvátal  <tchvatal@suse.com>  [3e4d844783643fb625925c582fe518fc70b69d42]

        Convert Bulgarian dictionary files to UTF-8
        
        As reported in openSUSE the files didn't load properly otherwise:
         https://bugzilla.suse.com/show_bug.cgi?id=1099508
        
        Change-Id: I9651e596b733d3a3b240c24f0d7cd4389b8b9c35
        Reviewed-on: https://gerrit.libreoffice.org/56674
        Reviewed-by: Tomáš Chvátal <tchvatal@suse.cz>
        Tested-by: Tomáš Chvátal <tchvatal@suse.cz>

2018-06-28  Tor Lillqvist  <tml@collabora.com>  [fe72d24920c8a4dcbee18925cb19e6b6625f6553]

        tdf#118423: Fix problems introduced by my recent pt_BR speedup
        
        Change-Id: I25b1d11e13c01678195210d42597281896543ff2
        Reviewed-on: https://gerrit.libreoffice.org/56612
        Reviewed-by: Tor Lillqvist <tml@collabora.com>
        Tested-by: Tor Lillqvist <tml@collabora.com>

2018-06-21  Tor Lillqvist  <tml@collabora.com>  [846e5da4b28bb40158cfb992f3a371614e25a349]

        tdf#104332 (and others): Fix two thinkos in my recent commit
        
        Change-Id: I6908826572153daeee1211ea3796a6e4a0e007b2
        Reviewed-on: https://gerrit.libreoffice.org/56217
        Reviewed-by: Tor Lillqvist <tml@collabora.com>
        Tested-by: Tor Lillqvist <tml@collabora.com>

2018-06-20  Tor Lillqvist  <tml@collabora.com>  [2d8dd0af877de8494ca9c2c027eba4a42bbc09eb]

        tdf#104332 (and others): Speed up Lightproof initialisation
        
        Delay import of the the heavy lightproof_impl_pt_BR to when actually
        needed. Shaves several hundred milliseconds (on my machine, about 300
        ms) from the time needed to just get a list of what grammars checkers
        are available. It's silly to load the heavy pt-BR impl module even if
        no Brazilian Portuguese proof reading is being performed.
        
        Sure, the same change could be done to the other Lightproof
        dictionaries, too, but they are much smaller, so importing them
        unconditionally always does not hurt so much.
        
        Change-Id: I3c3f64e80bd9519f188905abda7c25337c81462d
        Reviewed-on: https://gerrit.libreoffice.org/56176
        Reviewed-by: László Németh <nemeth@numbertext.org>
        Tested-by: Tor Lillqvist <tml@collabora.com>

2018-05-29  Kruno  <kruno.se@gmx.com>  [6c85a19c887b6147ec7d3a600b51cb2a44284fa2]

        Update Croatian dictionary to version 2.1.1
        
        Change-Id: I8425ab128d04d428ccc99cb6c8abe2635292f143
        Reviewed-on: https://gerrit.libreoffice.org/53578
        Reviewed-by: Christian Lohmaier <lohmaier+LibreOffice@googlemail.com>
        Tested-by: Christian Lohmaier <lohmaier+LibreOffice@googlemail.com>

2018-05-22  László Németh  <nemeth@numbertext.org>  [e90e83b23b6ace35349fc2b3e65bd2d69c80ddd8]

        Hungarian dictionary v1.7
        
        Extend Hungarian dictionary with boundary data for compound words
        and for disambiguation of digraphs to fix incomplete and bad
        Hungarian collate, sorting and hyphenation rules in the future.
        
        Other minor fixes (*idegenszó -> idegen szó, *periférikus etc.)
        
        Change-Id: I3278801ac875f2d33fd5dc62efc43a9a81194734
        Reviewed-on: https://gerrit.libreoffice.org/54480
        Reviewed-by: László Németh <nemeth@numbertext.org>
        Tested-by: László Németh <nemeth@numbertext.org>

2018-05-15  Aron Budea  <aron.budea@collabora.com>  [dbcea2a5cdfabea90420fa292e66cc647814b824]

        English dictionaries: add ref to package-description.txt
        
        Change-Id: Ie63941f519f43a5e632816b696bd174f033c4991
        Reviewed-on: https://gerrit.libreoffice.org/53953
        Reviewed-by: Aron Budea <aron.budea@collabora.com>
        Tested-by: Aron Budea <aron.budea@collabora.com>

2018-05-07  Marco A.G.Pinto  <marcoagpinto@mail.telepac.pt>  [ba46347c2c7182cb21a22d8c2c1d761ecb3e6014]

        Updated the English dictionaries: GB
        
        Change-Id: I99dde909e4b4a29204b9d30bcc21e120baabbe38
        Reviewed-on: https://gerrit.libreoffice.org/53501
        Reviewed-by: Aron Budea <aron.budea@collabora.com>
        Tested-by: Aron Budea <aron.budea@collabora.com>

2018-03-27  László Németh  <nemeth@numbertext.org>  [c8e86617a771c53813a86d64bd3467aa75c63307]

        Hungarian grammar checking rules v1.6.4
        
        Check reference fields with articles and affixes.
        
        Note: fields (except footnote numbers) are expanded
        again for grammar checking and expanded content has got
        an initial ZWSP character for more precise proofreading rules,
        see commit aab440c768b64b9d2ffa72223b6d843a84c2d061.
        
        Change-Id: I27b3075015335bbb72ddb5b234fd48b661ba6e80
        Reviewed-on: https://gerrit.libreoffice.org/51279
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2018-03-14  László Németh  <nemeth@numbertext.org>  [3bc3ffdb0b622cc07b5d959225a9f2223afdf145]

        Hungarian grammar checking rules v1.6.3
        
        Change-Id: I2c898690f12edc0ad4c83dc6395813e21a724f64
        Reviewed-on: https://gerrit.libreoffice.org/51227
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2018-03-12  Adolfo Jayme Barrientos  <fitojb@ubuntu.com>  [d8d241188c1914d5e031948111bfb80f8642607f]

        People ask what this repo’s all about
        
        But I don’t feel like writing anything, so just add a link.
        
        Change-Id: I8aed1a20ea5246be24d22490d2ff3714e2d2e2dc

2018-03-10  Andika Triwidada  <andika@gmail.com>  [47c5e2741fd510d38045abcbd2719a7a584d470d]

        Added Indonesian thesaurus
        
        Change-Id: Ida510bb2a5cc6a636556e26d1a28621e9566be27
        Reviewed-on: https://gerrit.libreoffice.org/50962
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2018-03-10  László Németh  <nemeth@numbertext.org>  [edcc4e770e287a6ebe1022cb57fda539ceec9188]

        tdf#95024 update Hungarian spelling dictionary
        
        Changes from Magyar Helyesírási Szótár (2017),
        for example "soppingol", "sznekk", "videófilm".
        Other fixes and rules.
        
        Change-Id: I7ba79f48495fc0f6b930ae426e0ce1efdaa66984
        Reviewed-on: https://gerrit.libreoffice.org/51020
        Reviewed-by: László Németh <nemeth@numbertext.org>
        Tested-by: László Németh <nemeth@numbertext.org>

2018-02-28  László Németh  <nemeth@numbertext.org>  [2b7711678410bc531e9d07b4d6f85bfb85f2116a]

        tdf#116072 Improve Hungarian spell checking by better word breaking
        
        and ignore the special characters of the word forms, or
        break at the special character and check the word stem and
        affix (with a starting hyphen) separately:
        
        vár(hat)nak -> várhatnak
        „Tisza”-ban -> Tisza, -ban [Note: this removes false alarms
            in Writer, but extra grammar checking can help to check
            matching of the stem and the affix.]
        
        Change-Id: Icb810ccc1ecb84fea3ee5093100e2fdc874edb6c
        Reviewed-on: https://gerrit.libreoffice.org/50475
        Reviewed-by: László Németh <nemeth@numbertext.org>
        Tested-by: László Németh <nemeth@numbertext.org>

2018-02-28  Andika Triwidada  <andika@gmail.com>  [ed6a0c24ca0c76b21375f73c29cc73e9974142ea]

        Add Indonesian dictionary
        
        Change-Id: I1368bccffe9f192de4d73c5f658d4f864e3374da
        Reviewed-on: https://gerrit.libreoffice.org/49785
        Reviewed-by: Thorsten Behrens <Thorsten.Behrens@CIB.de>
        Tested-by: Thorsten Behrens <Thorsten.Behrens@CIB.de>

2018-02-04  Ricardo Palomares  <rpmdisguise-java@yahoo.es>  [883b1cd4d8e2dd005c77143aec82c0fb556e72eb]

        Bring shipped Spanish dictionary up to version 2.3
        
        Change-Id: I0bd46fadea1e0d718703b10adf69e62034139e41
        Reviewed-on: https://gerrit.libreoffice.org/48850
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2018-02-04  Yousuf Philips  <philipz85@hotmail.com>  [476ebd97bbfdcf59f00cd832647b880ddfdfb252]

        Update arabic dictionary to version 3.5 (2014-11-08)
        
        Files extracted from
        http://sourceforge.net/projects/ayaspell/files/dict_ar-3.5.2014-11-08.oxt/download
        
        Change-Id: Ic3ffb861a253f680e96e437b5dc2f3da4e392a21
        Reviewed-on: https://gerrit.libreoffice.org/49028
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2018-01-17  László Németh  <nemeth@numbertext.org>  [96f0ddc0c4ddfc6f9fa1c94d5844469c1911e712]

        tdf#95024 fix Hungarian Lightproof module
        
        - by removing the obsolete date rule for "1st of month":
        
          for example, "január 1-e", "február 1-én" are correct forms already
        
        - add new date rules for days with bad affixation (typical mistake
          after a search & replace):
        
          "1-a, 1-án, 1-ára, 1-ához, 3-e, 3-én, 3-ére, 3-éhez etc."
        
        Change-Id: If5fcaf4fe693fa7d30aa5c6332975a513d13a0cf
        Reviewed-on: https://gerrit.libreoffice.org/48074
        Reviewed-by: László Németh <nemeth@numbertext.org>
        Tested-by: László Németh <nemeth@numbertext.org>

2018-01-17  László Németh  <nemeth@numbertext.org>  [9f4bce132552f5e92a9419aa2ab09167074089b2]

        tdf#95024 Update Hungarian Lightproof module
        
        - fix rules related to the new Hungarian orthography:
        
          - "e-mail-cím" or "ímélcím", and not "e-mail cím"
        
          - "örökkön örökké", and not "örökkön-örökké"
        
        - check completeness of foreign expressions: "ab ovo", "et cetera"...
        
        - new rules (test document attached to the bug report)
        
        Change-Id: I13ef37381fe15a3f4d51d61763e4f570a17fa2da
        Reviewed-on: https://gerrit.libreoffice.org/48044
        Reviewed-by: László Németh <nemeth@numbertext.org>
        Tested-by: László Németh <nemeth@numbertext.org>

2018-01-16  Denis Arnaud  <denisarnuad@yahoo.fr>  [68dd2e833bfb2d741e7ce66bea70751b85b63c19]

        Updated Breton spelling dictionary to version 0.15
        
        Change-Id: Ibaad97f9a59c2092ce044b7b458cfd9cd1e134b7
        Reviewed-on: https://gerrit.libreoffice.org/47958
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2018-01-10  László Németh  <nemeth@numbertext.org>  [58274a91b8e64e14282def27d118929b35da4ba8]

        tdf#95024 update Hungarian spelling dictionary
        
            – new and fixed words
        
            – apply new changes from Magyar Helyesírási Szótár (2017):
        
              charme →  sárm
              Vietnam →  Vietnám
        
            – start to use new Hunspell features for two-word, etc.
              suggestions for common misspellings
        
              mégegyszer →  még egyszer
              egyesegyedül →  egyes-egyedül
        
        Change-Id: I38eac7b1023c823af69268ed81b86bde3309a3d0
        Reviewed-on: https://gerrit.libreoffice.org/47677
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2018-01-05  Martin Srebotnjak  <miles@filmsi.net>  [b64137bed16e860335372166bffbdf25cb986465]

        Updated Slovenian thesaurus
        
        Change-Id: I861763c246d29759d9882cd7150ffa86b64367b4
        Reviewed-on: https://gerrit.libreoffice.org/47455
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2017-12-21  Marco A.G.Pinto  <marcoagpinto@mail.telepac.pt>  [f8a5164d94594d7a36eccd5a2504b76c67e6d2c1]

        Added maintainer name and Extension URL to English dictionaries.
        
        Change-Id: I42a2309aefabe04f745605fd8c472f504fa67712
        Reviewed-on: https://gerrit.libreoffice.org/46805
        Reviewed-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>
        Tested-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>

2017-12-13  Aron Budea  <aron.budea@collabora.com>  [7ac9dd36dcbaef021399b8328d25c8a1ab000e83]

        Add logo for English dict to the .mk as well
        
        Change-Id: I9a64cce5dd06f75d536b0740c492358e89e90666
        Reviewed-on: https://gerrit.libreoffice.org/46360
        Reviewed-by: Aron Budea <aron.budea@collabora.com>
        Tested-by: Aron Budea <aron.budea@collabora.com>

2017-12-13  Marco A.G.Pinto  <marcoagpinto@mail.telepac.pt>  [cde2a4aa5184e8c6dfa565db50d004a70a12e7d2]

        Added "official" logo (icon) to English dictionaries
        
        Change-Id: I7c0d250386cbd49a4a4869fa1ee165e957db3ae6
        Reviewed-on: https://gerrit.libreoffice.org/45990
        Reviewed-by: Aron Budea <aron.budea@collabora.com>
        Tested-by: Aron Budea <aron.budea@collabora.com>

2017-12-09  László Németh  <nemeth@numbertext.org>  [daa1165deae904b035dae296e97811fb2c4f771d]

        tdf#95024 update Hungarian spelling dictionary
        
        – improved affix rules
        
        – extended pronunciation and common misspelling data for
          improved Hunspell suggestions
        
        - new and fixed words
        
        Change-Id: Ib8b9c371abcb764c3225180be2f0d6a21f757f09
        Reviewed-on: https://gerrit.libreoffice.org/45975
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2017-12-09  Ricardo Palomares  <rpmdisguise-java@yahoo.es>  [16bfcddaad3e545a32ba2b5bfb6a6463e2ab1f68]

        Bring shipped Spanish dictionary up to version 2.2
        
        Change-Id: Ia877b81fa5ecd021315643b1db49cfadebcdde1e
        Reviewed-on: https://gerrit.libreoffice.org/46142
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2017-11-04  László Németh  <nemeth@numbertext.org>  [56684558fb8bdb05cf8bc3e4c183e78de630dd6d]

        tdf#95024 update Hungarian spelling dictionary
        
        Change-Id: I9cd563ff6c1d9e5547216efeadb65cf018c56026
        Reviewed-on: https://gerrit.libreoffice.org/44290
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2017-10-27  Marco A.G.Pinto  <marcoagpinto@mail.telepac.pt>  [6feecdc45bb14d46b4273f2cf6c0e3491cbee276]

        Updated the English dictionaries: GB + US + CA + AU
        
        Change-Id: If18f25780393258158ebf85cd68dbfa1075c4ab3
        Reviewed-on: https://gerrit.libreoffice.org/43886
        Reviewed-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>
        Tested-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>

2017-10-23  Lior Kaplan  <kaplanlior@gmail.com>  [a79cdcb292c8095049f2834a1f0c5cbffe9097fe]

        Create an Albanian (sq) dictionary
        
        Dictionary based on files from http://shkenca.org/k6i/
        
        Change-Id: I8d9eabecb9a8efd6f5fead6abec52d21a0c04f88
        Reviewed-on: https://gerrit.libreoffice.org/41906
        Reviewed-by: Aron Budea <aron.budea@collabora.com>
        Tested-by: Aron Budea <aron.budea@collabora.com>

2017-10-23  Aron Budea  <aron.budea@collabora.com>  [471ccf158958a7e7968c96796bdf4dcfe4142bb3]

        tdf#112065: Update Tibetan (bo) dictionary to 0.4
        
        Change-Id: I4d2cc7b0366d04c32b32d8ddec4dca1cf9735e5a
        Reviewed-on: https://gerrit.libreoffice.org/43708
        Reviewed-by: Aron Budea <aron.budea@collabora.com>
        Tested-by: Aron Budea <aron.budea@collabora.com>

2017-10-16  Stoyan Dimitrov  <stoyan@gmx.com>  [06a89d28d971d60c7f7afabddaedec194618c786]

        tdf#112750: Fix disappearing/insufficient hyphenation points for bg-BG
        
        Also changed encoding of Bulgarian hyphenation dictionary from CP1251 to
        UTF-8
        
        Change-Id: Ic2add1198c281c83d2e8230a1b14273fd22d85f3
        Signed-off-by: Hristo Hristov <h.hristov@icobgr.info>
        Reviewed-on: https://gerrit.libreoffice.org/43000
        Reviewed-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>
        Tested-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>

2017-10-08  Lior Kaplan  <kaplanlior@gmail.com>  [a2a91e4bb5a5b5247afaaecf0c928e9f7025ecbd]

        Fix typo in Croatian dictionary (ver 2.1)
        
        Thanks to Claudio Bley for noticing the issue.
        
        Change-Id: I8bc521dc38e7980f845002d30ee8a671fed9b648
        Reviewed-on: https://gerrit.libreoffice.org/43242
        Reviewed-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>
        Tested-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>

2017-09-19  Paul Menzel  <pmenzel@molgen.mpg.de>  [7250202493f1d91c5568db3363a268f7e5dcac42]

        de: Strip trailing spaces from README files
        
        Change-Id: Ie07d9c56d0e17612c1b1baaa2c0e29df4c3ad3cb
        Reviewed-on: https://gerrit.libreoffice.org/42484
        Reviewed-by: Michael Stahl <mstahl@redhat.com>
        Tested-by: Michael Stahl <mstahl@redhat.com>

2017-09-19  Paul Menzel  <pmenzel@molgen.mpg.de>  [8b73c571cb27bb29d26f3e218dedee2b680c3a04]

        de: Use more secure HTTPS URLs
        
        Change-Id: Iff2c6eddd7a0211b85f884d9e2601529daa3bab2
        Reviewed-on: https://gerrit.libreoffice.org/42483
        Reviewed-by: Michael Stahl <mstahl@redhat.com>
        Tested-by: Michael Stahl <mstahl@redhat.com>

2017-09-05  Lior Kaplan  <kaplanlior@gmail.com>  [b47ce35a6acd746b539143949b677c554812c415]

        Update Hebrew dictionary as generated by Hspell 1.4
        
        Files taken from Debian myspell-he package
        
        Change-Id: I8d889ec5fbafe19040ca86995e66c79832b0ad18
        Reviewed-on: https://gerrit.libreoffice.org/41864
        Reviewed-by: Thorsten Behrens <Thorsten.Behrens@CIB.de>
        Tested-by: Thorsten Behrens <Thorsten.Behrens@CIB.de>

2017-06-22  Aron Budea  <aron.budea@collabora.com>  [93db4f58c3b2e43003c49d33ce203bdcc8db0b93]

        tdf#108439: update Scottish Gaelic dictionary to 3.3
        
        Change-Id: Id08f755bd6e4001d91a5c6129c0d07522d9cefec
        Reviewed-on: https://gerrit.libreoffice.org/38985
        Reviewed-by: Aron Budea <aron.budea@collabora.com>
        Tested-by: Aron Budea <aron.budea@collabora.com>

2017-06-07  Krunoslav Šebetić  <kruno.se@gmx.com>  [c1631744a57759f139a94884191dd29facca795a]

        Update Croatian dictionary to 2.1
        
        Change-Id: I3a9e87d53caf3e5bfe3e4ef6f1096d7635ff6ff1
        Reviewed-on: https://gerrit.libreoffice.org/36552
        Reviewed-by: Christian Lohmaier <lohmaier+LibreOffice@googlemail.com>
        Tested-by: Christian Lohmaier <lohmaier+LibreOffice@googlemail.com>

2017-05-21  Piotr Drąg  <piotrdrag@gmail.com>  [3709ccf271956a1bae1a0cf7e90233c08a82c4d2]

        Update Polish dictionary to 20170514
        
        Using sjp-myspell-pl-20170514.zip from http://sjp.pl/slownik/en/
        
        Change-Id: I7688b8d718c0c3835efd7a2fb4e75e4ac1accf21
        Reviewed-on: https://gerrit.libreoffice.org/37340
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2017-05-21  Piotr Drąg  <piotrdrag@gmail.com>  [36306e37d879cc97cfdc7ed885ea7a263195bed6]

        Update Polish thesaurus to 0.8.60
        
        Using pl-dict-latest.oxt (version 0.8.60, 7 May 2017)
        from https://dobryslownik.pl/pobierz/ — includes the upstream fix
        for fd593892c9de0c323abf6e920fe2b7894a15b26f.
        
        Change-Id: I0cbd933bbc418a17dffd626e25927112f5c2b2ca
        Reviewed-on: https://gerrit.libreoffice.org/37339
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2017-05-21  Gabor Kelemen  <kelemeng@gnome.hu>  [200eca21410d97c1a1fa8189164744dfcf69dc3e]

        Make sure all dictionary descriptions are translated
        
        Some dictionary extensions use 'en' as the language code of their
        description.
        The toolchain needs 'en-US' here to extract the extension name
        as a translatable string.
        As a result these names do not appear
        localized in Pootle and then in the Extension Manager.
        
        With this fix new pot files are generated in workdir/pot/dictionaries/
        
        Change-Id: I9d35f2a028be15a77da3b0679cfd154afbf1dc60
        Reviewed-on: https://gerrit.libreoffice.org/37868
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2017-05-11  Tomáš Chvátal  <tchvatal@suse.com>  [e46b2a46dd51843bc388a6355bb54eafbbf864b9]

        Remove executable flag on txt files
        
        Change-Id: Ie2874c2178a61b02de378a574bd8a963b9c54163
        Reviewed-on: https://gerrit.libreoffice.org/37510
        Reviewed-by: Caolán McNamara <caolanm@redhat.com>
        Tested-by: Caolán McNamara <caolanm@redhat.com>

2017-05-06  Marco A.G.Pinto  <marcoagpinto@mail.telepac.pt>  [599494ebd79eb9261049a91e2cf11c1294aa8184]

        GB dictionary update (2017-05-01)
        
        Updated the Dictionaries:
        - British (Marco A.G.Pinto)*
          * British has 431 new words (2017-04-01) + 271 new words (2017-05-01).
        
        Change-Id: Ia24feac848870e4149d7fa22688062ebe3f3f9c8
        Reviewed-on: https://gerrit.libreoffice.org/37073
        Reviewed-by: Aron Budea <aron.budea@collabora.com>
        Tested-by: Aron Budea <aron.budea@collabora.com>

2017-05-05  Michael Stahl  <mstahl@redhat.com>  [fd593892c9de0c323abf6e920fe2b7894a15b26f]

        dictionaries: remove malformed line from pl_PL/th_pl_PL_v2.dat
        
        Breaks the build with:
        
        Unable to read count from "sądzić|stwierdzać|upierać się|(książkowo) utrzymywać|zapewniać|zaręczać" input.
        
        Change-Id: I6e1a51258c0e2f3baac21b1f0a8e43b461a7f3a7

2017-05-05  Piotr Drąg  <piotrdrag@gmail.com>  [5926dc476fc070ff44a1cac747658b0dba5f05ba]

        Update Polish thesaurus
        
        Using pl-dict-latest.oxt (version 0.8.59, 6 March 2017)
        from https://dobryslownik.pl/pobierz/
        
        https://bugs.documentfoundation.org/show_bug.cgi?id=106331
        
        Change-Id: I6a482730df6ccf9b520366cf3c59101f464bfe11
        Reviewed-on: https://gerrit.libreoffice.org/37291
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2017-05-05  Piotr Drąg  <piotrdrag@gmail.com>  [92d14831d28fecaaa8b1ea6487173c6fd2c72db8]

        Update Polish dictionary
        
        Using sjp-myspell-pl-20170305.zip from http://sjp.pl/slownik/en/
        
        https://bugs.documentfoundation.org/show_bug.cgi?id=106331
        
        Change-Id: I06764087a259f082cacf9fc50620ee21d1e6f19f
        Reviewed-on: https://gerrit.libreoffice.org/37290
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2017-05-02  Olivier R  <olivier.dev@grammalecte.net>  [c82ad83da55f7c0d4667edea003b8038e473dcd1]

        tdf#107558 French spelling dictionary (6.0.3) and thesaurus
        
        Change-Id: Ia3da9c3b2e4a0ca1032edad131838b3a705e0597

2017-03-03  Marco A.G.Pinto  <marcoagpinto@mail.telepac.pt>  [66a5dd1c02f2f626fc28ba378b7ad7d5463c83b8]

        Update English dictionaries
        
        - Australian (Kevin Atkinson)
        - American (Kevin Atkinson)
        - Canadian (Kevin Atkinson)
        - British (Marco A.G.Pinto)*
        * British has 638 new words (2017-02-01) + 326 new words (2017-03-01).
        
        Change-Id: I4624527bee9637a052758b87e73f7e86f1b98dbd
        Reviewed-by: Stuart Swales <stuart.swales.croftnuisk@gmail.com>
        Reviewed-on: https://gerrit.libreoffice.org/34751
        Reviewed-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>
        Tested-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>

2017-03-03  Krunoslav Šebetić  <kruno.se@gmx.com>  [6e7234e849e6d41a96f75d59cf9a809e5d41f7f7]

        Update Croatian dictionary to version 2.0
        
        Change-Id: Ib0f3506ab8607b56c80ca8ac7deaba9df6863f18
        Reviewed-on: https://gerrit.libreoffice.org/34776
        Reviewed-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>
        Tested-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>

2017-01-22  Andras Timar  <andras.timar@collabora.com>  [d759f48f50da7ecd05b045780079b54d339f36c6]

        tdf#105396 update German dictionaries
        
        Change-Id: I74d65e945c3ad080d95d77d846e56b4fa493c3aa
        Reviewed-on: https://gerrit.libreoffice.org/33395
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2016-12-28  Andras Timar  <andras.timar@collabora.com>  [639505f3ef841742919dd7eba5d55efa3535f529]

        tdf#97349: typo fixes in control words
        
        Change-Id: I4896dd4084582e893914f09e730a2dd7d5a08acd
        Reviewed-on: https://gerrit.libreoffice.org/32475
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2016-12-27  Giovanni Caligaris  <giovannicaligaris@gmail.com>  [4ca949b4cb3b783ea30a266f03e35f72069b296e]

        Guarani spell checker and thesaurus.
        
        Added spell-checker files aff/dic
        
        Change-Id: I425f119558926a3fa71c5b27f4488ce4076d4407
        Signed-off-by: Olivier Hallot <ohallot@collabora.co.uk>
        Reviewed-on: https://gerrit.libreoffice.org/31904
        Reviewed-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>
        Reviewed-by: Olivier Hallot <olivier.hallot@edx.srv.br>
        Tested-by: Olivier Hallot <olivier.hallot@edx.srv.br>

2016-12-14  Marco A.G.Pinto  <marcoagpinto@mail.telepac.pt>  [499d730b4e1209149a566ef0f7bbb046bc403a98]

        Updated the GB Dictionary
        
        Updated the Dictionaries:
        - British (Marco A.G.Pinto)*
          * British has 710 new words (2016-10-01) + 735 new words (2016-11-01).
        
        Change-Id: I7dc61b241ac3092652f0005d33720ebdfefb0ef3
        Reviewed-on: https://gerrit.libreoffice.org/30677
        Reviewed-by: Stuart Swales <stuart.swales.croftnuisk@gmail.com>
        Reviewed-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>
        Tested-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>

2016-11-22  Aron Budea  <baron@caesar.elte.hu>  [f023ac778c97881a53035f951fca95cee759888e]

        tdf#103922: add Tibetan syllable spellchecker
        
        Change-Id: Idd42597c95fac98023e3a6b671ef73f8ead7fabc
        From: https://github.com/eroux/hunspell-bo
        Reviewed-on: https://gerrit.libreoffice.org/30920
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2016-11-20  Stanislav Horacek  <stanislav.horacek@gmail.com>  [3470ef8c07e59551eb3bbe3c5aa4e7a8f98b124d]

        Czech thesaurus: regenerate from updated source
        
        Change-Id: I947d616e3e0b4184fe0f1679578149ce00b6d584
        Reviewed-on: https://gerrit.libreoffice.org/30993
        Reviewed-by: Stanislav Horáček <stanislav.horacek@gmail.com>
        Tested-by: Stanislav Horáček <stanislav.horacek@gmail.com>

2016-11-07  Stanislav Horacek  <stanislav.horacek@gmail.com>  [23948938f710096e17cfd2466e8b7563e3934608]

        Czech thesaurus: regenerate from updated source
        
        changed location and authors of the source
        sorting for source was applied -> thesaurus sorting also changed
        
        Change-Id: I009688bb1aeaac20dbe0884f1b43b523a2a3eb7b
        Reviewed-on: https://gerrit.libreoffice.org/30612
        Reviewed-by: Jan Holesovsky <kendy@collabora.com>
        Reviewed-by: Stanislav Horáček <stanislav.horacek@gmail.com>
        Tested-by: Stanislav Horáček <stanislav.horacek@gmail.com>

2016-10-08  Adolfo Jayme Barrientos  <fitojb@ubuntu.com>  [80f232b1f6622f774f07be86fe824f31d87c7590]

        Calquing English’s title case is bad style in Spanish and Guarani
        
        I’d prefer not to have translated names here, but…
        
        While I’m here, let’s also write Guarani’s “puso” properly, with U+02BC.

2016-10-03  Andras Timar  <andras.timar@collabora.com>  [e2a5fb6312c0b3c7533206d29b8779fd87d48f2a]

        Update pt_PT dictionary to version 16.10.1.2
        
        Change-Id: I0f66f15b594bebaefc2b8ffbc26bff5450ebf292
        Reviewed-on: https://gerrit.libreoffice.org/29509
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2016-09-29  Giovanni Calligaris  <giovannicaligaris@gmail.com>  [a722518c294b898d9f3fbfc7f24b14a2008ef507]

        Update Guarani thesaurus to v1.1
        
        added Makefile changes/additions
        minor correction and replace idx file
        glitch in dat file
        
        Change-Id: If26d8e5fcf9737534b4188416574faaedbb8a2e5
        Signed-off-by: Olivier Hallot <ohallot@collabora.co.uk>
        Reviewed-on: https://gerrit.libreoffice.org/29236

2016-08-16  Niklas Johansson  <sleeping.pillow@gmail.com>  [92e62f751b0eda0ba54bfa8c265ca40a077bc0ec]

        Update the Swedish dictionary to the latest release
        
        Various minor updates.
        
        Change-Id: Ib22e2d88a52e890304694d57da9a192c773744ce
        Reviewed-on: https://gerrit.libreoffice.org/28179
        Reviewed-by: Caolán McNamara <caolanm@redhat.com>
        Tested-by: Caolán McNamara <caolanm@redhat.com>

2016-07-28  Aron Budea  <baron@caesar.elte.hu>  [3380b51b42480693d8b3ac97f08c6568a4f73201]

        cut size of README_en_GB.txt
        
        400 KB -> 4 KB
        list of changes is now factored out (official change)
        
        Change-Id: Ib1a1f2701015c73bc580766e0b15a974f87ce873
        Reviewed-on: https://gerrit.libreoffice.org/27621
        Reviewed-by: Caolán McNamara <caolanm@redhat.com>
        Tested-by: Caolán McNamara <caolanm@redhat.com>

2016-07-18  Aron Budea  <baron@caesar.elte.hu>  [c875ba1abbe81955d5510aef909a62c01d4515de]

        tdf#97393, tdf#100019: updated EN (CA, GB, US, ZA) dictionaries
        
        Update is based on Marco A. G. Pinto's 2016.07.01 release of
        English Dictionaries extension. Includes 2016.06.26 release of
        CA/US dictionaries by Kevin Atkinson.
        
        Version in description.xml bumped to 2016.07.01.
        
        Change-Id: I7b3416286abf9aa3d987bed28c9efdc3e7cbf1a6
        Reviewed-on: https://gerrit.libreoffice.org/27273
        Reviewed-by: Marco A.G.Pinto <marcoagpinto@mail.telepac.pt>
        Reviewed-by: jan iversen <jani@documentfoundation.org>
        Tested-by: jan iversen <jani@documentfoundation.org>

2016-07-07  Andras Timar  <andras.timar@collabora.com>  [a4a8bb897b5e5dc0b90579b73ed071d47f66f699]

        Update pt_PT dictionary to version 16.7.4.1
        
        Change-Id: If00be0e9c05c5cf1cc67427eed723484ad33e6d2

2016-06-14  Aron Budea  <baron@caesar.elte.hu>  [277e2326151aad0b97863bda696af33b371122f9]

        tdf#90786 Put license file in the right directory
        
        In 5.2 beta1 the license file is now added, but installed
        in dict-gd/dictionaries instead of dict-gd
        
        Change-Id: Ifc6e2201b905875d13ce4d3e8e94a55cc2761678
        Reviewed-on: https://gerrit.libreoffice.org/25996
        Reviewed-by: jan iversen <jani@documentfoundation.org>
        Tested-by: jan iversen <jani@documentfoundation.org>

2016-05-24  Christian Lohmaier  <lohmaier+LibreOffice@googlemail.com>  [697bbfa625583164f546b3f58a18858b56b871eb]

        gb_Dictionary_add_thesaurus doesn't like whitespace
        
        Change-Id: Ib8bd172570967b02fc21d01ea389d0b0b29c05ea

2016-05-23  Christian Lohmaier  <lohmaier+LibreOffice@googlemail.com>  [1f3eaa2dc7e2bc04fef06a0ed76ee18bb195e00f]

        thesuaurs.idx is generated by gb_Dictionary_add_thesaurus
        
        as there is only one thesuarus, no need for the thesauri variant that
        does nothing else but call the thesuarus one..
        
        Change-Id: Ia366e13e9cee0f15d282377124404a4cf0c3039b

2016-05-23  Aron Budea  <baron@caesar.elte.hu>  [2f0ddaeeb4323ac99afd35d2c4fda643c9ee8bcf]

        tdf#97393 Update English Dictionaries to 2016.05.01 release
        
        See comment 8 and 9 in tdf#97393.
        I tested if spell check works with the new dicts in 5.1.3,
        didn't test install.
        
        Change-Id: Ia1b93a029a809975e913e69a93ea6477fd1e4cc5
        Reviewed-on: https://gerrit.libreoffice.org/25348
        Reviewed-by: Marco A.G.Pinto <marcoagpinto@mail.telepac.pt>
        Reviewed-by: jan iversen <jani@documentfoundation.org>
        Tested-by: jan iversen <jani@documentfoundation.org>

2016-05-18  Aron Budea  <baron@caesar.elte.hu>  [2c83becf155a7e4303257891efea1c3e55465b08]

        tdf#90786 Bundle license file, and update Scottish Gaelic dict to 3.1
        
        Files taken from extension Scottish Gaelic Spellchecker.
        
        Change-Id: I86df3bb532a13862cff2c1d0ea49042e279a15ec
        Reviewed-on: https://gerrit.libreoffice.org/25036
        Reviewed-by: jan iversen <jani@documentfoundation.org>
        Tested-by: jan iversen <jani@documentfoundation.org>

2016-04-07  Krunoslav Šebetić  <kruno.se@gmx.com>  [de93f4fc07eba5fac0ae40bb45cc8e6acb331743]

        Update Croatian dictionary
        
        - Corrected few words, added part of the speech, replaced some incomplete classes.
        - Added new author
        - Large update of AFF-file
          It was necessary to restructure the file to be able to do regular and systematic
          updates. Added new sections like ICONV, updated REP section, added quite a few
          sfx classes and more.
        - Changed 'Version value' field to 2016.04.03.
        
        Change-Id: I6d17729f52f4204e93342a35bfbcb60cdf8ce414
        Reviewed-on: https://gerrit.libreoffice.org/23845
        Reviewed-by: Kruno <kruno.se@gmx.com>
        Reviewed-by: David Tardon <dtardon@redhat.com>
        Tested-by: David Tardon <dtardon@redhat.com>

2016-04-05  Ricardo Palomares  <rpmdisguise-java@yahoo.es>  [8b0fc351153d8a56d0cb4f424c501ad1695e1cd2]

        Bring shipped Spanish dictionary up to version 2.1
        
        Change-Id: I2a94ab9d837b8f4128f651458089fd8618c0f934
        Reviewed-on: https://gerrit.libreoffice.org/23768
        Reviewed-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>
        Tested-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>

2016-03-14  Björgvin Ragnarsson  <nifgraup@gmail.com>  [62c77533b3ab49fd93252f72dda6beeff4c76892]

        Update Icelandic dictionary and thesaurus
        
        Based on latest hunspell-is code and Wiktionary dataset.
        
        Change-Id: Id48106c3ff0f61d5c0d415f06680b1253753d1e3
        Reviewed-on: https://gerrit.libreoffice.org/23200
        Reviewed-by: jan iversen <jani@documentfoundation.org>
        Tested-by: jan iversen <jani@documentfoundation.org>

2016-03-10  Krunoslav Šebetić  <kruno0407@gmail.com>  [3bbf614616d6da0c94b8953299c467c1db7b912d]

        tdf#98531 Updated Croatian dictionary
        
        - converted .aff to UTF8 to match .dic encoding
        - removed nonsenses like "word1yyyyyyyyyyyyyyyword2" or "wordyyyyy."
        - added 123 new words
        - added some new classes to .aff (just because I could not use default ones, nothing fancy)
        - tried to improve suggestions by adding a REP section
        
        Change-Id: I002e86fbc1b8e239404220c550e08e12b99e5910

2016-02-26  Jan Holesovsky  <kendy@collabora.com>  [e26e5fc152b0a8362040f1daf53088c35ebbe4e1]

        Czech thesaurus: Blacklist more words + re-generate after the recent changes.
        
        Change-Id: Ic56383e235be27d48358944c9b6588481052297a

2016-02-26  Jan Holesovsky  <kendy@collabora.com>  [e97c64ff3fbfdf0c66c38f281f84ecfa844cf487]

        dictionary-to-thesaurus.py: Put the better categorized words to the front.
        
        Change-Id: Ib5c77f185abeeaef5045780766514a813794c8e8

2016-02-26  Jan Holesovsky  <kendy@collabora.com>  [c32de9bba681bcc7becc64f0ea3b605ff2b38266]

        dictionary-to-thesaurus.py: Only output the same class of word.
        
        When the class of the word is unambiguous, limit the output only to that -
        gives more precise & expected results.
        
        [Like, it is interesting to see the other possibilities too, but I guess less
        choices but more focused ones are preferred.]
        
        Change-Id: I2876fbb4fa02c00fc7e65189812365f77b9a5ed6

2016-02-25  Jan Holesovsky  <kendy@collabora.com>  [8442e91f9d62d25d478f891d940a56551b2fd484]

        Czech thesaurus: Updates of some terms.
        
        Change-Id: I13b60baf14fc90aba6f07ada2fc4423d06db76e8

2016-02-25  Jan Holesovsky  <kendy@collabora.com>  [f04d3f19b453f58411bcbbe7920cd5e16f8957e0]

        Czech thesaurus: Blacklist some unhelpful meanings.
        
        Change-Id: I7d75626a37d4f241d8d407a11855325e39c5fa63

2016-02-25  Jan Holesovsky  <kendy@collabora.com>  [f83b25d29ff2ee17addec24aaebd15113475c360]

        dictionary-to-thesaurus.py: Move blacklist to a separate file.
        
        Change-Id: Ie05e0c0ce8b4f9541a5a143ddf9ccf960940a3b7

2016-02-25  Jan Holesovsky  <kendy@collabora.com>  [bd5a09adea33acfe9164f26a3061ae1152933438]

        Related tdf#93514: Introduce a new Czech thesaurus.
        
        This is a completely new, independent thesaurus, generated from an English <->
        Czech dictinary.
        
        The data of the dictionary are licensed under GNU Free Documentation License
        1.1 or later, consequently this resulting thesaurus is GNU/FDL 1.1 or later
        too.
        
        Change-Id: I0136b413d5affd6e45a71bdd579ae196fe48dff5

2016-02-25  Jan Holesovsky  <kendy@collabora.com>  [68c702c5ed8876de74efb12fa11f6e40af61f664]

        dictionary-to-thesaurus.py: Actually use the Czech names.
        
        Change-Id: Ifb47efe7562ca9ccc2324d4ebd966506cae2bec6

2016-02-25  Jan Holesovsky  <kendy@collabora.com>  [46febeac1b9d8e4edea5c9cbac327aa0e2c846ae]

        dictionary-to-thesaurus.py: Various cleanups.
        
        * word classifiacation (when available)
        * word blacklist
        * ignore some non-translations (eg. irregular verbs)
        * ignore vulgarisms (when marked), they only add confusion

2016-02-25  Jan Holesovsky  <kendy@collabora.com>  [74e081219ce46b85768838e01b32eb3837e8e2bc]

        dos2unix on the cs_CZ files.

2016-02-25  Jan Holesovsky  <kendy@collabora.com>  [f2e6dbb0a0e053ff55a5cdc21207143530068ca8]

        Czech: Script and dictionary to generate the Czech thesaurus.
        
        slovnik_data_utf8.txt is the English <-> Czech dictionary from
        http://slovnik.zcu.cz/download.php, licensed under
        GNU Free Documentation License 1.1 or later.  The data are a snapshot
        from 2016-02-24.
        
        dictionary-to-thesaurus.py is a simple script that generates a thesaurus from
        this dictionary.  The idea to generate our thesaurus from a dictionary comes
        from Zdenek Zabokrtsky (UFAL, Faculty of Mathematics & Physics, Charles
        University in Prague).
        
        The results are far better than I would have imagined; I owe Zdenek some
        beers :-)  Many thanks!
        
        The source data are GNU/FDL 1.1 or later, the resulting thesaurus too.
        The actual addition of the thesaurus to the build system will be done in a
        separate commit later.

2016-02-11  Andras Timar  <andras.timar@collabora.com>  [86e206b136520e4e4952637851f05d104af53715]

        Updated pt_PT dictionary to version 16.1.3.4
        
        Change-Id: Iceff55cf9d09817f8f857b687983fddfbffb5c56

2016-01-17  Ricardo Palomares  <rpmdisguise-java@yahoo.es>  [0d3b5e5314e68c3cf5d573b2e7bdc11143dcb821]

        Bring shipped Spanish dictionary up to version 2.0
        
        Change-Id: Iecc9e2d62bd72fa5cdcafe6f04343c611b056cff
        Reviewed-on: https://gerrit.libreoffice.org/21522
        Reviewed-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>
        Tested-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>

2016-01-07  Niklas Johansson  <sleeping.pillow@gmail.com>  [3f7bdd798006d506d83d58e699d52878326bbd62]

        Update the Swedish spelling dictionaries
        
        Update to the latest dictionaries version 2.39.
        
        Change-Id: I464aa0bbc9d58b0ec2f3b82906dabe60a49c020e
        Reviewed-on: https://gerrit.libreoffice.org/21151
        Reviewed-by: Samuel Mehrbrodt <Samuel.Mehrbrodt@cib.de>
        Tested-by: Samuel Mehrbrodt <Samuel.Mehrbrodt@cib.de>

2016-01-04  Andras Timar  <andras.timar@collabora.com>  [ce7755c7d3179d682dfaccace9e64b6a008c77d2]

        tdf#96782 updated German dictionaries
        
        Change-Id: Ifa7aed93eaa0448ba530cc029ee55480060e1be5

2015-12-28  Andras Timar  <andras.timar@collabora.com>  [d8738db715233dbd83bff56aa166ae0bdf0a8e18]

        Updated Slovenian thesaurus
        
        Change-Id: I971d3b3af1dee4b598359d893dd8111fc5d4cec9

2015-12-12  Giovanni Caligaris  <giovannicaligaris@gmail.com>  [38ddd6c1bd743353e76496b48e8ab6ddb295f5f8]

        Add Guarani thesaurus (gug-PY)
        
        Add Guarani thesaurus to gug locale
        
        Warning: The .dat file is not perfectly conformant to the LO
        build for thesaurus;
        
        The dat and idx file were generated by external program and were
        moved directly into the extension
        
        The file Dictionary-gug.mk has lines commented to show where to
        restore the "normal" build once the dat file is fixed.
        
        Change-Id: Ia39ec69f7289e28965cde21135f7e63fcb32ee66
        Reviewed-on: https://gerrit.libreoffice.org/20275
        Reviewed-by: Olivier Hallot <ohallot@collabora.co.uk>
        Tested-by: Olivier Hallot <ohallot@collabora.co.uk>

2015-10-27  László Németh  <laszlo.nemeth@collabora.com>  [b4f9255af01dcc24f263fdb0cd4544db35153d9d]

        tdf#95024 update Hungarian spelling dictionary
        
        Change-Id: I5fd5bd203aead86126be8ab585a4be616470f01e
        Reviewed-on: https://gerrit.libreoffice.org/19620
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2015-10-15  Andras Timar  <andras.timar@collabora.com>  [c0bdbe9e78f112d6e405b9e78599e3290dba44c4]

        Update pt_PT dictionary to version 15.10.3.1
        
        Change-Id: I8017c128c099f971cbee4d9517d11a6616939d5e

2015-09-28  Julien Nabet  <serval2412@yahoo.fr>  [91c039a37e66094bc666878bd1f0d5477affb07f]

        tdf#94573: invalid encoding in hyph_zu_ZA
        
        Thank you to Mattia Rizzolo for having reported this.
        
        Change-Id: Ie124d8e331f324d8c8f906049521ac88bf766002

2015-09-21  Andras Timar  <andras.timar@collabora.com>  [8236765eb34de01083e0554c3ccafa6d8ff1ee18]

        tdf#94415 update Greek dictionary to version 0.9
        
        Change-Id: I66f68679f707e9fd7f98d15c5ab05c04b014f8b7

2015-09-15  Björgvin Ragnarsson  <nifgraup@gmail.com>  [6eb65b46c58dd0b2a83a6c767cfd60f7f29968f7]

        Add Icelandic hyphenation rules
        
        Rules come with a CC BY 4.0 license and are downloadable at
        http://malfong.is/index.php?lang=en&pg=hyphen
        
        Change-Id: I994ab86cf0a3bb31b0f8b7e9df7ab6611beafe91
        Reviewed-on: https://gerrit.libreoffice.org/18554
        Reviewed-by: Caolán McNamara <caolanm@redhat.com>
        Tested-by: Caolán McNamara <caolanm@redhat.com>

2015-09-08  Niklas Johansson  <sleeping.pillow@gmail.com>  [40ab637125f31ca5e1a8c174e7e204ae1db2cc1e]

        Update Swedish spelling dictionary
        
        See the extensions website for detailed information
        on what changed from the latest version.
        http://extensions.libreoffice.org/extension-center/swedish-spelling-dictionary-den-stora-svenska-ordlistan
        
        Change-Id: I282828bded6d73803eb73185e106df35f43062cc
        Reviewed-on: https://gerrit.libreoffice.org/18413
        Reviewed-by: Andras Timar <andras.timar@collabora.com>
        Tested-by: Andras Timar <andras.timar@collabora.com>

2015-09-01  Olivier R  <olivier.noreply@gmail.com>  [e34d023f8c69599f2bca233396a2a0fab55a7e8f]

        Update French spelling dictionary (v5.4.1)

2015-09-01  Christian Lohmaier  <lohmaier+LibreOffice@googlemail.com>  [03a4a7b13f28c2c8df08cf6d5049fde97d6b4244]

        tdf#93514 remove Czech thesaurus
        
        Change-Id: I40ebd1ca223fe7950ed3280c43a51a3dfbd0070e

2015-07-13  Andras Timar  <andras.timar@collabora.com>  [a06da898df0371577c5c2466480f6c807e6c211f]

        Updated Slovenian thesaurus
        
        Change-Id: If822610ad6d9eca02629959cf8040fe1680f8140

2015-07-09  Andras Timar  <andras.timar@collabora.com>  [bc0b610f6989aa0c20792ae88c663c3f5d464cc6]

        Updated pt_PT dictionary to version 15.7.4.1
        
        Change-Id: Idcfd8ed02f3256380e02e5fba777d94d5ad12bce

2015-06-24  Andras Timar  <andras.timar@collabora.com>  [ab55a4aa9fc37997d69ab8a372baa68031a0866c]

        tdf#91675 updated Catalan dictionary to version 3.0.0
        
        Change-Id: Ie69743104482732bf6893d42240d3f6f314ffbb4

2015-05-29  Olivier R  <olivier.noreply@gmail.com>  [6565f427350dc8ad47e8e2669c7321e5331202d7]

        Update French dictionary (v5.3.2)

2015-05-22  Michael Stahl  <mstahl@redhat.com>  [cdb3172a438c7c56c4700edf7d771ede5cdf3402]

        Lightproof: do not return invalid nBehindEndOfSentencePosition
        
        Copy bugfix to localized Lightproof.py
        
        Change-Id: I7a27492a26e3bd18ba2c6a4a299039c2ded38e53

2015-05-22  Michael Stahl  <mstahl@redhat.com>  [8952e8055690417e60d75e4e4adf3c85a1029e7c]

        Lightproof: do not return invalid nBehindEndOfSentencePosition
        
        For a paragraph with a space at the end, this assertion is triggered:
        
        linguistic/source/gciterator.cxx:162: lcl_SkipWhiteSpaces: illegal
        arguments
        
        Cause is the loop in doProofReading that gets the last character of the
        paragraph and increments nStartOfNextSentencePosition even if it's
        already at end of the text.
        
        (regression from 080424980483bcc29a3556cf1a681c45cd5c50fc)
        
        Change-Id: I58bd10d168f75f9d365cb33c0ade770750ff57ef
        Reviewed-on: https://gerrit.libreoffice.org/15834
        Reviewed-by: László Németh <nemeth@numbertext.org>
        Reviewed-by: Caolán McNamara <caolanm@redhat.com>
        Tested-by: Caolán McNamara <caolanm@redhat.com>

2015-05-18  Andras Timar  <andras.timar@collabora.com>  [ad516f720628c1af494733138ffc4a7b382599a6]

        tdf#87735 updated Danish dictionary
        
        Change-Id: I2eac7ea898ef6a5954af9bb99f44d8c59c91e3fd

2015-04-14  Adolfo Jayme Barrientos  <fitojb@ubuntu.com>  [59ff183f473301efcdf7d5b85f3f5e2769d030ac]

        Revert Spanish dictionary’s description to allow for its localization
        
        Thanks to András for noticing.

2015-04-14  Jacobo Aragunde Pérez  <jaragunde@igalia.com>  [cbf6d67ea480b68c40697e56efda4cd07e2a4e18]

        Updated Spanish dictionary pack to 0.8
        
        Versión 0.8:
        - Muchos términos nuevos correspondientes al bug 682 en Forja.rediris.es.
        - Migrado el proyecto a GitHub (https://github.com/sbosio/rla-es).
        
        Change-Id: I1ba78af2a28a18a9c2531ae40b24c49c7911ed30
        Reviewed-on: https://gerrit.libreoffice.org/15285
        Reviewed-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>
        Tested-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>

2015-04-08  Andras Timar  <andras.timar@collabora.com>  [7991db3dd76ae9fe15faadbd25efb9bceed44e63]

        Update Portuguese dictionary to version 15.4.4.1
        
        Change-Id: Iee435bb01c8111612d0ee773c6ee4863a51db252

2015-04-07  Petr Gajdos  <pgajdos@suse.cz>  [9b797809cbef1baba084a0babfed8a4f6ba88861]

        Fix errors reported by hunspell in Czech aff
        
        Various incompatible stripping characters and conditions
        
        Signed-off-by: Tomáš Chvátal <tchvatal@suse.cz>

2015-01-13  Andras Timar  <andras.timar@collabora.com>  [e68d0668772656518c71f49f2968a83b9bbccfcc]

        Update Portuguese dictionary to version 15.1.2.1
        
        Change-Id: Ia6a17f7afa6ce05cd77ec1b924640e5e6254b4f7

2015-01-04  Andras Timar  <andras.timar@collabora.com>  [09b0646f984780d190ea53976f35ae23c99bd06c]

        Updated Slovenian thesaurus
        
        Change-Id: Id22b493e01df2cbc6baf5b99a3ef09e8bd17c3dc

2014-10-10  Andras Timar  <andras.timar@collabora.com>  [caf64fa3559fe1e0273e449faa176b1312e1066d]

        updated pt_PT dictionary to version 14.10.2.1
        
        Change-Id: I9fa84bf75361a08d6141bae7ce74d407014c57ef

2014-09-22  Olivier R  <olivier.noreply@gmail.com>  [5f3f060c4c6c21ee7fe8a3ad32781630a9c1099c]

        French dictionary update: v5.2
        
        Change-Id: Ic0b2de6af96998f5cd303261c1cea5ef13949f46

2014-08-22  Olivier R  <olivier.noreply@gmail.com>  [080424980483bcc29a3556cf1a681c45cd5c50fc]

        Lightproof: restore paragraph based proofreading
        
        Instead of the sentences suggested by the incomplete sentence
        boundary detection of LibreOffice (enabled in version 4), Lightproof
        works on full paragraph text again, allowing more precise analysis of
        the text.
        
        See http://nabble.documentfoundation.org/Grammar-checker-Undocumented-change-in-the-API-for-LO-4-td4030639.html
        
        Change-Id: Ifc967e5b3f27da5b0edeebdb73b8f0b97c938280

2014-08-22  Yakov Reztsov  <yr at myooo dot ru>  [4e468c8b15cb93fd2b30c9645563a43bddc643b2]

        update Russian proofreading rules
        
        Change-Id: Iedc3af5671241a6e9202916c0a813f0f91303e8f

2014-07-24  Andras Timar  <andras.timar@collabora.com>  [54aa90ef47bd8e2d062aa455dcc5d6f1ae02887b]

        Update pt-PT dictionary to version 14.7.8.2
        
        Change-Id: Idebf65d3a44eb6a70df0a094f0038f3bb8ad54d6

2014-07-01  Niklas Johansson  <sleeping.pillow@gmail.com>  [49086ee94c0cdef8a83f288919c3b6ae2d41f28d]

        Update the Swedish spelling dictionary
        
        This update mainly consists of improvments to the handling of
        compound words, as well as addition of proper nouns.
        
        Change-Id: I8650b328e98b0b2164203b721a2aebe48fd25262
        Reviewed-on: https://gerrit.libreoffice.org/10019
        Reviewed-by: Caolán McNamara <caolanm@redhat.com>
        Tested-by: Caolán McNamara <caolanm@redhat.com>

2014-06-27  Caolán McNamara  <caolanm@redhat.com>  [b310c7910565cb1a4beea309ce404bb533ac6f44]

        Resolves: fdo#79012 wrong path to dictionaries
        
        Change-Id: Ie865a386dc537947f85130b036bbadcc0ef19a60

2014-06-07  Julien Nabet  <serval2412@yahoo.fr>  [ad4dea48c420f123afa083ac5cc4b12287c9c17f]

        Resolves: fdo#78526 Some problem on display of Hungarian sentence checking
        
        I took into account this:
        https://bugs.freedesktop.org/attachment.cgi?id=100592
        
        Change-Id: Iadd7a372b9e6f68a6e70e3e059ef762a530ad41a

2014-05-15  David Tardon  <dtardon@redhat.com>  [b31244205066114f5721beef118be7f9e518cd22]

        update Czech dictionary from liberix site
        
        (http://www.liberix.cz/doplnky/slovniky/ooo/dict-cs-2.oxt)
        
        This updates all files, not just thesaurus. Btw, the thesaurus is no
        longer licensed under MIT.
        
        Change-Id: I04e93c99aed8bc57b0b5724741842020271b69c2

2014-05-15  László Németh  <nemeth@numbertext.org>  [38b1410ca674bd47d218e4e77cf90e6adcc6d87c]

        fix LightProof measurement conversion for Python 3
        
        Change-Id: I6d36bc804271956e1c8649df0832615311fcf5e1

2014-05-14  Andras Timar  <andras.timar@collabora.com>  [117686ef79d5a2a42e328dcef8af3969af933700]

        updated Breton dictionary to version 0.12
        
        Change-Id: Ie8a27027fdfa7cd2fe3dbcdd98d53551596a9da9

2014-05-14  Andras Timar  <andras.timar@collabora.com>  [c74b87732cb0acb7a67f326dce3b94f03d691315]

        hu dict: do not suggest this word
        
        Change-Id: I768e1fc63bb7669db405289bc1ac449af6bd73da

2014-05-10  Julien Nabet  <serval2412@yahoo.fr>  [b76a214cc1e5c52cc0f012888b25aaa3b3b4e032]

        Resolves: fdo#78524 Some wrong display on Portuguese grammar checking
        
        I also updated tabindex
        
        Change-Id: I43014eb16e2a262bfc5f5cc3c2557a869d7c4cc2

2014-05-07  Julien Nabet  <serval2412@yahoo.fr>  [d478664ac0a8e8997d8d17a76a39d2704f7a254d]

        Resolves: fdo#76692 LightProof: Italian translation too long in options
        
        I also tested with French UI and German UI which had some pbs too
        Also, I updated the tabindex
        
        Change-Id: I861bea9ee2118ec4c2a698f64c03c912281447c0

2014-04-09  Joan Montane  <joan@montane.cat>  [9bc8a1ce80cb0714c15d32e783db54d3cd852789]

        Related: fdo#73544 update catalan linguistic components
        
        Change-Id: Ib07add8a41edd33270eb42c650fd68bbd9d1ea34

2014-04-09  Andras Timar  <andras.timar@collabora.com>  [02d249c18b11e0d99b1c1d88ca5da61ca3611e39]

        Updated pt_PT dictionary to 14.4.1.1
        
        Change-Id: I08e8377a23a7a2aa7709a0418476d872a476c6ca

2014-03-04  David Tardon  <dtardon@redhat.com>  [2f78ad29c9bdf6393cddde39716032bfdab7c9fb]

        fdo#75753 update gd dict. to 2.8
        
        Change-Id: I33b5cbcd7379a6bf7e9e804fba287adeed7ae02d

2014-02-18  Olivier R  <olivier.noreply@gmail.com>  [b480c59b2cc6cd6d73f561db435c52568faea4bf]

        Update French spelling dictionary (v5.0.2)

2014-02-07  Olivier R  <olivier.noreply@gmail.com>  [c8d2646557a10c41a4b441c97fb1205421a41c1a]

        Update French dictionary (v5.0.1)

2014-01-17  Martin Srebotnjak  <miles@filmsi.net>  [2c29ae21dc3d2889812b456737474278e82c023b]

        update Slovenian thesaurus
        
        Change-Id: I80c89e153fa4ada0c3793bee6e0d089f73041734

2014-01-03  Andras Timar  <andras.timar@collabora.com>  [c95f482ac7ac866047864c47f87a8751e634749d]

        updated pt dictionary
        
        Change-Id: I0e7b163065fa65a009a67acd1dec09d70dd30156

2014-01-02  Niklas Johansson  <sleeping.pillow@gmail.com>  [6968c12ba2839bff7e4d2d46c29938d337846bb4]

        Update Swedish spelling dictionary
        
        Updates the spelling dictionary to the most resent version.
        Improvements include:
        Blocked a lot of compound words that often occur as misspellings of
        other common words.
        Improved support for three-way compounds. Removed a lot of uncommon words.
        
        Change-Id: Idab76e00c9e8f304af674499f7ea8418ed958f5f
        Reviewed-on: https://gerrit.libreoffice.org/7260
        Reviewed-by: Caolán McNamara <caolanm@redhat.com>
        Tested-by: Caolán McNamara <caolanm@redhat.com>

2014-01-02  Marcos Paulo de Souza  <marcos.souza.org@gmail.com>  [f724c400668f11b49c3566a20c0c3350249ff266]

        Update pt_BR dictionary
        
        Change-Id: I5aea0c6761a1d58921e95c2fb6a559c63feec5ea
        Reviewed-on: https://gerrit.libreoffice.org/7258
        Reviewed-by: Caolán McNamara <caolanm@redhat.com>
        Tested-by: Caolán McNamara <caolanm@redhat.com>

2013-12-16  László Németh  <nemeth@numbertext.org>  [569915c40dc4b3df1f75abe9e1202e0d66f03281]

        fdo#72757 fix Hungarian grammar checking (don't freeze Python)

2013-12-09  Andras Timar  <andras.timar@collabora.com>  [bdd76ca138ded701c4436ca09d6961009bc1114b]

        fdo#56443 .dic and .aff name must be the same
        
        Change-Id: I4fc7d51c25ac312995e203dba1a0dc41a39bb45a

2013-12-09  Andras Timar  <andras.timar@collabora.com>  [efc0a1b9f3184ede1a1ebe5b2a2a8d00133aa92b]

        fdo#72498 update German dictionary to 2013.12.06
        
        Change-Id: Ic0df330ee54e51c6fc787c37272cafccdf4abef7

2013-11-24  Robert M Campbell  <robert.rcampbell@gmail.com>  [8e87e3eb166047de9359e13d3472fbe4248545d1]

        Add lo_LA (Lao) dictionary fdo#71939
        
        Change-Id: I2b750f3b282108fb5a8c0096e835ad280116d7d4

2013-11-19  Eike Rathke  <erack@redhat.com>  [8d1a0d88df029906968a3bb12da5f7a832e9b8a1]

        renamed ku* to kmr-Latn*, fdo#63460
        
        Change-Id: Ib686f03edb95e23381fedb74fca3dcd22f0d2ebd

2013-11-18  Eike Rathke  <erack@redhat.com>  [f79819b8eadd02f6bfc1131d7824b1948e7ee963]

        renamed ku* to kmr-Latn*, fdo#63460
        
        Change-Id: If7a53e72880608378ed22cf5f82ee05d5b1d8f90

2013-11-18  Eike Rathke  <erack@redhat.com>  [eece7b1bc8579d7bdcbebeac67dcdc676617996e]

        renamed ku* to kmr-Latn*, fdo#63460
        
        Change-Id: I0f6c453036c7082866e83fe5d44ac7aa248e1893

2013-11-18  Eike Rathke  <erack@redhat.com>  [d626d8b18cbb14825632900a02c7291912855f73]

        renamed ku* to kmr-Latn*, fdo#63460
        
        Change-Id: I678f0625438ff3caaeb892e4237b4428304f5ce3

2013-11-14  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [96cb9a317f448f7c70afc3a81b532efacaabd456]

        tweak dicts for core Change-Id: Ib8ccc9bc52718d9b0ebbfee76ad93dc29c260863
        
        Change-Id: Icab59f08e96c6c1f13e24d72676077b8ddad90e3
        Reviewed-on: https://gerrit.libreoffice.org/6662
        Reviewed-by: Björn Michaelsen <bjoern.michaelsen@canonical.com>
        Tested-by: Björn Michaelsen <bjoern.michaelsen@canonical.com>

2013-10-29  Marcos Paulo de Souza  <marcos.souza.org@gmail.com>  [c6f4f79b596756f5d45c5264a49232e491b9cd78]

        Update pt_BR dictionariy
        
        Vero's new version is 3.2
        
        Change-Id: I42961d828f0068591d83fd2c949a51128504d0a3
        Reviewed-on: https://gerrit.libreoffice.org/6440
        Reviewed-by: Caolán McNamara <caolanm@redhat.com>
        Tested-by: Caolán McNamara <caolanm@redhat.com>

2013-10-22  Caolán McNamara  <caolanm@redhat.com>  [8106a55e4469c5d2bbdfac8a6816153843ee6b83]

        remove duplicate entry
        
        Change-Id: I8c8dc81d31a4bedde4931e146bda478f0bf5a211

2013-10-10  Andras Timar  <andras.timar@collabora.com>  [f1a4ecab4b10fe7e5daadd6529516d5ffeba0fda]

        updated pt dictionary
        
        Change-Id: I9380049c2e0b6716287c71aa2693f40dc78facf6

2013-10-04  Nagy Akos  <akoscomp@gmail.com>  [80bedbd4f97f262e99f35e7b9a9413626f189a63]

        Correct some errors and add new rules. Change-Id: Ibcc651f0e4120a8dfddeaac5a20a6b401a71516f Reviewed-on: https://gerrit.libreoffice.org/6117 Reviewed-by: Andras Timar <andras.timar@collabora.com> Tested-by: Andras Timar <andras.timar@collabora.com>

2013-10-04  Stephan Bergmann  <sbergman@redhat.com>  [3523389ee5c854fee19cb3cee2678e4f1d38a44b]

        Adapt dictonaries to recent Configuration.mk changes
        
        ...credits for the fix go to Matus.
        
        Change-Id: I7f2fc420e4d844179629bbfbf6d106a5366ce9dc

2013-10-03  Nagy Akos  <akoscomp@gmail.com>  [17eed4af567c101b4306f95c345d50131a353a99]

        Patch for bug 68699 Change-Id: Id6d76d4fd6000d4ea79297286bfb2f3d1bbd5c51 Reviewed-on: https://gerrit.libreoffice.org/6116 Reviewed-by: Németh László <nemeth@numbertext.org> Tested-by: Németh László <nemeth@numbertext.org>

2013-09-23  Eike Rathke  <erack@redhat.com>  [fb0e2de0bafbac018f65bddcbcd23481af959156]

        removed *-ME and *-BA not supported by the dictionary
        
        As requested per mail from Goran Rakic:
        
        It may be better to remove sr-*-ME and sr-*-BA from
        libreoffice/dictionaries/sr/dictionaries.xcu as they are not supported by
        the dictionary/hyphenation. This dictionary standardizes on ekavian
        dialect, as it is commonly spoken in Serbia, while speakers of Serbian
        language in Bosnia or Montenegro would use the ijekavian dialect.
        
        Change-Id: If1cff670beb79b75318ad52e05b77a1fde3d5d74

2013-09-11  Eike Rathke  <erack@redhat.com>  [b07ae33b0d25e33bf890fab8fbcd3317506bbeae]

        changed 'sh-*' to 'sr-Latn-*' and added '*-ME' and '*-BA'
        
        Change-Id: Iff98b520dacc12a36131d291d2e4bf5e141ff554

2013-07-22  pje335_NL  <meulenthomas@gmail.com>  [a32a341efdbb9e53a7b832262a41f6fb6454bedf]

        Downgraded the Dutch spellchecker to version 2.00 ( fdo#63033 fdo#65994 )
        
        After some problems with the upgrade to version 2.10g on Linux and Windows downgrading is better.
        I think downgrading is better because I had the old working files still saved and that was working.
        Maybe in the furture I will try again to make the upgrade after some more testing.
        
        Change-Id: I2e21a40f03b44a336355500bb617865ca2704125
        Reviewed-on: https://gerrit.libreoffice.org/4987
        Reviewed-by: Fridrich Strba <fridrich@documentfoundation.org>
        Tested-by: Fridrich Strba <fridrich@documentfoundation.org>

2013-07-19  Andras Timar  <atimar@suse.com>  [60f4c3b0227f18061387155c9831d761c659ce01]

        updated Spanish dictionary pack to 0.7
        
        Versión 0.7:
        - Más modificaciones en los ficheros de afijos (prefijo contra-).
        - Agregado de lemas faltantes, gracias a Alejandro Moreno y KNTRO.
        - Revisión de la lista de abreviaturas.
        - Corrección de archivos de sinónimos y creación de script asociado.
        
        Change-Id: I4c852b6b7796822cb5c72c4633fab48003fdc147

2013-07-17  Andras Timar  <atimar@suse.com>  [43d24786db9947f0aababb1228379b0b3ece2652]

        update Swedish dictionary
        
        Change-Id: Ie67cea97508d45c69d4c2721396e50ffc924e2c9

2013-07-17  Andras Timar  <atimar@suse.com>  [eba615babe174605596d7d31dc33ff1f21dd8b73]

        update pt-PT dictionary
        
        Change-Id: Ie4dbe9a0a5da536a8d2e3ce1b679c28376706b0c

2013-06-27  pje335_NL  <meulenthomas@gmail.com>  [92a907ab17814a8e08ab787745fefb85ed00d3f3]

        Fix for broken dutch spell checker fdo#65994 and fdo#63033
        
        Change-Id: I522bb85aaaacfbb9330439d4ea47901695d2bf78
        Reviewed-on: https://gerrit.libreoffice.org/4451
        Reviewed-by: Andras Timar <atimar@suse.com>
        Tested-by: Andras Timar <atimar@suse.com>

2013-06-18  Olivier R  <olivier.noreply@gmail.com>  [aab14d898ac002d5292e0610c433e667f99610fa]

        French dictionary update - v4.11

2013-06-16  Andras Timar  <atimar@suse.com>  [8da7237c1ddb4eba8f7ce2b5c08e84353d1095e9]

        fdo#65385 default language of pt_BR LightProof settings panel will be pt_BR
        
        Change-Id: I80feb407c794908336074bc73bebcfd0f4016778

2013-06-05  Raimundo Moura  <raimundo.smoura@gmail.com>  [98b40eee9d84dd95120c0b9ddf1a0d517c2122af]

        Update pt-BR dictionary and grammar checker
        
        Version 3.1.11
        
        The pt-BR Lightproof grammar checker contains more rules than the english version.
        This breaks the translation scheme where pt_BR_pt_BR.properties is generated from the en_US equivalent. This annoyance will be fixed later.
        
        All CR/LF'ed files are corrected.
        
        Change-Id: I45a52713318dc3dc3ccdb1ac96972ff670272317
        Reviewed-on: https://gerrit.libreoffice.org/4146
        Reviewed-by: Fridrich Strba <fridrich@documentfoundation.org>
        Tested-by: Fridrich Strba <fridrich@documentfoundation.org>

2013-06-02  Raimundo Moura  <raimundo.smoura@gmail.com>  [3bdd3696fa35b2e2f85961d4cd93fa787ef91ce9]

        Update pt-BR dictionary and grammar checker
        
        Change-Id: Ic30dcf8588b3408d59cb960956e9e1cf8d6a330b

2013-06-02  Andras Timar  <atimar@suse.com>  [721ecacc70123ccb748e9b2c13b30dfcc671cb2f]

        Icelandic dictionary description
        
        Change-Id: I698907336256cb82c4ead0a5fc9f90ae6938991b

2013-05-31  Joren De Cuyper  <joren.libreoffice@telenet.be>  [0bc4511b6060f68b422630c136a2e224e7ab3c8d]

        Update Dutch Hunspell to 2.10g too (fdo#63033 related)
        
        Addition of commit 61644291cba7f6f8dd7e194f5abbe0b0e146a321
        
        Change-Id: Ia83eb1c894c8aa1fb710dfefceeb4ead3d323f08
        Reviewed-on: https://gerrit.libreoffice.org/4105
        Reviewed-by: David Tardon <dtardon@redhat.com>
        Tested-by: David Tardon <dtardon@redhat.com>

2013-05-28  Stephan Bergmann  <sbergman@redhat.com>  [9b6407dadc64e10e7117d8551917b46105ecc6c8]

        Fix more thesauri
        
        ...that a more picky idxdict now complains about when it is not able to read an
        integer count where it expects to find one.  In most cases, a previous line
        count was apparently wrong (similar to df423c53829faa96f46acd71887fd0f8697c49e9
        "fix Lithuanian thesaurus").  But:
        
        * ro/th_ro_RO_v2.dat had three cases that look like lines got oddly duplicated.
          And the excessive whitespace in the middle of the line in the second case
          looks odd, too.
        
        * uk_UA/th_uk_UA.dat leaves me completely clueless.  I edited it so that it
          passes through idxdict, but it definitely needs inspection from a native
          speaker and/or expert in that thesaurus .dat format.
        
        Change-Id: Ieeb36e3bcd335917076c82816241ef569e1bd5c7

2013-05-28  Andras Timar  <atimar@suse.com>  [df423c53829faa96f46acd71887fd0f8697c49e9]

        fix Lithuanian thesaurus
        
        Change-Id: I00cbd8f74bf8a2ba309ead88a1a150fa1db0cee9

2013-05-23  Andras Timar  <atimar@suse.com>  [52fe3741bea0532f8c87f0b9f5dfa5fa367b2fd1]

        restore no dictionary description
        
        Change-Id: Iacb1e8f8ff11fca2a456fa4d084246c181ec18e5

2013-05-23  Caolán McNamara  <caolanm@redhat.com>  [96569b9f3d03502c5108eb4db7eb3e0697535617]

        bump Norwegian linguistic components to ver 2.1
        
        Change-Id: I3d6432687b23ef43b3b98f1f3576306699fbd581

2013-05-22  Andras Timar  <atimar@suse.com>  [5f7183ff8e2358287bd99b64d7036475f1f0ff6a]

        restore gd_GB dictionary description
        
        Change-Id: I543e84d00bdae4c6d4f709a2fb3661e213b02029

2013-05-20  Caolán McNamara  <caolanm@redhat.com>  [09bd32f75110b15e6be8a7bfc116535cead5682b]

        upgrade gd_GB to latest 2.6
        
        Change-Id: Ib27dc398c36ce82db407477bc034b81c758a68e4

2013-05-12  Björgvin Ragnarsson  <nifgraup@gmail.com>  [4011efefecd48df593d358a304543ef4a8f9868d]

        add Icelandic Hunspell dictionary
        
        Change-Id: I0fbeeef722f4360831af034c27c9b4213e2f8834
        Reviewed-on: https://gerrit.libreoffice.org/3859
        Reviewed-by: David Tardon <dtardon@redhat.com>
        Tested-by: David Tardon <dtardon@redhat.com>

2013-05-10  pje335_NL  <meulenthomas@gmail.com>  [61644291cba7f6f8dd7e194f5abbe0b0e146a321]

        solve fdo#63033 update Dutch dictionary OpenTaal to version 2.10g
        
        Change-Id: Ia4ccb06b0db4cdd976d2ec4491e14b82eefa558b
        Reviewed-on: https://gerrit.libreoffice.org/3844
        Reviewed-by: Andras Timar <atimar@suse.com>
        Tested-by: Andras Timar <atimar@suse.com>

2013-05-10  Andras Timar  <atimar@suse.com>  [c178908939c5e5c727f5c7c78b9cc32356f6ea46]

        lt: bump version number to force update of user profile
        
        Change-Id: I5ca0425c0f5bf746da64f17d796e1a6e27e6d171

2013-05-10  Andras Timar  <atimar@suse.com>  [7c495c0a113c52ba9f2b15a5ab38d06b02e1c8df]

        fdo#64382 replace lt to lt-LT
        
        Change-Id: Ibf480fd79e664f2d6d9b4aeb166c72ee6b28ddb5

2013-05-09  Andras Timar  <atimar@suse.com>  [d3a3bfe33a6d60cb1f458093e5a7236412047ea6]

        fdo#64294 Update Slovak dictionaries
        
        Change-Id: I60b2a150e04a028837ecc1d206ffa3aea7e9257c

2013-05-07  David Tardon  <dtardon@redhat.com>  [6434e14f6601183d8b95f9d4f9a544525b3dc5c9]

        dictionary.xml is added implicitly
        
        Change-Id: Ifab57f65ad76a3bbee9ad2e40f7e4fc9e8d9d2c0

2013-04-29  Stephan Bergmann  <sbergman@redhat.com>  [acf0ae3fdec65df75f4983d2b943582f9ab99fa2]

        Fix passiv'ization of Lightproof.py UNO components
        
        ...and some light clean up.
        
        Change-Id: I33da2fa452557d9c8c22419fafdc9d221859c320

2013-04-21  David Tardon  <dtardon@redhat.com>  [36a0d3a959604b5c5af4adb17ca10a1d85542846]

        fix typo
        
        Change-Id: If45a7a269ba94639b02209bc0e5191dd1815e682

2013-04-16  Michael Stahl  <mstahl@redhat.com>  [faf63ac08a9f3f1463a7f119083964f76b71141c]

        use gb_Dictionary_add_localized_xcu_file to fix en-US build
        
        Change-Id: Iefb39c34a140c0c0fb9b5f989d4283a0750b6de0

2013-04-14  Andras Timar  <atimar@suse.com>  [b32611e23a1f35f16f4c37bbbdc02027157424d1]

        put sentence/grammar checker options under Language Settings
        
        Change-Id: Ic05b4162c64f2eff43cb9dc88b282934a6fd2ce3

2013-03-31  Andras Timar  <atimar@suse.com>  [66a5a2e03573ab1862db1965f7b9c5419db3decd]

        fix Serbian dictionary makefile
        
        Change-Id: I49e678fc586c2352e9df805e8e32e645605144da

2013-03-31  Goran Rakic  <grakic@devbase.net>  [52f4aa133ba3d7703c4982a21e567fd92abcbfd0]

        Serbian dictionary updated to 2013.03.30
        
        Change-Id: Ia3b99deff58bd5f4198f1fd57ea3a540f15d2708
        Reviewed-on: https://gerrit.libreoffice.org/3120
        Reviewed-by: Andras Timar <atimar@suse.com>
        Tested-by: Andras Timar <atimar@suse.com>

2013-03-31  Olivier Hallot  <olivier.hallot@alta.org.br>  [b128def79cc0520515ea99db4fb9f8cc3d95f54d]

        Lightproof and Hunspell updates for pt-BR
        
        VERO 3.1 beta 2
        
        Change-Id: Iaf871e4ad7de5c51ed55674b742b8f2b20070001
        Reviewed-on: https://gerrit.libreoffice.org/3130
        Reviewed-by: Andras Timar <atimar@suse.com>
        Tested-by: Andras Timar <atimar@suse.com>

2013-03-28  Petr Mladek  <pmladek@suse.cz>  [2f682dd14a18b87e348f6b929cac61dae68898d1]

        Revert "Romanian thesaurus fix"
        
        It is not needed. The idx files are generated automatically during build.
        
        This reverts commit 551d155ff5ba37b0561ba4f2bbfec4260c2bd9bc.
        
        Change-Id: I53eb6407bc41199ca586757276a5d2d9a980afa4
        Reviewed-on: https://gerrit.libreoffice.org/3107
        Reviewed-by: Petr Mladek <pmladek@suse.cz>
        Tested-by: Petr Mladek <pmladek@suse.cz>

2013-03-28  Lucian Constantin  <struct_bylighting@yahoo.com>  [551d155ff5ba37b0561ba4f2bbfec4260c2bd9bc]

        Romanian thesaurus fix
        
        Somehow the file th_ro_RO_v2.idx was missing
        
        Change-Id: I53eb6407bc41699ca586757276a5d2d9a980afa4

2013-03-28  Lucian Constantin  <struct_bylighting@yahoo.com>  [f0ae14737ce7a678ced8f1116846f04b94aa36da]

        Romanian speller updated to version 3.3.8
        
        Change-Id: I3d285cd9ef2042a7ab39b3f04a701a8821f048a1

2013-03-28  Lucian Constantin  <struct_bylighting@yahoo.com>  [eee8f2deb2ed150fc004216934b74c09ab9de564]

        Romanian hyphenator updated to version 3.3.6
        
        Change-Id: Ic0441b7cf3dd466cee2567673cc06ca804afd3ff

2013-03-18  Andras Timar  <atimar@suse.com>  [36776c334cf3bae5bdd5929fad8e11a8bdf830a4]

        remove legacy build.pl prj/build.lst files.
        
        Change-Id: I9c9ab570c8eb91d7974cb81bf6ed3d27f8da9c3a

2013-03-16  Zolnai Tamás  <zolnaitamas2000@gmail.com>  [26b7c425b0cecaad38249bfdc17b8d5cecee2670]

        Localization works only with en-US entries
        
        String of other languages are in po files
        
        Change-Id: Iebf5de3f45a166e1a0e35aae3c8aa7820483a94f

2013-03-01  Andras Timar  <atimar@suse.com>  [7e4239060266bf238b5e6692ed10d548c37572d5]

        fdo#61660 unhelpful dictionary entries
        
        * do not suggest the word 'tranny' ever
        * add NOSUGGEST support to en_ZA dictionary
        * accept the word trans as in trans-woman, trans-man, etc.
        
        Change-Id: I3f3f21402eb0d74b486c60939a8eba21e935be46

2013-02-28  Michael Stahl  <mstahl@redhat.com>  [22c5f0b69b2e2954bddbb0ce0dcfe5721b440bd1]

        dictionaries: remove d.lst
        
        Change-Id: Ifcde1fc3fda243337e60c7841c458331bffb09a8

2013-02-22  Andras Timar  <atimar@suse.com>  [892bb8a4b02d261d9fda2648f595139c06b59913]

        fdo#61139 update Catalan dictionaries
        
        Change-Id: If4595c3d94803b22e1f0b635a623260715696230

2013-02-08  Stephan Bergmann  <sbergman@redhat.com>  [350dc590b04041f15d6c570075ade425e4db93ad]

        fdo#60139: Rename bundled extensions's Lightproof service implementation names
        
        ... from org.openoffice.comp.pyuno.Lightproof... to
        org.libreoffice.comp.pyuno.Lightproof... (and increment the corresponding
        extensions' version numbers) to avoid clashes with any freestanding Lightproof
        extension.

2013-01-23  Andras Timar  <atimar@suse.com>  [0aeb113339d2bdeb0cb7fe3a9a2b1ae1c3fd9367]

        change vesrion number to 1.3 by request of maintaners, fdo#59633
        
        Change-Id: Iffe1fc2090ce55ca4e692e54f006f1056d14c06c

2013-01-23  Andras Timar  <atimar@suse.com>  [a392489288adb820663a793c38d144fea53033c2]

        fix version number and display name for lt dictionary
        
        Change-Id: I385735f793e46bf79fb54f8693c872c42f16d332

2013-01-23  Andras Timar  <atimar@suse.com>  [aeb40bcecda8f2e705db5035376a6047eb098825]

        converting file AUTHORS to Unix format
        
        Change-Id: I138b693cbb9002ab391c91bddba09a7b117c463e

2013-01-23  Aurimas Fišeras  <aurimas@members.fsf.org>  [143afd75257fd4c4b44f09ee402ec8caa09011ba]

        Update Lithuanian dictionary (1.3, 2013-01-20)
        
        Change-Id: I25940b19e77e7fc6165f9845238830d16ed87bf5
        Reviewed-on: https://gerrit.libreoffice.org/1815
        Reviewed-by: Andras Timar <atimar@suse.com>
        Tested-by: Andras Timar <atimar@suse.com>

2013-01-22  Andras Timar  <atimar@suse.com>  [c41681db324e6693e7730ac0f2c5de843d7c78cb]

        fdo#59713 add Bosnian Hunspell dictionary
        
        Change-Id: I6acadd6a1a6c0f65b1f11a35d85f4b807435eed5

2013-01-22  Olivier R  <olivier.noreply@gmail.com>  [7d469f332804f6ed3efcdfd5f7217703aded1e35]

        French dictionary update: v4.9

2013-01-15  Andras Timar  <atimar@suse.com>  [a272609545d3153107828949911fc04c1e87b329]

        fdo#59371 update version number of ru dictionary to the date of last change
        
        Change-Id: I1722c0c701f388020819392f8b9782d5023a2874

2013-01-14  Andras Timar  <atimar@suse.com>  [0f7aa36b2804a7934b4089e50f4225264c46c806]

        update Swedish dictionaries (2.14)
        
        Change-Id: I0f822f5bd02b166a5f45e14ac31f10f09fdc776d

2013-01-10  Petr Mladek  <pmladek@suse.cz>  [9cfd4282a7a522bed2dc4f4b9ede2c8ee444c29b]

        Add Swedish hyphen dictionary provided by Niklas Johansson
        
        Change-Id: I009f3e2eaeae7816135d46bc60e528e22e23e812

2013-01-08  Olivier Hallot  <olivier.hallot@alta.org.br>  [f310b731bbbaf968b513bea1dd460e5d96b0c61c]

        Update pt-BR spell & grammar checkers
        
        Change-Id: I26606dbbcaf90ac6caaaf56f0cdfa3b73364ce18
        reference: VERO beta28
        Reviewed-on: https://gerrit.libreoffice.org/1598
        Reviewed-by: Olivier Hallot <olivier.hallot@alta.org.br>
        Tested-by: Olivier Hallot <olivier.hallot@alta.org.br>

2013-01-07  Andras Timar  <atimar@suse.com>  [d047a0fa0746ce527720d15a36907e52dc67bf47]

        Update pt-PT dictionary
        
        Change-Id: Ifb8926b8a4394cab2006ce7d9bf89f8a1b322ff9

2013-01-05  Andras Timar  <atimar@suse.com>  [a84489515d2207b1c34646be7d6f532b84a37439]

        Updated Slovenian Thesaurus
        
        Change-Id: Ie5b7534e48e2b742700d95224f57bd8b6b093670

2012-12-21  Raimundo Moura  <raimundo.smoura@gmail.com>  [f0c914a43e7e6540300da25c935a77aebb672094]

        Brazilian spell checker and grammar checker update.
        
        Change-Id: I8967a353bbac45f9ea29cbc449e60fbf63f287a0
        VERO: Version 3.0.0 beta 24
        Reviewed-on: https://gerrit.libreoffice.org/1459
        Reviewed-by: Olivier Hallot <olivier.hallot@alta.org.br>
        Tested-by: Olivier Hallot <olivier.hallot@alta.org.br>

2012-12-03  László Németh  <nemeth@numbertext.org>  [1595bf11e295d96123fcb327ba9919307aa5b127]

        Python 3 port of ru-RU grammar checker

2012-12-03  László Németh  <nemeth@numbertext.org>  [c8d1509a60f2aa93ae47c33252fcb95c6691f4b3]

        Python 3 port of pt-BR grammar checker, again

2012-12-03  László Németh  <nemeth@numbertext.org>  [e8b71b395574c8b812c46d8d1ebba81354e1ad2b]

        Python 3 port of pt-BR grammar checker

2012-12-03  László Németh  <nemeth@numbertext.org>  [dfc828a573002fa6dfa025e66d7e944de6bbac3d]

        Python 3 port of br-PT grammar checking

2012-11-30  László Németh  <nemeth@numbertext.org>  [8be323a6b7496003419e2587bc4573949fe142dc]

        Python 3 port of Lightproof en/hu modules

2012-11-27  Andras Timar  <atimar@suse.com>  [afc12cc53bf96f765b4513868d3b7530c66711f1]

        fix pt-BR makefile
        
        Change-Id: Ib115c29ccd44cd0d5b2b80a7cd72c8549dae3dd5

2012-11-27  Olivier Hallot  <olivier.hallot@alta.org.br>  [404c7ad8ccb9e71e8a7f575d638e4522b2a16657]

        Add Lightproof grammar checker for pt-BR
        
        This patch is a collaborative work of the Brazilian LibreOffice community, leaded by Raimundo Moura, João McCormick and may other collaborators as listed in
        
        http://pt-br.libreoffice.org/projetos/projeto-vero-verificador-ortografico/
        
        (Internal build: Vero 3.0.0 Beta 23)
        
        Change-Id: I6e91071aaf381a81db420e6454cfdeb39f289465

2012-11-24  Andras Timar  <atimar@suse.com>  [84861864e2555282a23235225dd15dc1c6d30249]

        fdo#33150 replace href to da.libreoffice.org
        
        Change-Id: I853e9971283ed3fd6369f2107f18ea066c3994f0

2012-11-23  László Németh  <nemeth@numbertext.org>  [3938d334ff4ce612a01b8cc178b0e79782577a62]

        fdo#57461 fix Lightproof/Hunspell synchronization

2012-11-20  Andras Timar  <atimar@suse.com>  [e295c6f831f0435fc5a68ea0fd1a50bcba76ea16]

        translations is a source-only module
        
        Change-Id: I93b248918bcd9e25221874c61ac88cf1b91e1523

2012-10-25  Andras Timar  <atimar@suse.com>  [028f44069fd346ba07b3a0263ee340022eb44d6c]

        dos2unix
        
        Change-Id: I3f9c987ef964fc5a5a3f883a6e83b28143f44ec6

2012-10-25  Andras Timar  <atimar@suse.com>  [0808dafd6bb9da02db56d25d71018942cd4c8e09]

        fdo#56130 update Galician dictionary pack
        
        Change-Id: I3759f7fbe380e9c1de74e49e564a24afce3d6aca

2012-10-24  David Tardon  <dtardon@redhat.com>  [b5b5c88c12835a7043c09f0d5140ff1318e9671b]

        drop stray delzip files
        
        Change-Id: I235d23248469b760da69983575dfcd73431757d4

2012-10-23  Michael Stahl  <mstahl@redhat.com>  [53e9940d33caa1e8a00ddaadfb57e5d668d35378]

        gbuild: fix XcuMergeTarget build breakage:
        
        Introduce gb_XcuFile_for_extension function to use the right file depending on
        WITH_LANG setting.

2012-10-23  Michael Stahl  <mstahl@redhat.com>  [c918f1d4242d9fd9a8de284e6b32b8c00e59debe]

        gbuild: let ExtensionTarget expect manifest below META-INF
        
        ... adapt dictionaries to that.

2012-10-18  Stephan Bergmann  <sbergman@redhat.com>  [a5162a210e3ff07e44307dbf60717d5d5a40608d]

        dict-pt-XX fix post submodules
        
        Change-Id: Ic08c394998cedaf8cc4ffbf5c7b6877654181d88

2012-10-16  Peter Foley  <pefoley2@verizon.net>  [a70847fe89812a53297f06e5c8c5ef9a22146a7f]

        update makefile path
        
        Change-Id: Ia6b912ef6575c6d743a754a10b8844bfefdc7487

2012-10-16  Norbert Thiebaud  <nthiebaud@gmail.com>  [2547e9657a49fb43e07a41aadfdd0af34b7ae720]

        rename mishappe during merge

2012-10-16  Norbert Thiebaud  <nthiebaud@gmail.com>  [508deb804294871ff540f669350f093a191d2e8e]

        add a README to the dictionaries module
        
        Change-Id: I149cc8a4ddfcbc2bfdb7c9c2402efafb40999a59

2012-10-16  Norbert Thiebaud  <nthiebaud@gmail.com>  [a4473e06b56bfe35187e302754f6baaa8d75e54f]

        move dictionaries structure one directory up
        
        Change-Id: I70388bf6b95d8692cc6f25fc5a9c7baf3a675710

2012-10-07  Lior Kaplan  <kaplanlior@gmail.com>  [0493c1b142b0c498931e8ff5d6460ef852026d20]

        Update Hebrew dictionary to one created with Hspell 1.2 (taken from Fedora 17 64bit)

2012-10-07  Andras Timar  <atimar@suse.com>  [adb6d7f7a1d6f1d6e9b67e5626b32506c27b0612]

        updated pt-PT spelling dictionary
        
        Change-Id: I8a1762590470e1ab0022ec94f195cdd20c0c2777

2012-10-02  Olivier R  <olivier.noreply@gmail.com>  [865b7d1dde2b6c710860fc685fe0b1c443b8d8f5]

        Update French spelling dictionary (warning: new extension identifier)

2012-09-18  László Németh  <nemeth@numbertext.org>  [48ab525dcfd6451fa2f3e37e92bd60f3885c47f7]

        fix suggest() splitting in some optional Hungarian grammar checking rules
        
        Change-Id: I3c73f1c6c138a7c70cd8d25c6031d90779d5c543

2012-09-11  Olivier Hallot  <olivier.hallot@alta.org.br>  [d1f69e800560a558f9dbffc195573d32354e8efb]

        Fix for fdo#53520, Portuguese spelling files
        
        Change-Id: I95cb422412de5f36416e6aaeb1663c39773ffb7c

2012-08-24  László Németh  <nemeth@numbertext.org>  [f795b16970b65e977eb8ffc3fa33d94dd8e1e75b]

        fdo#35001 (add TRY for better suggestions)
        
        Change-Id: I47079586f85385508dcb3973b7acc59de0ad36f8

2012-08-24  László Németh  <nemeth@numbertext.org>  [28f07b24d9f0d971e4a50663cd0bdf52dd025fb5]

        restructured grammar checkers + small rule fixes: fdo#46542, fdo#46549, etc.
        
        Change-Id: I087ae647d1c8ce57abd7d1f4dc196f25458f90dc

2012-08-23  Andras Timar  <atimar@suse.com>  [d87fd7680041ffcb3546c94240505d1d4a020a99]

        Danish dictionary help tree snippet
        
        Change-Id: Ic171c1cf2052aaf6b4f159f98f76cf5694cbbb8e

2012-08-22  Michael Stahl  <mstahl@redhat.com>  [749e85f437b3bb5a6eb50382c8a0e2ee884d65ca]

        dictionaries: add CHANGELOG.txt to dict_it.oxt
        
        Change-Id: Ie92e237ff0f5987a199f193e9174273ee22faf7f

2012-08-12  Andras Timar  <atimar@suse.com>  [b1cb648dc31f2406edf02eb3f7d75c298954ccb0]

        fdo#52374 update German Thesaurus (2012-06-17)
        
        Change-Id: I2ddc24d9e0a18b38ccaf458f2c3343e290ed61b5

2012-08-09  David Tardon  <dtardon@redhat.com>  [a4ce46e8826a26a90839b25c9c08c7bff039f525]

        drop stray dmake makefile
        
        Change-Id: Ic6e78aabb4320e124ae058ba6b03c92c2c447042

2012-08-09  David Tardon  <dtardon@redhat.com>  [6d6d642d5f2e069206193743deed872332e396d8]

        really use gbuild for this
        
        Change-Id: I11c6fe5e1e6658ce8290f66d5c237ea042e640bf

2012-08-09  David Tardon  <dtardon@redhat.com>  [f7bc8d3737136eb8c787590640bc0baae12d5c88]

        gbuildize dictionaries
        
        Change-Id: I92acaea05be388dccd7195b840d4aaa63248c8cc

2012-07-16  Andras Timar  <atimar@suse.com>  [7e39825881960213866314e892a5208b98d60a9f]

        re-add help.tree to Hungarian dict help (hu only)
        
        Change-Id: I356c94a8a3a9a138e992bd652b87ed177585053d

2012-07-15  Andras Timar  <atimar@suse.com>  [f43414bb4f11b1cab45dac0cfd14315f9363b2f1]

        re-add help.tree to Hungarian dict help (hu only)
        
        Change-Id: Ic1d9b96a6096e01499e31f5d32a0e8ca56ddc97a

2012-07-14  Andras Timar  <atimar@suse.com>  [386c48fe01886944e2e2e31d75f4a159b8651502]

        update Danish dictionaries (2.1)
        
        Change-Id: I5cc72a3d65f132907ed84d0de358e5286e481b5c

2012-07-12  Andras Timar  <atimar@suse.com>  [76ac3ec6c93aea77d320d86a980e6f74b20d0264]

        updated Spanish dictionaries (0.6)
        
        Change-Id: I7efd2f31de70981df0cc01da02d6cccee536729c

2012-07-02  Andras Timar  <atimar@suse.com>  [cfec28272ba2c18ddb1a0fb72b699e4e282e34eb]

        update Swedish dictionaries (2.6)
        
        Change-Id: I22323cf928f0b9d644127b3775a8db3c774d6f63

2012-07-01  Andras Timar  <atimar@suse.com>  [29741af1df9f363fddb37adb32d95d377518daf2]

        update pt_PT dictionary (12.7.1.1)
        
        Change-Id: I4db187354f402571f36621ec52249c625aac6940

2012-07-01  Andras Timar  <atimar@suse.com>  [959b766af042673d3957e823995dc691a2d3507f]

        update of Scottish Gaelic Spellchecker (2.3)
        
        Change-Id: I0be04eca65f1c8591ef6815fbd6f554d067448c2

2012-06-12  Andras Timar  <atimar@suse.com>  [1993186c2d263d0366f7d58ee96916a15fa5c95a]

        fdo#50981 update of German dictionaries (2012.06.10)
        
        Change-Id: I8f7aa89ef5eeba9d0eb3a155a787881b76dea751

2012-06-11  Raimundo Moura  <raimundo.smoura@gmail.com>  [777d50ff87ea0ccc91fb2a38e3c4e86c5e4fba17]

        Upgrade for pt-BR VERO spellchecker
        
        Release 2.1.1:
        http://pt-br.libreoffice.org/projetos/projeto-vero-verificador-ortografico/
        
        Change-Id: If00a58b60dd4a4f514820baf7cab0c81e013763c

2012-06-10  Olivier Hallot  <olivier.hallot@alta.org.br>  [bdcd1f5c9f4b9d5ee5b439e7a344311da5b28a60]

        Revert "Update pt-BR spellchecker VERO to version 2.1.1"
        
        This reverts commit 3bc950e91c64b16017eccb29c2709f89a3715f0f.

2012-06-10  Raimundo Moura  <raimundo.smoura@gmail.com>  [3bc950e91c64b16017eccb29c2709f89a3715f0f]

        Update pt-BR spellchecker VERO to version 2.1.1
        
        See :
        http://pt-br.libreoffice.org/projetos/projeto-vero-verificador-ortografico/
        
        for information.

2012-05-29  Olivier R  <olivier.noreply@gmail.com>  [1bdd340e5edd92bcade41b7ceed7a7dc0fedff25]

        fix name in the package description (fr)

2012-05-23  Andras Timar  <atimar@suse.com>  [185cbda9dd862458919ae29a70b01ae9106c85ea]

        add sv_FI.*
        
        Change-Id: I240c4c9c58c65e4cadd1f023a125c23be5b2a827

2012-05-23  Andras Timar  <atimar@suse.com>  [d6e3e94744854681812c6bc9dc0c718d92f92204]

        Swedish dictionary update (2.5)
        
        Change-Id: I2c412ec06f1d04fd1a7d1c6644f6d5808b98ef00

2012-05-20  David Tardon  <dtardon@redhat.com>  [e05b210f5374949d0eeba4e87b62186ca61d3bcf]

        move idxdict to l10ntools
        
        Change-Id: I If670e3732177ef4f21c48b062c43d6a6c3867687

2012-05-13  Olivier R  <olivier.noreply@gmail.com>  [139df83dbb77ee9bf02d9c20e194295c44b173e0]

        Update French Hunspell dictionary (v4.5) and thesaurus
        
        Change-Id: Ia0b206274b54885baa9eed372f06084dec939797

2012-05-08  Caolán McNamara  <caolanm@redhat.com>  [fbc3fc5d119592f1f1c302e7faada12f5a77891d]

        use pt-PT dictionaries for pt-AO as well
        
        Change-Id: I8cee2552e9b7582fea7ec9a599560a041d702e31

2012-04-29  Korrawit Pruegsanusak  <detective.conan.1412@gmail.com>  [cf84660ff8b6b89def50ca0d7af38d9577abcec7]

        dictionaries is dmake module
        
        Change-Id: I089877dbf4ee183adaf8acd8413fb062cbb227d6

2012-04-24  Tomas Chvatal  <tchvatal@suse.cz>  [8f1efc50dcaf2227b0f315d3866283344cb96263]

        Update previous commit as it was missing build update.

2012-04-24  Tomas Chvatal  <tchvatal@suse.cz>  [bf99df3c54f0d7efc82fe2298fd864793b424860]

        Add latest czech thesarus from liberix site.
        
        Damn this stuff should be centralised somewhere.
        So even distro packagers know where to grab this...
        
        It is kinda stored here in .oxt files:
        http://extensions.services.openoffice.org/dictionary
        
        But the problem is that now all the oxts are redirected to sourceforge
        with pretty crazy folder structure with no versions (multiple same-named
        files within different folders there) which gets pretty confusing.

2012-04-12  Caolán McNamara  <caolanm@redhat.com>  [05f89ef6371a108ebc4e7763541407a2552ab274]

        These countries use British spelling rules

2012-03-23  Andras Timar  <atimar@suse.com>  [6299bf66e3004cb8db805b360070762d0870cf50]

        fdo#47736 typo

2012-03-02  Matúš Kukan  <matus.kukan@gmail.com>  [e67b1bfb07c95a633c5fefd9c605ec1ce02d0a58]

        path to sdf files has changed

2012-02-29  Petr Vorel  <petr.vorel@gmail.com>  [c655d098660b0f843982a800b8cc0e697531b134]

        Explicitly set PERL_UNICODE environment variable
        
        This prevents fail building when PERL_UNICODE contain "i" or "D"

2012-02-20  Andras Timar  <atimar@suse.com>  [8a74106d1ecc3d146f514a2414a4785bc8dd0f01]

        silence idxdict tool

2012-02-20  Andras Timar  <atimar@suse.com>  [3079747297b9295de2b1c4a4629c392120d2334d]

        enable thesaurus check for hu_HU

2012-02-20  Andras Timar  <atimar@suse.com>  [cc501356222739f54b8e332b0760bc726850def7]

        add $(COMMAND_ECHO) before idxdict line

2012-02-20  Andras Timar  <atimar@suse.com>  [312a744c1c8a4afce0fe06a4423d97ebb883fc6d]

        enable localization of Lightproof extensions

2012-01-26  Andras Timar  <atimar@suse.com>  [39746e8ca76315187d30a115ad1a0cab58a4ccb3]

        Update Danish dictionaries (2.0)
        
        Optimized for Hunspell 1.3.x
        Changed word proposal strategy
        Added approximatively 11.000 words
        and corrected several minor bugs

2012-01-26  Andras Timar  <atimar@suse.com>  [cb9515d1be006075fd3aa663d03fd207cd8784a9]

        remove th_da_DK.idx (it will be generated)

2012-01-25  Andras Timar  <atimar@suse.com>  [203e688ea667c26d0885a9d62c5a4c90090edb0b]

        Update Swedish dictionaries (1.51)

2012-01-24  László Németh  <nemeth@numbertext.org>  [c42506ceadc13629d35f0548a5519577d173bde6]

        Fix encoding of Russian grammar checker warning messages

2012-01-24  Andras Timar  <atimar@suse.com>  [0329fd247e20bd3e9aa7d7943dfd5574fc60544a]

        fix double utf8 encoding

2012-01-10  Andras Timar  <atimar@suse.com>  [9eed77596448296e58b0ab5c329d51ddaebb1ca6]

        add legacy files to version control + update README

2012-01-08  Olivier Hallot  <olivier.hallot@alta.org.br>  [880f96d997da01bf3e0258cbf4cc02d77411a1f2]

        Fix URL for pt-BR spelling dictionary reference page
        
        This patch fixes the URL for VERO - pt-BR community spelling dictionary project page

2012-01-05  Olivier R  <olivier.noreply@gmail.com>  [ebf1e88855bf294968fe2475ecf82b21f7e90193]

        New icon for French extension (language code)

2012-01-05  Andras Timar  <atimar@suse.com>  [7c24be31fbb59eaa8d650f421c7e122e12c2ea67]

        Update Brazilian Portuguise dictionaries (2.1.0)

2012-01-05  Andras Timar  <atimar@suse.com>  [6f6793f0a17593eaea2af161f354520689e5c708]

        Update Scottish Gaelic dictionaries (2.1)

2012-01-05  Andras Timar  <atimar@suse.com>  [a7d0afc4e73ca9e40ba824adc148f4d7ec4ac41e]

        Update Swedish dictionaries (1.50)

2012-01-05  Andras Timar  <atimar@suse.com>  [ff015d69b8d1d732923fa047bf044c2f5fb6dcee]

        Update Catalan dictionaries (2.3.0)

2012-01-05  Andras Timar  <atimar@suse.com>  [e4d2450a086671f12a8de27d1cb8e7e5dc9c3edd]

        Update Italian dictionaries

2012-01-05  Andras Timar  <atimar@suse.com>  [3e18d04270ce18cd25065de70af1041f8ccdb7c2]

        Update Slovenian dictionaries

2012-01-05  Olivier R  <olivier.noreply@gmail.com>  [3913f7b98aa13db4b62d3aee9313a49c05ec86e0]

        Update French dictionaries 4.4 -> 4.4.1 + flag

2011-12-21  Olivier R  <olivier.noreply@gmail.com>  [7ef74e0d0fa57cc7eeb34226072b4183f2475308]

        Update French dictionaries

2011-12-16  Andras Timar  <atimar@suse.com>  [b605e4f94bc93827cce4e1f5748864666fd605d5]

        add 'grammar checker' to description

2011-12-16  Andras Timar  <atimar@suse.com>  [fbb44c050b0555a0e0c5114f5f8bea17f5177e00]

        set xml:lang to en-US, not en

2011-12-15  László Németh  <nemeth@numbertext.org>  [c9cdf3fb4752e8b0c641a3aff15d554135beb0e7]

        Add Russian grammar checking + update English and Hungarian

2011-12-13  Andras Timar  <atimar@suse.com>  [6e2048553f98b3bc3280e1ce66a68ec1aa2fcaf1]

        typo

2011-12-12  Andras Timar  <atimar@suse.com>  [3e50423bc249536e373d46e1934aa8e82eb4eeaf]

        add Sinhala spelling dictionary

2011-12-09  László Németh  <nemeth@numbertext.org>  [95bcc5e8d51b8d8e153400380d522fb603c5b894]

        Fix possible problems on Windows raised by the unsupported sys.stdout

2011-12-08  Andras Timar  <atimar@suse.com>  [9317aa0abe700154a49276296ca046c822453e6c]

        add icon to makefile

2011-12-08  Andras Timar  <atimar@suse.com>  [8372ca9f5079c936f757be8942a0d80fb88fca7a]

        correct description

2011-12-08  Andras Timar  <atimar@suse.com>  [5b2d84ce6de7ae90386af5675fbc8bf523f2f981]

        add Aragonese spelling dictionary

2011-12-06  Andras Timar  <atimar@suse.com>  [e92bf756f658a7c3006159a6a427ae49e4e94147]

        add 'grammar checker' to description

2011-12-06  László Németh  <nemeth@numbertext.org>  [95445a70a29c6a1166a19f483566f2c9cfc7563b]

        English sentence checking

2011-12-06  László Németh  <nemeth@numbertext.org>  [2214a3731aaffc4a51d1c712dbee553a0ba35af0]

        Hungarian sentence checking

2011-11-29  Petr Mladek  <pmladek@suse.cz>  [090bcbaa55370d7906b0cab08839fe88f4e80215]

        Version 3.5.0.0, tag libreoffice-3.5.0.0 (3.5.0-beta0)

2011-11-25  Andras Timar  <atimar@suse.com>  [1f92ab174f2e2c1404edd80e458231d6d0fd281d]

        update Breton dictionary (0.8)

2011-11-25  Andras Timar  <atimar@suse.com>  [d2c377aad9bec7d23d513e897c6dfb9b685f9ba1]

        update French dictionary (4.3)

2011-11-25  Andras Timar  <atimar@suse.com>  [52efea898c092ac910855ce4bf8ed6b0d7d6165a]

        update German dictionary pack

2011-11-25  Andras Timar  <atimar@suse.com>  [0a7772f50c72d69ad6707e91e8d92c496ff59292]

        update pt-PT spelling dictionary

2011-11-25  Andras Timar  <atimar@suse.com>  [4338f941a8b43f179206ae33d30563aac1219eb5]

        add Scottish Gaelic dictionary pack

2011-11-25  Andras Timar  <atimar@suse.com>  [d39f4d443129370bc949e080cc970f001ad32825]

        add Telugu dictionary pack fdo#33288

2011-11-25  Andras Timar  <atimar@suse.com>  [cf6831285ba83eee6e3cf1060ccc576f4dbd6126]

        add Belarusian dictionary pack fdo#36641

2011-11-25  Andras Timar  <atimar@suse.com>  [6224b7bbae026c90d8e6fc988741e815fa9e5935]

        add Greek dictionary pack fdo#42084

2011-11-21  Andras Timar  <atimar@suse.com>  [8b4f3442b94f2553b55c2168224509c75fb47d38]

        remove help.tree files which did not integrate well fdo#33151

2011-11-17  Andras Timar  <atimar@suse.com>  [2e8db1e5d70072be37ab0f0901b20f8fdc6da395]

        updated the Swedish spelling dictionary to version 1.48

2011-11-15  Lior Kaplan  <kaplanlior@gmail.com>  [adcf6d59e7770a08dd156a2168b116b2eeded80c]

        Add an icon

2011-11-02  Rene Engelhard  <rene@debian.org>  [ca7e6f5cabfeaa82aa4479b8aa1151c26d903993]

        remove bogus dictionaries/pt_PT/dictionaries.xcu.bak

2011-10-31  Andras Timar  <atimar@suse.com>  [72682b9ac937472b9c48c8a9be70be902ff645e8]

        enable localization of extension descriptions in dictionaries

2011-10-31  Andras Timar  <atimar@suse.com>  [fa8af948b9ff139b4b38ef984594734fb312e542]

        remove unnecessary delzip file

2011-10-31  Andras Timar  <atimar@suse.com>  [33e67af36c6361e33649e043fc63860bc7333dbb]

        depend on translations module

2011-10-27  Lior Kaplan  <kaplanlior@gmail.com>  [c4051ff3fff35db559e3363e6728f6bc3f9de071]

        Update Hebrew dictionary - use hunspell format over myspell. Files taken from Fedora 15 x86_64 hunspell-he package version 1.1-4.

2011-10-24  Andras Timar  <atimar@suse.com>  [41e7bcda0df8091d24d0a6da61c1cefde035ca63]

        remove unused target.pmk

2011-10-24  László Németh  <nemeth@numbertext.org>  [7662e8f07971068fd63ef59af04fccef8e7f4a10]

        Update Hungarian hyphenation patterns (Huhyphn v20110815 + nonstandard hyph.)

2011-10-17  László Németh  <nemeth@numbertext.org>  [9c6ea6217410afb731c17182a47adc3708e77336]

        Add American English hyphenation for en_US and en-PH instead of British

2011-10-17  László Németh  <nemeth@numbertext.org>  [d3845e23def9ddd18188ef103a0720a39f6159d2]

        Fix hyphenation of words with hyphens (handled by Hyphen 2.8.2)

2011-10-05  Andras Timar  <atimar@suse.com>  [f6a1fc5c935c04851011af236befbe106ad13e79]

        unify and correct dictionary descriptions

2011-10-05  Andras Timar  <atimar@suse.com>  [94b18180f84b19ab6eaddfab87289a84d69d7ec1]

        chmod -x

2011-09-30  Stephan Bergmann  <sbergman@redhat.com>  [39281ed024241e337acf9d834549ce741ce6d9da]

        initial .gitignore

2011-09-30  Caolán McNamara  <caolanm@redhat.com>  [0799780cac1c300fd13817ec0872e09952343c1f]

        add modelines

2011-09-29  Thorsten Behrens  <tbehrens@novell.com>  [12963fc35cb7ad428cebd24f256c1e271142daf7]

        Make dicts cross-buildable
        
        Use build host idxdict for index generation.

2011-09-21  Andras Timar  <atimar@suse.com>  [1e62dcbe4ac63321ac234aebdd730c6b5331876c]

        set lang to en-US in order l10ntools can extract strings

2011-09-11  Andras Timar  <atimar@suse.com>  [3dca5fdd007769786b2c1b92f69468f0d9fd6c5e]

        add Latvian (lv-LV) dictionaries

2011-09-11  Andras Timar  <atimar@suse.com>  [ad1915e4c9074f8dda44603d5ef32c69d4135157]

        add Hindi (hi-IN) dictionaries

2011-09-11  Andras Timar  <atimar@suse.com>  [bbfc1bd7179b6bdab3a41404ebcda7bf3e8d68ac]

        add Gujarati (gu-IN) dictionaries

2011-09-11  Andras Timar  <atimar@suse.com>  [5d03de608bd7fd1fe3538ca1ae61b0a52e71f3b7]

        add Bengali (bn-BD) dictionaries

2011-09-11  Andras Timar  <atimar@suse.com>  [c15d1294ce5cc26650c48b1904a4aae77519de56]

        add Bulgarian (bg-BG) dictionaries

2011-09-03  Andras Timar  <atimar@suse.com>  [3f8994a9bd31e64a7259dfd839b2123c14721f39]

        add Swedish thesaurus

2011-09-01  Andras Timar  <atimar@suse.com>  [7f92fceb1afd50934c6a439560c39bd083a15d03]

        add hyph dict for de

2011-09-01  Andras Timar  <atimar@suse.com>  [4ca4edfe4627b4c4d2735cb6b82acc41f19c7a99]

        remove old unused code

2011-09-01  Andras Timar  <atimar@suse.com>  [00b480f7fde4a088d7ddc206eec6d99fe3ba1119]

        merge 3 German dictionary packs
        
        de-AT and de-CH thesauri are identical, affix file is identical
        for all German variants, hyphenation patterns are identical for
        all German variants. Saving ~3MB compressed.

2011-09-01  Andras Timar  <atimar@suse.com>  [3f398ba01f3ee9a64b9e6a26110edded0ea64bf9]

        Add Czech spelling dictionary and hyphenation patterns fdo#39735

2011-09-01  Andras Timar  <atimar@suse.com>  [725a30ff737acf7e2b4fc31945366572ec563cff]

        Add European Portoguise dictionaries

2011-09-01  Andras Timar  <atimar@suse.com>  [667748d38a5254c2fb1ac08f49d962612a3f9a52]

        Add Arabic dictionaries from Ayaspell project

2011-09-01  Andras Timar  <atimar@suse.com>  [db3e94132513214f3159a6bb69dd6f56ce46807b]

        update Romanian spelling dictionary

2011-08-05  Caolán McNamara  <caolanm@redhat.com>  [4eb4f62d7f4c43e747543285525b1f46a9c08693]

        Revert "Disable pdf and ps surfaces that break internal cairo build"
        
        This reverts commit 04ab4c38d662c469cea1afa540b60625266bc7e5 because
        it breaks a buildbot

2011-08-04  Caolán McNamara  <caolanm@redhat.com>  [b98412c5fca0db0c6dd63da1b3bfb9390d765b54]

        I'm sure I fixed this before

2011-08-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0af22bc3728df7a2fb60ea7e3bb6db8e5f0709dc]

        Disable pdf and ps surfaces that break internal cairo build

2011-08-02  Caolán McNamara  <caolanm@redhat.com>  [1627dc51ff991c54618813b3e1ba346a0d9919b9]

        restore workaround for windows lack of soft links

2011-08-02  Caolán McNamara  <caolanm@redhat.com>  [77e42fa54fe466a95a943fb695ffcf6e6267f354]

        Resolves: fdo#36763 backport fix for py#4768

2011-08-01  Olivier R  <olivier.noreply@gmail.com>  [5555569b5f741ef4799149a6414583287c2eabcf]

        French dictionaries update: 3.8 to 4.2.1 (dicollecte)

2011-07-29  Caolán McNamara  <caolanm@redhat.com>  [6382edb80f1bc95cef90f68019398cd70d231bcd]

        UPDMINOREXT is gone away, drop it

2011-07-28  Jan Holesovsky  <kendy@suse.cz>  [99799f2b9647038321027e43a9589ffc89b02113]

        Merge commit 'libreoffice-3.4.2.3'
        
        Conflicts:
        	boost/boost.windows.patch

2011-07-26  Norbert Thiebaud  <nthiebaud@gmail.com>  [64b8f40b06faf4a3839faed9ead8cddbca8a4e59]

        Use MACOSX_SDK_PATH

2011-07-26  Caolán McNamara  <caolanm@redhat.com>  [b43b6e14073494ee4e7e0eeb4f7976ba2d0bedb4]

        add easy-valgrindability to built-in python

2011-07-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [3e33bee9ac928f2e7be2286aa5dcae62fb8544f1]

        supress unused variable warning in ptr_sequence_adapater.hpp

2011-07-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [b9e539f2699613283145e55e4d922ad981e1e88c]

        fix hunk offset in boost.windows.patch

2011-07-25  Petr Mladek  <pmladek@suse.cz>  [d2c65a7a532ab1e9389ade98cd28fbae8d16bb27]

        Version 3.4.2.3, tag libreoffice-3.4.2.3 (3.4.2-rc3)

2011-07-24  Thomas Arnhold  <thomas@arnhold.org>  [be3cfea8dc148b2b28fbb906eca03e6ab1a5e448]

        nss/moz: Add Linux 3.0 profile
        
        As this is a copy of Linux2.6.mk this has to be
        MPL 1.1/GPL 2.0/LGPL 2.1 I think.

2011-07-24  Norbert Thiebaud  <nthiebaud@gmail.com>  [d13412e12703a832728179190eb7ff54c63f3b2d]

        Oops Bjoern's link to .gitattributes got committed by mistake

2011-07-21  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [877932bc50d5b0d87153ce44a0e63fcc11d91f91]

        Merge branch 'master' into feature/gnumake4

2011-07-21  Petr Mladek  <pmladek@suse.cz>  [1652a5e1495706b6365cf9d6f28741565aabb5ba]

        Version 3.4.2.2, tag libreoffice-3.4.2.2-buildfix1 (3.4.2-rc2)

2011-07-21  Tor Lillqvist  <tlillqvist@novell.com>  [a28843ac2b2f426cd61772eb3ebac6c0aeac5f6b]

        Don't let <windows.h> define min() and max() as macros
        
        Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>
        Signed-off-by: Jan Holesovsky <kendy@suse.cz>
        Signed-off-by: Markus Mohrhard <markus.mohrhard@googlemail.com>

2011-07-19  Petr Mladek  <pmladek@suse.cz>  [f8d719e6c285d7401745174352ad80b22ffca690]

        Version 3.4.2.2, tag libreoffice-3.4.2.2 (3.4.2-rc2)

2011-07-15  Tor Lillqvist  <tlillqvist@novell.com>  [2c0a46ae5c48de445989c0640385ba5098d14ae3]

        Don't let <windows.h> define min() and max() as macros

2011-07-14  Tor Lillqvist  <tml@iki.fi>  [b667d175fc36f58ffc5a887ad9d752fcd4a038b9]

        We want cairo-quartz.h for iOS, not the X ones

2011-07-14  Caolán McNamara  <caolanm@redhat.com>  [9b475698bb6cf0b767be8f88bcf154e94078e6ef]

        WaE: yet more of these shadowing warnings

2011-07-12  Petr Mladek  <pmladek@suse.cz>  [ca519c6e7acd521b49d33e63a1831aab26ea3ec2]

        Branch libreoffice-3-4-2
        
        This is 'libreoffice-3-4-2' - the stable branch for the 3.4.2 release.
        Only very safe changes, reviewed by three people are allowed.
        
        If you want to commit more complicated fix for the next 3.4.x release,
        please use the 'libreoffice-3-4' branch.
        
        If you want to build something cool, unstable, and risky, use master.

2011-07-12  Petr Mladek  <pmladek@suse.cz>  [d2e13f99255ee4207af88b7e2514da28d7ff6953]

        Version 3.4.2.1, tag libreoffice-3.4.2.1 (3.4.2-rc1)

2011-07-05  Tor Lillqvist  <tml@iki.fi>  [76e0d7cf172e34bb272570706f3d100a204931fe]

        Do build the cairo "quartz" surface for iOS, too
        
        No ATSUI font stuff on iOS. But otherwise there isn't really anything
        MacOSX specific there. The code builds against the iOS SDK, too.

2011-07-03  Tor Lillqvist  <tml@iki.fi>  [745abae7f96a02602b4d376a6ea64c11fa307987]

        Don't build cairo for Android
        
        We might have to reconsider later, but bypass cairo for now. It won't
        build anyway, as there is no "native" font backend for Android. Sure,
        we could biuld fontconfig and freetype and pretend that is "native",
        but let's see for now.

2011-07-01  Tor Lillqvist  <tml@iki.fi>  [f912bd281280858de28f133ab377463c603ef6ed]

        Move an iOS-specific hunk to the iOS-specific patch file

2011-07-01  Tor Lillqvist  <tml@iki.fi>  [148bcf08b65f65f608fd36e22a3f508a50cb0b97]

        Split out the iOS-specific patch to fix build with old MacOSX SDK

2011-07-01  Tor Lillqvist  <tml@iki.fi>  [5dccd9735bf818a969e8f2f6e5ca7d62b5bc7515]

        Enable building the "quartz" font backend without the "quartz" surface, for iOS
        
        The quartz surface code won't build for iOS, but the font code
        will. So let's try to use it. Maybe later make the surface build, too,
        it might be trivial.

2011-06-30  Caolán McNamara  <caolanm@redhat.com>  [bf1e443206425710fd3243f91d340a9f02cea11b]

        this must be the bit I missed

2011-06-30  Caolán McNamara  <caolanm@redhat.com>  [27ac66a8ff0a449dba169c8cd5861cfa99d23419]

        make cairo an unconditional requirement for text rendering

2011-06-30  Andras Timar  <atimar@suse.com>  [8822e573234117672af556c72a623c9a8291d229]

        Swedish dictionary update from 1.43 to 1.46
        
        Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-06-30  Andras Timar  <atimar@suse.com>  [df950e74093f24e23de08ab63045aa94020b9345]

        Swedish dictionary update from 1.43 to 1.46

2011-06-29  Caolán McNamara  <caolanm@redhat.com>  [09574f1f91bd1004d10b9b1b2590a9d64e0d441d]

        Fix weird Cygwin build problem

2011-06-23  Caolán McNamara  <caolanm@redhat.com>  [41bafd1d74572f3f23a80d845b5e1e6d1761869d]

        1.2 -> 1.3

2011-06-23  Caolán McNamara  <caolanm@redhat.com>  [576c729b77e512abd23501b55a176128659144d1]

        upgrade to hunspell-1.3.2

2011-06-19  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [5f741dc731a2764a9a5643d6d165758d3010c482]

        Merge branch 'master' into feature/gnumake4
        
        Conflicts:
        	cairo/cairo-1.8.0.patch
        	cairo/prj/build.lst
        	gdk-pixbuf/makefile.mk
        	libcroco/makefile.mk

2011-06-18  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [ef5a4dd9824e1551bd5ad99f515b3c5f23c53c9d]

        fixing rebase errors

2011-06-17  Tor Lillqvist  <tlillqvist@novell.com>  [02a9cc8804f7d67cc351a1b2906513d4c11978d5]

        Pass --build and --host options also when cross-compiling to Windows

2011-06-17  Tor Lillqvist  <tlillqvist@novell.com>  [c5e4aa803a3de5d3517247b9e5f81ad97687ccf9]

        hunspell-mingw.patch does not even apply

2011-06-17  Michael Stahl  <mst@openoffice.org>  [fe1916a48af5c93923dcfdaf7d9e6222f7716bcf]

        gnumake4: libcroco: use LIBXML_CFLAGS [hg:506ddad86d06]

2011-06-17  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [c8388e1a78e113c388f1f4ec0e27c1fb6459d290]

        ooo34gsl01: #i117732# patch to make configure work with homebrew (thanks hbrinkm !) [hg:1780f020f3f4]

2011-06-17  Jan Holesovsky  <kendy@suse.cz>  [9b9a2959e6b8fe704aa6b46cd8cd27b84beaffd7]

        Merge remote-tracking branch 'origin/libreoffice-3-4'

2011-06-17  Caolán McNamara  <caolanm@redhat.com>  [915912bbe2b4944ed576637ebf7b7ad83c5e699d]

        avoid -I -Ifoo

2011-06-17  Ivo Hinkelmann  <ihi@openoffice.org>  [0ae6f2e6644ea0f678329c07380d176a2afb67f2]

        masterfix DEV300: #i10000# missing stlport dep [hg:5d377dd89e6b]

2011-06-17  Ivo Hinkelmann  <ihi@openoffice.org>  [5e965742ab2cd456bdcbf3a229455e4e54f81a52]

        masterfix DEV300: #i10000# SRC_ROOT -> SOLARSRC [hg:5851574127d1]

2011-06-17  Michael Stahl  <mst@openoffice.org>  [fa4c782bc0e3de4743f9cbdbc3b1ea9d53390b26]

        gnumake4: expat: build static libraries with VISIBILITY_HIDDEN [hg:f9b6805ca6ca]

2011-06-14  Petr Mladek  <pmladek@suse.cz>  [494cdfeee26954769fd9e218cc681261d88b9776]

        Version 3.4.1.1, tag libreoffice-3.4.1.1 (3.4.1-rc1)

2011-06-14  Christian Lohmaier  <lohmaier+LibreOffice@googlemail.com>  [5ce651df37e3357ebe727ce6e05fe72756046e81]

        remove noise from configure on Mac, use --disable-dependency-tracking

2011-06-14  Christian Lohmaier  <lohmaier+LibreOffice@googlemail.com>  [77d69141354b089034f47e68f8e577fd5d2ece5c]

        remove noise from configure on Mac, use --disable-dependency-tracking

2011-06-14  David Penzes  <penzes_david@yahoo.com>  [12959c3e016e2fe984142023cfdef1a1374e939d]

        updated screenshot for hu thesaurus
        
        Signed-off-by: Andras Timar <atimar@suse.com>

2011-06-14  Christian Lohmaier  <lohmaier+LibreOffice@googlemail.com>  [ab569cc569682be6ce603c856b917975b34799c0]

        silence pango, get rid of $/ escapes, pass verbosity switches

2011-06-14  Christian Lohmaier  <lohmaier+LibreOffice@googlemail.com>  [9915b482ebf2798df58b1e0e77efb5099c3d9e88]

        silence warnings from configure, get rid of $/ escapes

2011-06-13  Tor Lillqvist  <tml@iki.fi>  [5b17b7e925bafb2bda275b53ec2e0d92ccc4195e]

        Use dummy xml2-config script for iOS

2011-06-12  Christian Lohmaier  <lohmaier+LibreOffice@googlemail.com>  [a3194ee060b967605bcdb54f1299a9035699c73b]

        tell the linker how to resolve @loader_path on Mac
        
        also cleanup useless double checking for MACOSX
        and remove unneeded AUGMENT_LIBRARY_PATH

2011-06-11  Tor Lillqvist  <tml@iki.fi>  [f01e812d8a5af82b4081c259f98aeb6af0e15009]

        Add Android patch

2011-06-11  Christian Lohmaier  <lohmaier+LibreOffice@googlemail.com>  [cb4675845d30af22eea3e50d5f5ff23a00d0267d]

        add dylib to the list of native python modules for Mac (for pyuno.dylib)

2011-06-11  Tor Lillqvist  <tml@iki.fi>  [17d9035cbec57a97a0a2d31fb86570f2e759306d]

        Initial attempt at Android cross-compilation support
        
        Recognize the arm-linux-androideabi "triplet". (Actually I doubt that
        is a well-formed triplet at all, what are the Google people smoking?)
        
        Allow longer lines in pkgdata.cpp as the compiler command line gets
        quite long for cross-compilation to Android.
        
        Add the proper assembly source file format for Android to pkg_genc.c
        and use that.
        
        Probably a good idea to use --disable-dyload on Android (and iOS).
        
        Tweak gcc flags used for Android a bit to work around some Android C
